Welcome

Disclaimer

Transoft Solutions Inc. makes no warranty or guarantee, expressed, implied or statutory, as to the accuracy, reliability, suitability, functioning, or results derived from the AutoTURN software program. Nor shall the licensing of the program and related program materials or manuals constitute any warranty or guarantee. Transoft Solutions Inc. shall have no liability or responsibility to the licensee or any other person or entity with respect to any liability, loss or damage caused or alleged to be caused directly or indirectly by the AutoTURN software program and/or related program materials, including, but not limited to, any interruption of service, loss of business or anticipated profits, or consequential damages resulting from the use or operation of this product. All computer program results require professional interpretation, and Transoft Solutions Inc. makes no warranty of results obtained by using the AutoTURN software program. Any liability of Transoft Solutions Inc. is limited exclusively to product replacement.

This software and related materials and manual are sold ”as is”. Any and all warranties for merchantability and/or fitness for a particular purpose, express, implied or statutory, are expressly excluded. Portions of the program are protected by copyright laws, Common Law Copyright, and/or trade secret protection by Transoft Solutions Inc. All programs and related program materials are subject to proprietary rights of Transoft Solutions Inc.

Copyrights

All rights reserved. No portion of this document may be copied, photocopied, reproduced, translated, or reduced to any electronic medium or machine readable form without prior written consent from Transoft Solutions Inc.

AutoTURN is protected by copyright and any copying for use by third parties without the express written permission of Transoft Solutions Inc. is prohibited. Federal and provincial laws provide for the protection of this computer program and its documentation. Any persons found in violation of the above copyright protection will be prosecuted to the full extent of the law.

AutoTURN is a registered trademark of Transoft Solutions Inc. AutoCAD is a registered trademark of Autodesk Inc. MicroStation is a registered trademark of Bentley Systems, an Intergraph affiliate. Transoft Solutions Inc. is a Registered Developer with Autodesk Inc. BricsCAD is a trademark of Bricsys. ZWCAD is a trademark of ZWCAD Software Co., Ltd. Microsoft, Windows, Windows 2008, Windows 2012, Windows 7, Windows 8, Windows 10, and/or other Microsoft products referenced herein are either trademarks or registered trademarks of Microsoft.

© 2017, Transoft Solutions Inc.

Welcome to AutoTURN Help

AutoTURN Help provides everything you need to know to use AutoTURN. Click the links below or use the Contents tab on the left to browse Help topics.

New AutoTURN Users

Introduction If you are new to AutoTURN, you might want to start here.

Using AutoTURN Help You can learn more about using this Help system and the other Help resources here.

Returning AutoTURN Users

What's New Find out what is new in this version of AutoTURN.

Updates Check for the latest product updates.

Technical Support Fill out the web form to receive help on a particular issue.

AutoTURN Website Browse the website for other information.

Disclaimer and Copyrights


Introduction

AutoTURN is a CAD-based program that simulates low speed turning maneuvers for highway vehicles. AutoTURN operates in the AutoCAD/BricsCAD/ZWCAD or MicroStation CAD environments, and it may be used to define vehicles and determine vehicle tire tracking and swept paths. The program can be used in the design of road intersections, parking garages, loading ramps and most types of vehicular facilities.

AutoTURN calculates the location and orientation of the vehicle as you move the mouse or "steer" the vehicle through a series of maneuvers, or follow a pre-drawn path. The path is a series of lines traced out by the center of the vehicle's steering axle in forward simulations or by the center of the vehicle's last axle in reverse maneuvers. The path is either generated by AutoTURN’s SmartPath Tools or user created in the CAD environment from a combination of arcs and tangents (or polyline/complex chain, or alignment). Pre-drawn path segments can be combined into polylines or complex chains.

AutoTURN includes complete sets of standard design vehicles for a number of different countries (see Appendix -> Vehicle Library Source Documents). User-defined vehicles can be created where vehicle dimensions can be varied and turn limitations defined. Program output includes various combinations of tire, body, and clearance envelopes as well as full motion animation.

AutoTURN works in millimeters, centimeters, meters, inches, or feet units. Vehicle dimensions and path geometry need not be expressed in the same units.

AutoTURN simulations are based on the constant pursuit method of analysis.

Operating System Requirements

Server | Workstation/Standalone
Windows® Server 2008/2012 Windows® 7 / Windows® 8 / Windows® 10 | Windows® 7 / Windows® 8 / Windows® 10

Minimum CAD Platform Requirements

CAD Program | Minimum Version
AutoCAD® | 2010
AutoCAD® Civil 3D | 2010 (alignments)
BricsCAD® (Pro and Platinum) | V16
ZWCAD | 2017
MicroStation® | V8i

Transoft Solutions Inc. cannot guarantee compatibility with future versions of Windows, AutoCAD, BricsCAD, ZWCAD, or MicroStation.


The track of a vehicle is defined as the distance between the outside edges of the outermost tires on the left and right sides.

The swept path of a vehicle is the envelope swept out by the sides of the vehicle body, or any other part of the structure of the vehicle. A swept path determines whether the vehicle will make contact with vertical obstructions. Create a swept path simulation by selecting the Vehicle body envelope in Simulation Properties.

Envelopes refer to the lines traced out by the selected vehicle elements, the vehicle load, or clearances from these elements. See Swept Path and Tire Tracks.

This is a set of dimensions for a common vehicle which defines a standard used by a particular jurisdiction for typical road design conditions.

Program Limitations

The user is responsible for applying engineering judgment in interpreting and using program results. Familiarity with the software and its limitations is therefore important to ensure that the results produced by the software are applied appropriately.

Use of Design Guidelines

AutoTURN is not intended to be a source for design information. The software must be used in conjunction with the most currently available design guidelines for the local jurisdiction. Where vehicle information is not specified in the design guidelines, logical assumptions have been made and noted for each vehicle (see Tools -> Vehicles -> To Create and View Vehicle Information).

When designing/analyzing with AutoTURN, users must understand that the vehicles are created using idealized values to represent as closely as possible the outlines of real vehicles. The characteristics of the vehicles, such as the articulation angles, are also represented by idealized values.

Realistic Vehicles

Realistic vehicle models based on realistic drawings are supposed to be used only for aesthetically pleasing representation of vehicles in simulations. In the actual calculations and analysis functions, AutoTURN employs the parametric analytical vehicle models based on the part configuration and vehicle dimensions. Therefore, for vehicle customization, it is recommended to create a vehicle based on an existing one, and then edit it to suit the design criteria (see Tools -> To Create a New Vehicle).

Interpretation of Program Results

AutoTURN is primarily a kinematic model, meaning that it does not account for the forces resulting from vehicle inertia or road surface conditions other than dry pavement.

AutoTURN produces geometrically idealized results that may be difficult to replicate exactly under actual field driving and road conditions. A successfully run AutoTURN simulation does NOT suggest that all drivers can follow the defined path in real conditions, NOR does it imply that other driveable paths between the desired start and end positions are not possible.

For the above reasons, AutoTURN results should be used conservatively, with ample allowances added for clearances between vehicle tire track or swept path envelopes and road edges or obstructions.

Turn Speeds and Minimum Turning Radii

Turn limitations for standard design vehicles are generally based on the minimum turn radius as specified in the design guidelines for each jurisdiction. These are generally intended for speeds of less than 15 km/h (about 10 mph).

For AUSTROADS vehicles, turn limitations are based on the absolute minimum radii, which are for speeds less than 5 km/h.

Unusual Conditions

If non-standard vehicles, roadway surfaces other than dry pavement, or other unusual or non-standard conditions are used, AutoTURN may produce inaccurate results. Caution is advised when dealing with the following conditions for which program results have not been verified:

  • Speeds greater than 15 km/hr (about 10 mph) where tire slippage and inertial forces become significant.

  • Icy or otherwise slippery road surfaces because they tend to produce less tire tracking than dry road surfaces.

  • Custom vehicles with multiple-axle bogeys consisting of three or more axles per bogey (as in heavy load movers).

  • Vehicles where the ratio of the spacing between the fixed axles in a group to the wheelbase (the distance between axle groups) is 0.5 or more.

  • Vehicles having more than four tires per axle.

  • Vehicle parts with steerable rear axles.

  • Vehicle combinations with multiple tractors.

  • Vehicle combinations consisting of tractors with four or more trailing units.

It is highly recommended that you obtain as much turning information as possible for non-standard vehicles from manufacturers and other sources so as to be able to verify and draw conclusions about AutoTURN’s results.

Tight Maneuvers with Standard Vehicles

The standard design vehicles provided with AutoTURN have turn limitations derived from the turning templates contained in the Design Manuals published by the corresponding jurisdictions (see Appendix -> Vehicle Library Source Documents). The primary purpose of these design manuals is to provide guidance for typical road design conditions.

Consequently, in some cases the standard vehicles may have turning circles that are too large for situations where tight maneuvering is required, such as in loading areas or parking facilities. In these cases, it may be necessary to create user defined vehicles and provide turn limitations that allow the tighter, more realistic minimum turning circles. In AutoTURN this can be accomplished by creating a vehicle based on a design vehicle and setting higher values for the steering lock and articulating angles (see Tools -> Vehicles).

CAUTION! The user must set steering lock angles that reflect the turn limitations of the specific vehicle being considered. Actual field measurements or manufacturers data should be used. Use of arbitrary angles will lead to misleading results.

Acceleration

AutoTURN does not consider vehicle acceleration or deceleration. When simulations are generated from a stopped position, or to a stopped position, the vehicle is assumed to reach its final speed, or come to a stop, in a short enough distance that it can be ignored when determining the turn radius.


What's New

Summary of What's New in Version 10.1

1.

Program Settings: Vehicle Defaults category: Vehicle Export File Format section makes it possible to export custom vehicles in VCL and JSON formats

2.

Properties:

  • Ability to replace the current properties by the properties from the selected simulation

  • Ability to save and load property sets

  • Hatching category: Transparency parameter

3.

Vehicles:

  • Closed polyline can be selected as roofline

  • Body articulated vehicles (no front or rear steering axles)

  • Maximum number of wheels per axle increased to eight

  • Ability to group vehicles by country

4.

Vehicle libraries:

  • DELDOT 2006 (DEL)

  • DNV 2010 (AR)

  • FDOT 2013 (FL)

  • HKTD 1994 (HK)

  • LGPVDIR-AAV 2003 (IT)

  • MDF 2016 (ES)

  • MDGC-MT 2008 (CO)

  • MNDOT 2007 (MN)

  • MVU 2009 (CL)

  • PDG 2010 (NZ)

  • POPC 2014 (SL)

  • PRHTA 1979 (PR)

  • RVS 2010 (AUT)

  • STAS 1985 (RO)

  • TIC 2015 (ES)

  • TXDOT 2014 (TX)

  • VEJREGLER 2012 (DK)

5.

SmartPath Tools: Ability to align to existing geometry

6.

Simulations: Overall maximum swept path distance between all envelopes

7.

CAD platform compatibility with:

  • Autodesk® AutoCAD® 2018

  • Autodesk® AutoCAD® Civil 3D® 2018

  • BricsCAD (Pro and Platinum) V17

  • ZWCAD 2017

Summary of What's New in Version 10.0

1.

Program Settings: General category: Automatic Updates Notification section

Properties:

  • Vehicles category: Draw Vehicles On section

  • Envelopes category: Draw Envelopes On section

  • Hatching category: Draw Hatching On section

3.

Vehicles:

  • New vehicle creation procedure

  • Liftable axles

4.

Vehicle libraries:

  • BCMOT 2007 (CA)

  • BCMOT OVER-LENGTH 2015 (CA)

  • DPWH 2012 (PH)

  • MLIT 2014 (JP)

  • MOC 2007 (VN)

  • MPW 1992 (ID)

  • MPWT 1999 (KH)

  • STATENS VEGVESEN 2015 (NO)

  • URAW 1998 (TW)

  • UT-2-1-206 2010 (HU)

  • VIF LUZERN 2005 (CH)

5.

SmartPath Tools:

  • Ability to detach trailers

  • Ability to lift axles

6.

Place Vertical Simulation: Tracking Points draw option

7.

Analyze Sight Lines: Line of Sight setting in horizontal alignments

8.

Generate Template: Draw Template On section to select layer/level

9.

CAD platform compatibility with:

  • Autodesk® AutoCAD® 2017

  • Autodesk® AutoCAD® Civil 3D® 2017

  • BricsCAD (Pro and Platinum) V16

  • MicroStation CONNECT Edition

Summary of What's New in Version 9.1

1.

Easier upgrade to version 9.1:

  • Upgrade supported for versions starting from 8.0

  • Seamless transition to new version on network upgrade

2.

Program Settings:

  • General category: Welcome Screen and Usage Data Collection sections

  • Patent Information category

3.

Properties:

  • General category: Centerline Radii in Path Draw Options section

  • Vehicles category: Loads

  • Envelopes category: Tracking Points

4.

Vehicles:

  • Tracking points (including network sharing)

  • Network sharing of loads and sight lines

  • Importing pre-drawn loads

  • Custom axle spacing for vehicles with uneven space between the axles in a three- or more axle group

5.

Vehicle libraries:

  • CROW 2012 (NL)

  • CROW Publication 257 (NL)

  • ILDOT 2014 (US)

  • MdF 2013 (ES)

  • MOLIT 2009 (KR)

  • MTC DG 2013 (PE)

  • NACTO 2013 (US)

  • STANDARDS (AU) - 4 vehicles added

  • The B85 vehicle has been removed from STANDARDS (AU). The latest version of the B85 vehicle has been added to STANDARDS 2004 (AU_NZ).

  • TRL SR662 1981 (UK)

6.

SmartPath Tools: Section's Minimum Radius option

7.

Run Animation: Export to AVI option

8.

Reports: Vertical Scale option

9.

CAD platform compatibility with:

  • Autodesk® AutoCAD® 2016

  • Autodesk® AutoCAD® Civil 3D® 2016

Summary of What's New in Version 9.0

1.

Vehicle libraries:

  • AUSTROADS 2013 (AU)

  • CEREMA 2014 (FR)

  • CERTU-AFNOR 2013 (FR)

  • CET-SP BT33 1983 (BR)

  • DER-SP 2006 (BR)

  • FTA 2006 (UK)

  • GDDP WPSD 2001 (PL)

  • INDOT 2013 (US)

  • IRC 1994 (IN)

  • KAC 2003 (RU)

  • LIIKENNEVIRASTO 2012 (FI)

  • MANUAL A9 2013 (AE)

  • MTC DG 2001 (PE)

  • NCHRP REPORT 659 (US)

  • SCT 2004 (MX)

  • STANDARDS 2004 (AU/NZ)

  • STAA 1982 (US)

  • TRAFIKVERKET 2012 (SE)

  • VEJDIREKTORATET 2013 (DK)

  • WISDOT OSOW FEB2014 (US)

  • 20 special transport vehicle configurations

2.

Tools:

  • Analyze Sight Lines:

    • Horizontal Alignments

    • Vertical Profiles

  • Generate Speed Profile Report

  • Generate Grade Template

  • Place Vertical Simulation

Path Control - Redesigned interaction for easier simulation editing (now works like grip editing).

3.

Access to Transoft Solutions Inc. User Portal from ribbon/toolbar.

4.

Improved vehicle steering linkage system (applies to vehicles with rear steered parts).

5.

Shape load types are now drawn as swept path envelopes instead of as tracking point envelopes.

6.

CAD platform compatibility with:

  • Autodesk® AutoCAD® 2015

  • Autodesk® AutoCAD® Civil 3D® 2015

  • BricsCAD V15

Summary of What's New in Version 8.2

1.

Vehicle libraries:

  • SANRAL (SA)

  • TRH17 1988 (SA)

  • ALBERTA DB68 (CA)

  • CALTRANS 2012 (US)

  • ISRAEL MOT 2005 (IL)

  • ISRAEL MOT 2011 (IL)

  • WisDOT OSOW (US)

  • FL PPM 2013 (US)

2.

Vehicles: Sharing loads and sight lines in network configuration.

3.

CAD platform compatibility with:

  • Autodesk® AutoCAD® 2014

  • Autodesk® AutoCAD® Civil 3D® 2014

Summary of What's New in Version 8.1

1.

Vehicle libraries:

  • AASHTO 2011 (US)

  • MT-DNIT-IPR (BR)

  • VEGAGERÐIN (IS)

2.

Properties:

  • Conflict Analysis category - Draw Conflict Analysis On section to set the layer/level for conflict analysis.

3.

AutoTURN and AutoTURN Pro 3D can be installed and run on the same workstation (network license only).

4.

Compatibility with:

  • AutoCAD 2013

  • AutoCAD Civil 3D 2013

  • PowerDraft XM, PowerDraft V8i, PowerCivil V8i

  • Power GEOPAK and Power Inroads (V8i Edition)

Summary of What's New in Version 8.0

1.

Added Conflict Analysis category to Properties. Turn simulations are automatically checked for conflicts with CAD elements drawn on the user specified Obstacle Layer/Level.

2.

Place Adaptive Simulation:

  • Combination of Place Simulation and Place Offset Simulation tools with an improved simulation algorithm.

  • Ability to link simulations with polylines / complex chains or alignments. Simulations are updated automatically when, for example, grip editing is performed on linked geometry.

3.

Regenerate Simulation: Recreates simulations to take into account any changes to elements drawn on the specified Obstacles layer/level that interact with the turn simulation envelopes

4.

Manage InVision Data: Selectively adds/removes InVision data to/from the drawing for selected turn simulations to be used by the InVision product.

5.

Animation slider within enhanced Run Animation tool.

6.

Override angle for Special Transport is now independent of directional change in the articulating point for the trailer.

7.

Vehicle database changes:

  • Added VNA-SP (alt) and SNA-BP (alt) to CSN (CZ) library

  • Revised LKW 9M in RVS 2005 (AUT) library

8.

ribbon menu provides access to tools in AutoCAD 2010 and newer versions. (Toolbars are also still available.)

9.

Compatibility with AutoCAD 2012.

Summary of What's New in Version 7.0

1.

Support for Windows 7.

2.

Program Settings: Vehicle Library Display category sets which vehicle libraries to display in filter list of Select Current Vehicle dialog box.

3.

Program Settings: Vehicle Libraries category enables users to purchase and install extended vehicle libraries.

4.

Logging trucks:

  • Two logging trucks in ALBERTA INFTRA-HGDG (CA) library.

  • Three logging truck types, including one with telescoping joint.

5.

Special transport vehicles:

  • Special Transport library.

  • Six special transport types.

6.

Other vehicle database changes:

  • Florida Intersection Design Guide library.

  • Edited VAGVERKET 2004 (SE) and CROW 2004 (NL) libraries.

7.

Generate Arc Path: Support for independently rear steered special transport vehicles.

8.

Cargo Details dialog box for setting cargo details.

9.

Support for three-part vehicle reverse maneuvers.

10.

Support for telescoping trailers.

11.

Generate Report: Override/Path angle information for independently rear steered vehicles.

Summary of What's New in Version 6.1

1. | Full support for 64-bit operating systems.
2. | Compatibility with the latest CAD software releases (MicroStation V8i and AutoCAD 2010).
3. | New Continue Simulation dialog box.
4. | SmartPath Tools: Maximum number of sections for simulations is now unlimited.
5. | Ability to force a straight line simulation for a vehicle traveling along an arc path added. Generating a straight line section is possible in the direction that the steering wheels can turn.
6. | Reverse Maneuvers: Generating reverse simulation envelopes improved.
7. | Reverse Corner Path: Reverse sweep angle range is from 1 degree to 160 degrees now.
8. | Ability to specify the tire sizing (width and diameter) and space between the tires on the same axle for a vehicle added.
9. | Dimension type settings moved from the type definition to the vehicle definition.
10. | Having only one wheel on an axle is possible now.

Summary of What's New in Version 6.0

1. | Full support for Microsoft Vista 32-bit.
2. | Compatibility with AutoCAD 2008.
3. | Vehicles: Major improvements made to the tool. New sorting and grouping capabilities added to the Vehicles database.
4. | Support for vehicle shapes that have chamfered or filleted corners added (envelopes are generated from the points on the radius or chamfer).
5. | Ability to replace vehicles in existing simulations with a user-selected realistic plan view matching the simulation vehicle's dimensions added.
6. | Ability to generate InVision 1.0 presentation data added.
7. | Ability to check out the License and extend the MAP expiration period added. Improvements made to the authorization algorithm.
8. | Ability to draw all simulation elements on a single layer added.
9. | Forward Oversteered Path simulation supports setting exit offset to always calculate and use the minimum value.
10. | Ability to calculate the Inner Turn Radius for two-part vehicles added.
11. | Ability to specify different track widths for each Axle Group in a part of a vehicle added.
12. | Ability to create vehicles with more than one articulating angle added.
13. | Path Control: A dialog to display the dynamically changing radius added.
14. | Generate Template: Information reporting functionality improved to display in the table Articulating Angles for each vehicle part.
15. | Generate Template: The sweep angle at which the maximum steering angle was achieved is displayed now.
16. | Ability to load AutoTURN in MicroStation from a desktop icon added.
17. | Ability to import specialized vehicle libraries added.


The maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

The time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

The angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle. See Program Settings -> Vehicle Defaults Category: Reverse Overrides and SmartPath Tools -> To Generate a Turn Simulation.

Vehicles Overview

Each AutoTURN vehicle is stored as a set of dimensions.

A new vehicle can be quickly created based on a copy of an existing vehicle . This eliminates the need to make many detailed decisions regarding the numbers of parts, articulating points, tires, axles, etc.

When creating a vehicle, the following information needs to be input:

  • The dimensions of each part.

  • The vehicle's steering lock angle.

  • The steering's lock to lock time.

  • The articulating angle of each part (for multi-part vehicles).

  • The diameters of the tires.

AutoTURN includes a wide variety of vehicles from which new vehicles can be quickly created (see Tools -> Vehicles -> To Create a New Vehicle).


Current Vehicle

AutoTURN's tools and features work with the concept of there always being a vehicle available to work with - the current vehicle. The current vehicle is used to generate simulations and is used in other tools to save time having to always select a vehicle as part of the process. The current vehicle is always the last vehicle selected in Vehicles (see Vehicles -> To Select the Current Vehicle).

The current vehicle is used throughout AutoTURN in various tools including:

  • SmartPath Tools

    • Generate Arc Path

    • Generate Corner Path

    • Oversteer Corner Path

    • Steer A Path

  • Place Adaptive Simulation

  • Run Animation (on a path)

  • Place Vehicle (on a path)

  • Insert Profile

  • Generate Template


Is the angle, or bank of a road surface. It is expressed as a slope. For example,a superelevation of 0.01 is a one-percent slope, which rises 1 unit for every 100 units of horizontal distance. In the SmartPath Tools, superelevation is limited to the range of -0.1 to 0.1.

Is the maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Is the time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

SmartPath Tools Overview

SmartPath Tools allow you to automatically generate a vehicle path and simulation. This is done on the fly by moving the mouse in the direction of travel.

The SmartPath Tools account for a vehicle’s speed and for lateral friction and superelevation, as explained in the sections below.

Speed, Lateral Friction and Superelevation

The minimum turn radius of a generated path is determined from either the vehicle’s minimum turning radius as calculated from the steering lock angle, or from a minimum turning radius calculated from the vehicle’s speed, lateral friction and superelevation. The larger of these two radii is used.

Minimum turning radius as a function of speed, lateral friction and superelevation is calculated using the following AASHTO formula:

Metric Units

English Units

R =

V2

127 (e + f)

R = radius (m)

V = speed (km/h)

e = superelevation (m/m, e.g. 0.02 = 2/100)

f = friction (e.g. 0.03)

R =

V2

15 (e + f)

R = radius (ft)

V = speed (mph)

e = superelevation (ft/ft, e.g. 0.02 = 2/100)

f = friction (e.g. 0.03)

Default lateral friction and superelevation factors used in AutoTURN are based on AASHTO (2004) values. The default values can be overridden at the time a simulation is created.

Steering Wheel Turn Rate

AutoTURN’s SmartPath Tools generate vehicle paths that account for the maximum rate at which the steering wheel can be turned by incorporating spiral sections into the generated path. The spiral sections transition the steering wheels between their initial angle and the angle required to turn toward the target point.

Steering wheel turn rate is determined from the lock-to-lock time and the vehicle’s speed. The lock-to-lock time is defined as the time it takes an operator to comfortably turn the steering wheel from one steering lock position to the opposite side.

Conservative lock to lock times are assumed for all standard design vehicles.

Reverse Maneuvers

Reverse maneuvers are generally considered to be performed with single part vehicles and can not be carried out by vehicles with more than three parts. Lateral friction and superelevation are not accounted for in reverse maneuvers; however, the steering wheel turn rate is. Reverse maneuvers are carried out at 6 mph (10 km/h) or less, speeds at which these factors should be negligible (see Tools -> Reverse Maneuvers).

Pre-Drawn Paths

Turn simulations created from pre-drawn paths do not account for speed, lateral friction, superelevation, or steering wheel turn rate.

Only forward maneuvers are possible with pre-drawn paths. Reverse maneuvers must be carried out using the SmartPath Tools.

The path must be created using either a series of connected lines and arcs, or a single polyline (for AutoCAD) or a single complex chain (for MicroStation). Splines (for AutoCAD) and B-splines (for MicroStation) are also supported.


Conflict Analysis

Turn simulations are generated by taking into account any user drawn CAD elements on the specified Obstacles layer/level that interact with the vehicle body and body clearance envelopes of turn simulations (see Properties -> Conflict Analysis Category). The portions of those elements that conflict with the vehicle body and body clearance envelopes of turn simulations are highlighted to indicate that a conflict was detected. In addition, a note is added at the first and last vehicle position in the turn simulation to draw attention to a conflict somewhere within the turn simulation.

The conflict analysis is carried out on lines, arcs, polylines, complex chains, and blocks.

Note: In AutoCAD, block references must be located on the Obstacles layer.

Note: The conflict analysis is performed while generating or placing turn simulations (i.e. SmartPath Tools, Place Adaptive Simulation, Regenerate Simulation). It is not performed when visualizing simulations (i.e. Run Animation and Place Vehicle).


Tutorials

AutoTURN features interactive tutorials that run in a CAD environment.

The tutorials take you step by step through various aspects of the software allowing you to quickly become familiar with the software. By running the tutorials, you are actually using AutoTURN to complete the tutorial steps. Each step of the tutorial requires a specific action which must be completed correctly before the tutorial will advance to the next step. We feel that this positive feedback provides an advantage over other methods of learning which can let you get lost or confused along the way.

See Tools -> Tutorials for instructions on accessing the supplied tutorials and for creating user-defined tutorials.

Note: Users require the Advanced access level to create tutorials (see Program Settings -> Permissions Category: Access Levels).


Using Help

Using AutoTURN Help

AutoTURN Help contains information and links to online resources to help you using AutoTURN. In the Help window, you use the left pane to locate Help topics. The tabs above the left pane give you several ways for finding the topics you want to view. The right pane displays the topics you select.

Accessing Help

You can open this Help file from within AutoTURN in any of the following ways:

  • Click the Help button in any AutoTURN dialog box.

OR

  • Click the [image] Help button on the AutoTURN toolbar.

OR

  • Click Help in the AutoTURN menu.

Finding Information in Help

The tabs on the left side of the Help window provide different methods for finding information (see Find Information in Help).

Using Searches

A basic search using the Search tab consists of the word or phrase you want to find (see Use Searches).

Printing Help Topics

The quickest way to print the current topic is to right-click within the topic, and then click Print (see Print Help Topics).


Find Information in Help

The tabs on the left side of the Help window provide different methods for finding information. To locate a specific word or phrase in the current topic, use the CTRL+F keys.

Contents Tab

  • Presents an overview of the available documentation in a list of topics and subtopics.

  • Allows you to browse by selecting and expanding topics.

  • Provides a structure so you can always see where you are in Help and quickly jump to other topics.

Index Tab

  • Displays an alphabetical list of keywords related to the topics listed on the Contents tab.

  • Accesses information quickly when you already know the name of a feature, command, or operation, or when you know what action you want to perform.

Search Tab

  • Provides full-text search of all the topics listed on the Contents tab.

  • Allows you to perform an exhaustive search for a specific word or phrase.

  • Displays a ranked list of topics that contain the word or words specified in the keyword box.


Use Searches

A basic search using the Search tab consists of the word or phrase you want to find. The basic search rules are as follows:

  • Type your search in uppercase or lowercase characters; searches are not case-sensitive.

  • Search for any combination of letters (a-z) and numbers (0-9).

  • Do not use punctuation marks such as the period, colon, semicolon, comma, hyphen, and single quotation marks; they are ignored during a search.

  • Group the elements of your search using double quotation marks or parentheses to set each element apart.

Note: When you use the Search tab, all topics that contain the word or phrase that you specify are listed. This includes the text in topic titles and labels, not just the topic text.


Print Help Topics

The quickest way to print the current topic is to right-click within the topic, and then click Print.

The [image] Print button on the Help toolbar provides these print options:

  • Print the selected topic (recommended).

  • Print the selected heading and all subtopics.

Note: When you select the second option, you may get numerous printed pages, depending on how many subtopics the currently selected topic contains.


Data Collection

The usage data collected by Transoft Solutions Inc. includes:

  • The license number of the product.

  • Which CAD platforms are used and how often.

  • Which AutoTURN tools are used and how often.

  • Which AutoTURN vehicles are used and how often.

  • Which AutoTURN custom vehicles are shared and how often.

  • How many legacy simulations are upgraded.

  • Customize Axle Spacing - how many times axle spacing is customized.

  • Welcome Screen - how many times this is displayed.

Transoft Solutions Inc. does not collect any personal and/or private information about the users. The data collection process is entirely anonymous, and it is solely intended for the further improvement of the software developed by the company. The collected data is not shared with third parties, nor is it used for marketing or advertising purposes.


Tools


AutoTURN Menu Overview

AutoTURN tools are accessed in MicroStation and BricsCAD via the AutoTURN toolbar. In newer versions of AutoCAD (2010 and up), the tools are accessed via the AutoTURN ribbon while the toolbar is available for loading manually. In older versions of AutoCAD (2009 - 2007), the toolbar and menu are loaded automatically.

AutoTURN Toolbar

AutoTURN Ribbon

Configuration Tools

Program Settings: Sets various general program settings, display options, vehicle creation defaults, permissions, and which hints and vehicle libraries will display; provides functions for purchasing and installing AutoTURN vehicle libraries, renewing a MAP, upgrading a license and moving a program license between computers, as well as information about how to contact Transoft Solutions Inc.

Properties: Sets the various properties that determine how turn simulations will be drawn. The update function allows an existing turn simulation to be updated to the currently displayed properties.

Vehicles: Sets the current vehicle for use in generating vehicle simulations; provides functions for viewing/editing vehicle details, copying and creating new vehicles, and importing and exporting AutoTURN format .veh files.

SmartPath Tools

Generate Arc Path: Generates the simplest and most commonly used type of turn simulation. It generates a path that follows an arc from the start position to the position of the mouse.

Generate Corner Path: Generates a turn simulation using an entrance tangent, arc, and exit tangent, with input for the turn radius and the amount of turn sweep.

Oversteer Corner Path: Generates an over-steered maneuver similar to the one generated with the Generate Corner Path tool (see SmartPath Tools -> Generate Corner Path) except that the body of the vehicle’s first part and steering tires are parallel at the end of the maneuver. Entry and exit tangent offsets are used to control the amount of oversteer applied to the maneuver.

Steer A Path: Provides a means of driving a vehicle along an arbitrary path by moving the mouse in the desired direction.

Place Tools

Place Adaptive Simulation: Places a forward turn simulation using the current vehicle (see Overview -> Current Vehicle) based on following selected path elements with the center of the steering axle group (a traditional centerline path follow turn simulation) or by offsetting the turn simulation a specified distance relative to the selected turn simulation envelopes (an offset turn simulation).

Place Vertical Simulation: Places a forward vertical simulation using the current vehicle (see Overview -> Current Vehicle) on selected vertical path elements.

Edit Tools

Path Control: Edits 2D turn simulations by adding or moving nodes by making small adjustments to the path.

Place Vehicle: Places plan view representations of the current vehicle anywhere along the path.

Delete Vehicle: Deletes vehicles in turn simulations that were placed using the Place Vehicle tool (see Place Vehicle).

Continue Simulation: Continues generating the selected turn simulation.

Delete Last Section: Deletes the last section of a picked turn simulation.

Regenerate Simulation: Recreates the selected turn simulation taking into account any changes to the elements drawn on the specified Obstacles Layer/Level that interact with the turn simulation envelopes.

Analysis Tool

Analyze Sight Lines: Draws sight lines based on the location of the driver's eye within the vehicle and stopping sight distances, interval distances, and object heights to determine the areas in which obstacles cannot be placed.

Visualization Tools

Run Animation: Runs an animation of the current vehicle on a path or runs an animation of the vehicle used in a simulation.

Manage InVision Data: Adds InVision data to the drawing for selected turn simulations to be used with the InVision product. This tool can also be used to remove unwanted InVision data from the drawing.

Report Tools

Insert Profile: Inserts a dimensioned profile view of the current vehicle, or in the case of a simulation, the vehicle in the simulation.

Generate Report: Generates graphical and summary reports. The graphical report can be placed in the drawing to accompany the simulation, and the summary report can be generated and saved to a file.

Recall Simulations: Recalls previously stored turn simulations by either placing the turn simulations or running their animations.

Generate Template: Generates a turning template of the current vehicle complete with all relevant vehicle dimensions and turning characteristics.

Generate Grade Template: Generates grade template for the current vehicle showing the vehicle's upward and downward grade capabilities.

Support Tools

Transoft Solutions User Portal: Visit the Transoft Solutions' User Portal for additional content, training resources, and product certification.

Tutorials: Plays interactive tutorials. Users with the Advanced access level can also record tutorials.

Help: Provides in-depth information on features as well as step-by-step instructions for specific tasks.

Transoft Solutions Online: Visit Transoft Solutions on the web.

AutoTURN Menu


Program Settings

Sets various general program settings, display options, vehicle creation defaults, permissions, and which hints and vehicle libraries will display; provides functions for purchasing and installing AutoTURN vehicle libraries, renewing a MAP, upgrading a license and moving a program license between computers, as well as information about how to contact Transoft Solutions Inc.

Program Settings Categories:

  • General

  • Display Options

  • Vehicle Defaults

  • Permissions

  • Hints

  • Vehicle Library Display

  • Vehicle Libraries

  • Licensing

  • Patent Information

  • Contact Transoft


Program Settings

General Category

Program Settings - General Category

Units Section

This setting tells AutoTURN what units should be used to create turn simulations. The Vehicles tool (see Vehicles) uses this setting to draw the vehicles in their dialog boxes' preview areas. In MicroStation, this setting refers to the master units setting of the design file. Care should be taken to ensure the correct units have been selected before placing a simulation or running an animation. Units available are:

  • inches

  • millimeters

  • feet

  • meters

  • centimeters

Save Simulation Section

  • Click In Drawing Folder to have AutoTURN save simulations to the subfolder where the drawing is located. The subfolder name is created by adding "AT-" to the drawing name: AT-drawingname.

  • Click In Output Folder to have AutoTURN save simulations in the Output folder.

Welcome Screen Section

To have the welcome screen display each time AutoTURN starts, ensure that the Show on Startup check box is selected. To view the welcome screen, click the Show Now button.

Usage Data Collection Section

To allow Transoft Solutions Inc. to collect AutoTURN anonymous usage data, select the Allow anonymous usage data collection check box (for information on data collection, see Overview -> Data Collection).

Automatic Updates Notification Section

To have AutoTURN search for product updates each time the program starts, select the Check on Startup check box. To search for product updates, click the Check Now button.

Product Selection Section

Note: This option is only available if you have multiple AutoTURN licenses installed on the License Server (see Installation -> Installing on a Network).

To have AutoTURN remember which product you chose to run when you were starting the current session, select the Remember my selected product check box. When you start AutoTURN next time, it will automatically load the current product.


Program Settings

Display Options Category

Program Settings - Display Options Category

Vehicle Angles Section

When Dragging

Select this check box so that vehicle angles will display in the drawing while generating, editing and visualizing turn simulations.

When Drawing

Select this check box so that vehicle angles will draw in the turn simulations after generating, placing, and editing turn simulations.

Note: Angle measurements display for steering, articulating angles (see SmartPath Tools, Continue Simulation, Path Control, Place Adaptive Simulation, and Place Vehicle).

The following drawing illustrates a simulation with the When Drawing check box selected.

Vehicle Angles Example

Steering Pointer Section

Select the Enabled check box to have the steering pointer display while generating and visualizing simulations (see SmartPath Tools, Continue Simulation, Path Control, and Place Vehicle).

The following drawing illustrates a simulation being generated with the Enabled check box selected.

Steering Pointer Example

Steer A Path Section

Set how fast or slow the vehicle follows the mouse while using the Steer A Path tool (see Tools -> SmartPath Tools -> Steer A Path), where 1 is the slowest speed and 10 is the fastest. This setting is available to allow users to achieve a comfortable driving rate on all computers. The speed at which the vehicle follows the mouse is in no way related to the speed of an actual vehicle.

Envelopes Section

Precision

Set the desired precision of the previewed load shape envelopes and the arc path preview (see Smart Path Tools: SmartPath Tools Dialog Box Explained: Preview Arc Path). Setting a lower precision value may improve performance on slower computers. This setting is used in the SmartPath Tools to determine how accurately the load shape envelopes and swept arc path envelopes beyond the simulation are displayed while dragging. It does not affect how the simulation is drawn when the simulation is generated.

See also: Vehicles -> To Add a Load to a Vehicle, Properties -> Envelopes Category , SmartPath Tools.


Is the time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

Is the maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Is the angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle. See Reverse Overrides in Program Settings/General and To Generate a Turn Simulation in SmartPath Tools.

Is the maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Is the angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle. See Reverse Overrides in Program Settings/General and To Generate a Turn Simulation in SmartPath Tools.

Program Settings

Vehicle Defaults Category

Program Settings - Vehicle Defaults Category

Vehicle Creation Default Values Section

Set the default Lock to Lock Time, Steering Lock Angle, and Articulating Angle values used when creating new vehicles (see Vehicles -> To Create a New Vehicle).

Insert Profile Units Section

  • Click Program Settings Units to generate profiles using the Program Settings' units when using the Insert Profile tool.

  • Click Vehicle Creation Units to generate profiles using the vehicle's Creation Units setting.

Reverse Overrides Section

These settings allow you to set more realistic Steering Lock Angle and Articulating Angle values than what are used in some design vehicles for the purposes of maneuvering vehicles in reverse.

By default, reverse maneuvers with single unit vehicles use the vehicle's steering lock angle. If you want AutoTURN to use the steering lock angle specified under Reverse Overrides instead, select the Apply to single unit vehicles check box.

Vehicle Export File Format Section

By default, AutoTURN version 10 or newer exports custom vehicles in the VEH file format. If you want custom vehicles to be exported as VCL files compatible with AutoTURN version 9.1 or older, click VCL (old format). Additionally, you can select the JSON check box to have AutoTURN export custom vehicles in the JSON file format.

Note: The Vehicle Export File Format section only displays if AutoTURN is authorized (see Installation -> Authorizing AutoTURN) and you have the Administrator access level (see Permissions Category: Access Levels).


Program Settings

Permissions Category

Program Settings - Permissions Category (permissions not enabled)

AutoTURN uses Permissions to allow CAD Systems Managers, et al, more control over the AutoTURN functions available to users in network configurations.

AutoTURN ships with Permissions disabled, which grants users access to the standard program functions.

If more restrictive access is desired, administrators can enable permissions (see To Enable Permissions). Once permissions have been enabled, each AutoTURN user will need to type the password assigned to the desired access level (see To Set the User Access Level). If they do not type an access level password, they will have the Basic access level. AutoTURN will remember the user’s last access level when they restart AutoTURN so an access level password is not required every time AutoTURN is started.

The passwords are stored on the License Server and are accessed by all workstations running AutoTURN.

Access Levels (from lowest to highest):

Basic - Can select vehicles, cannot create or add loads and sight lines (see Vehicles -> To Define Loads and Vehicles -> To Add Sight Lines to a Vehicle respectively), cannot create custom vehicles or configure steering linkages (see Vehicles -> To Configure Steering Linkages for a Vehicle). Default password: n/a.

Standard - Can select vehicles, can create and copy vehicles and configure vehicle corners (see Vehicles -> To Configure a Vehicle's Corners), can add/delete/apply loads and sight lines (see Vehicles -> To Define Loads and Vehicles -> To Add Sight Lines to a Vehicle respectively), configure steering linkages and share vehicles up to the network database (see Vehicles -> To Configure Steering Linkages for a Vehicle and Vehicles -> To Share a Vehicle in a Network Configuration respectively). Default password: standard.

Advanced - The Standard access level plus the ability to lock custom vehicles as well as the ability to record tutorials (see Tutorials -> To Record a Tutorial). Default password: advanced.

Administrator - The Advanced access level plus the ability to enable/disable permissions and change passwords. If AutoTURN is authorized, the Administrator access level enables the Install and Uninstall buttons in the Vehicle Libraries category (see Vehicle Libraries Category). In standalone installations, the Administrator access level enables the Move Program, Renew MAP, Upgrade License buttons in the Licensing category (see Licensing Category). Default password: admin.

Note: An equivalent or higher access level than that of a custom vehicle is required to edit or delete the custom vehicle. All access levels allow the ability to view the vehicle details, loads, sight lines, corners, and steering linkages.

To Enable Permissions:

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Permissions category. The following dialog box displays:

Program Settings - Permissions Category (permissions not enabled)

  3. In the Password edit box, type "admin", and then click Submit.

  4. Select the Enable Permissions check box:

Program Settings - Permissions Category (Administrator Access)

  5. It is recommended that the default Standard User, Advanced User, and Administrator passwords be changed at this time. Ensure you record the new passwords for easy retrieval.

  6. Click Logout. The message "Basic Access" displays under Password:

Program Settings - Permissions Category (Basic Access)

  7. Click OK to apply the changes and close the Program Settings dialog box.

Note: The change to each user's access level takes effect the next time they start AutoTURN (i.e. they will each have the Basic access level until they type the password for a higher level access).

To Disable Permissions:

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Permissions category. A dialog box similar to the following example displays:

Program Settings - Permissions Category (Basic Access)

  3. If the Administrative access level has been set (see Access Levels), skip to step 4. Otherwise, type "admin" in the Password edit box, and then click Submit. The following dialog box displays:

Program Settings - Permissions Category (Administrative Access)

  4. Clear the Enable Permissions check box:

Program Settings - Permissions Category (permissions disabled)

  5. Click Logout.

  6. Click OK to apply the changes and close the Program Settings dialog box.

To Set the User Access Level:

Permissions must be enabled prior to setting the user access level (see To Enable Permissions).

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Permissions category. The following dialog box displays:

Program Settings - Permissions Category (Basic Access)

  3. In the Password edit box, type the password for the desired access level (see Access Levels for default passwords), and then click Submit.

  4. A message displays below Password indicating the access level granted by the password that was just typed (e.g. "Standard Access", "Advanced Access", etc.).

  5. Click OK to apply the changes and close the Program Settings dialog box.

Note: Clicking Logout at any access level will return you to the Basic access level.


Program Settings

Hints Category

Program Settings - Hints Category

Select the check boxes corresponding to the hints you want to display while AutoTURN is operating.

  • To select all hints in the list, click Select All.

  • To cancel the selection of all hints in the list, click Clear All.

  • To preview a hint in a separate dialog box, click Preview Hint.


Program Settings

Vehicle Library Display Category

Program Settings - Vehicle Library Display Category

Select the check boxes corresponding to the vehicle libraries you want to display in the filter list of the Select Current Vehicle dialog box (see Vehicles -> To Select the Current Vehicle: Select Current Vehicle Dialog Box Explained).

  • To select all libraries in the list, click Select All.

  • To cancel the selection of all libraries in the list, click Clear All.

Note:

  • At least one vehicle library must be selected.

  • Custom vehicle libraries always display in the filter list of the Select Current Vehicle dialog box.


Program Settings

Vehicle Libraries Category

Program Settings - Vehicle Libraries Category

A vehicle library is composed of manufacturer specific vehicles and compatibility data. The vehicles in the library are supplied with realistic plan view and vehicle information to extend the vehicle database and facilitate vehicle simulations.

Installed Libraries Section

Lists the vehicle libraries that are currently installed.

Purchase

Allows you to purchase vehicle libraries from Transoft Solutions Inc. To purchase a vehicle library, make sure you are connected to the Internet, and then click Purchase. You will be directed to the Transoft Solutions Inc. web site where you will be able to select and order vehicle libraries you need.

Install

Note: The Install button only displays if AutoTURN is authorized (see Installation -> Authorizing AutoTURN) and you have the Administrator access level (see Permissions Category: Access Levels).

Allows you to install the vehicle libraries you have purchased from Transoft Solutions Inc. (see To Install a Vehicle Library).

Uninstall

Note: The Uninstall button only displays if AutoTURN is authorized (see Installation -> Authorizing AutoTURN) and you have the Administrator access level (see Permissions Category: Access Levels), and it is only available if at least one vehicle library has been installed.

Allows you to uninstall the vehicle libraries you installed (see To Uninstall a Vehicle Library).

To Install a Vehicle Library:

Note: The Install button only displays if AutoTURN is authorized (see Installation -> Authorizing AutoTURN) and you have the Administrator access level (see Permissions Category: Access Levels).

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Vehicle Libraries category. A dialog box similar to the following example displays:

Program Settings - Vehicle Libraries Category

  3. Click Install. The following dialog box displays:

Select Vehicle Library File to Install

  4. Browse to the vehicle library file you want to install.

Note: If you want to install multiple vehicle libraries, make sure the files are saved to the same folder. To select several consecutive files, click the first file, press and hold down SHIFT, and then click the last file. To select several nonconsecutive files, press and hold down CTRL, and then click each file.

  5. After you select the desired vehicle library file, click Open. AutoTURN installs the vehicle library, and then a dialog box similar to the following example displays:

Vehicle library installed

  6. Click OK to return to the Program Settings dialog box.

To Uninstall a Vehicle Library:

Note: The Uninstall button only displays if AutoTURN is authorized (see Installation -> Authorizing AutoTURN) and you have the Administrator access level (see Permissions Category: Access Levels), and it is only available if at least one vehicle library has been installed.

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Vehicle Libraries category. The following dialog box displays:

Program Settings - Vehicle Libraries Category

  3. In the Installed Libraries list, click the vehicle library you want to uninstall, and then click Uninstall. A warning message displays.

  4. Confirm that you want to uninstall the vehicle library.


Program Settings

Licensing Category

Program Settings - Licensing Category (standalone version)

Program Settings - Licensing Category (network version)

This category displays the program name, version, build date, license number, maximum number of users allowed, MAP (Maintenance Assurance Program) expiry date, and the installation code for the currently installed product.

Automatically check for and apply license updates

Ensure that this check box is selected if you want AutoTURN to automatically check for and apply license and MAP updates.

Note: If your computer is behind a firewall, you will need to configure it to allow the CAD application (e.g. AutoCAD/acad.exe or MicroStation/ustation.exe) to have access to the Internet. If you have to set up a firewall exception, specify port 27010 as an outgoing port.

The network version provides a function to check out a license for laptop users who want to be disconnected from the License Server for a period of time and still be able to run the product.

To Check Out a License:

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Licensing category. The following dialog box displays:

Program Settings - Licensing Category (network version)

  3. Click Check Out License. Skip to step 5 unless the Administrator has enabled password protection (see License Server Administration Tool -> To Administrate the License Checkout System ). In that case, the following dialog box displays:

Enter Checkout Password

  4. In the Password edit box, type the Checkout Password, and then click OK.

  5. The following dialog box displays:

Check Out License

In the Comment edit box, type a comment to describe why the license is checked out from the License Server.

  6. In the Checkout Expiry Date box, specify the date that the checked out license will expire.

  7. Click OK. The Expiry Date Reminder notification dialog box displays.

  8. Click OK. The license is now checked out and the following dialog box displays:

Program Settings - Licensing when License is checked out (network version)

Note: The computer will not need to be connected to the License Server to run the program until the checkout expiry date is reached. At that time the computer will need to be connected to the License Server to run the program.

To Check In a License:

  1. Click [image] Program Settings on the toolbar or ribbon.

  2. Select the Licensing category. The following dialog box displays:

Program Settings - Licensing when License is checked out (network version)

  3. Click Check In License. An alert dialog box displays.

  4. In the alert dialog box, click OK, or, in case of an error, report the error to the Administrator. If the license check in is successful, the following dialog box displays:

Program Settings - Licensing (network version)


Program Settings

Patent Information Category

Program Settings - Patent Information Category

Contains a link to view a list of patents on the Transoft Solutions website . To view the list, click the Visit Now button.


Program Settings

Contact Transoft Category

Program Settings - Contact Transoft Category

This category contains information for contacting Transoft Solutions via telephone, e-mail, or website.


Properties

Allows you to set the various properties that determine how turn simulations will be drawn. The Update function allows an existing turn simulation to be updated to the currently displayed properties.

Properties Categories:

  • General

  • Vehicles

  • Envelopes

  • Hatching

  • Conflict Analysis


Properties

General Category

Properties - General Category

Draw Path On Section

Set the layer/level that the turn simulation's path will be drawn on in the following ways:

  • Click Current Layer/Level to have the turn simulation's path drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have the turn simulation's path drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have the turn simulation's path drawn on an existing layer/level.

To draw all 2D elements of the simulation on the selected layer/level, select the Use these settings for all 2D elements check box.

Use these settings for all 2D elements

To have AutoTURN use the layer/level specified in the Draw Path On section for all 2D elements, select this check box.

Note: If you select the Use these settings for all 2D elements check box, the similar sections in the other categories will be unavailable.

Path Draw Options Section

Set the color and line style for the path line, path icons, and centerline radii that are drawn.

Note: The path line is always drawn in SmartPath Tools simulations.

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle envelope and the vehicle maneuverability of a simulation.

Properties

Vehicles Category

Properties - Vehicles Category

Draw Vehicles On Section

Set the layer/level that vehicles will be drawn on in the following ways:

  • Click Current Layer/Level to have vehicles drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have vehicles drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have vehicles drawn on an existing layer/level.

Vehicle Draw Options Section

Set which elements to draw as well as the element’s color, line style, and fill as applicable for each element. Select the Realistic check box to draw the realistic vehicle drawing whenever the vehicle is drawn (see Customizing AutoTURN -> Creating a Realistic Vehicle Drawing).

Note:

  • The Tire Treads check box cannot be selected unless the Tires check box is first selected.

  • The Vehicle and Cargo elements are always drawn in simulations.

  • If the Vehicle Name check box is selected, the vehicle group and name will be drawn in every vehicle instance in the simulation.

Draw Vehicles At

Vehicles are always drawn at both ends of the simulation and at the changes of direction.

  • Click Path Ends to have vehicles drawn at the ends of the path.

  • Click Intervals to have vehicles placed at spaced intervals. Type the spacing between vehicle placements in the edit box. This value is expressed in vehicle lengths. For example, a value of 1 would result in vehicles being drawn with the end of one coinciding with the beginning of the next.

  • Click Section Ends to have vehicles drawn at the ends of the sections. When a simulation is made up of more than one section, each section ends where the next one starts. Since it would be confusing to draw the vehicle at both the end of the section and the start of the new section this setting provides the option to draw the vehicle at either one.

Cargo

Select the color and line style for the cargo.

Cargo Drawn in Red Example

Note: If a vehicle has cargo, it is always drawn, so the Cargo check box cannot be cleared.

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


The swept path of a vehicle is the envelope swept out by the sides of the vehicle body, or any other part of the structure of the vehicle. A swept path determines whether the vehicle will make contact with vertical obstructions. Create a swept path simulation by selecting the Vehicle body envelope in Simulation Properties.

Properties

Envelopes Category

Properties - Envelopes Category

Set which envelopes to draw as well as the envelope’s color, line style, maximum width dimension, and clearance distances where applicable.

Draw Envelopes On Section

Set the layer/level that envelopes will be drawn on in the following ways:

  • Click Current Layer/Level to have envelopes drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have envelopes drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have envelopes drawn on an existing layer/level.

Envelope Draw Options Section

Front Tires

Select this check box to have the simulation drawn with envelopes that trace the outside edges of the tires in the front most axle group of the vehicle. If there is more than one axle in the front axle group, envelopes will be drawn for the first and last axle in the group.

Front Tires Envelopes Example

Rear Tires

Select this check box to have the simulation drawn with envelopes that trace the outside edges of the vehicle’s rear most axle group.

The envelopes generated depend upon the composition of the rear axle group:

  • If the group contains fewer than three fixed axles: one envelope is drawn for the center of the group.

  • If the group contains three or more fixed axles: one envelope is drawn for the center of the group and one for the last axle.

  • If the group contains all steerable axles: one envelope is drawn for the first and last axles.

  • If the group contains a combination of fixed and steerable axles: one envelope is drawn to trace the center of the fixed group and either the first axle (if there are more steerable axles in front of the fixed group) or the last axle (if there are more steerable axles behind the fixed group).

Rear Tires Envelopes Example

Vehicle Body

Select this check box to have the simulation drawn with a vehicle body or swept path envelope. The swept path envelope is the widest path swept out by the sides and overhangs of the vehicle.

Vehicle Body Envelope Example

Loads

Select this check box to have the simulation drawn with a swept path envelope of the load shape. The swept path load envelope is the widest path swept out by the extents of the load shape. If no load is applied to the vehicle, load envelopes will not be drawn.

Load Envelopes Example

Clearances

Select these check boxes and specify clearance distances to have the simulation drawn with envelopes generated at the distances offset from where they would normally be drawn.

Vehicle Body Clearance Envelope Example

Maximum Width

Select this check box to have the simulation drawn with a symbol consisting of a circle on each envelope and a dimension between them at the widest point of the simulation for the selected envelope combinations.

Vehicle Body Envelope with Max Width Example

Tracking Points

Set the tracking points’ color and line style.

Overall Maximum Width

Select this check box to have the simulation drawn with a symbol consisting of a circle on each envelope and a dimension between them at the overall widest point of the simulation for all of the selected envelopes.

Vehicle Envelopes with Overall Max Width Example

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


Properties

Hatching Category

Properties - Hatching Category

MicroStation Users:

Ensure that Transparency and Fill are enabled in View Attributes.

Draw Hatching On Section

Set the layer/level that the turn simulation's hatching will be drawn on in the following ways:

  • Click Current Layer/Level to have the turn simulation's hatching drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have the turn simulation's hatching drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have the turn simulation's hatching drawn on an existing layer/level.

Select an envelope that will have hatching applied to it, and then set the Hatch Pattern, Color, Scale, Angle, and Transparency values. A few examples of simulations with hatching are shown below:

Hatching with Vehicle Body Envelope Example

Hatching with Vehicle Body Clearance Envelope Example

MicroStation V8 users:

AutoTURN uses the athatch.cel patterns file in the Patterns folder by default. To use a different hatch pattern file, specify the file’s location using the AutoTURN Configuration Utility (see Installation -> AutoTURN Configuration Utility).

AutoCAD users:

AutoTURN scans the AutoCAD search path and includes any .pat files found. To use custom hatches, place them in a folder which is included in the search path.

BricsCAD users:

For information on adding custom hatch patterns to BricsCAD, please refer to the respective software documentation.

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


Properties

Conflict Analysis Category

Properties - Conflict Analysis Category

Draw Conflict Analysis On Section

Set the layer/level that conflict analysis will be drawn on in the following ways:

  • Click Current Layer/Level to have conflict analysis drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have conflict analysis drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have conflict analysis drawn on an existing layer/level.

Obstacles Layer / Level Section

Set which layer/level is evaluated for elements that conflict with the vehicle body, body clearance, loads, and loads clearance envelopes of turn simulations.

User drawn lines, arcs, polylines, and complex chains on the specified layer/level will be evaluated for conflicts when turn simulations are generated or placed in the drawing.

Conflict Analysis Draw Options Section

Obstacle Conflicts

Set the color used to denote the portions of elements drawn on the Obstacles Layer/Level that conflict with the vehicle body, body clearance, loads, and loads clearance envelopes of turn simulations.

In the following example, the portions of user drawn elements that conflict with the turn simulation are denoted in red.

Conflict Analysis Example

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


Vehicles

Sets the current vehicle for use in generating vehicle simulations; provides functions for viewing/editing vehicle details, creating new vehicles, and importing and exporting AutoTURN format .veh files.

Different icon buttons will appear at the bottom of the dialog box depending on whether the vehicle has loads and/or sight lines defined, or whether the vehicle can be deleted.

Permissions can be enabled to limit the user's access for creating and editing custom vehicles as well as the ability to add loads and sight lines to vehicles. The buttons or functionality will only be available if you have the required access level (see Program Settings -> Permissions Category: Access Levels).

Use the Vehicles Tool to:

Select the current vehicle

Create a new vehicle

Copy a vehicle

Delete a vehicle

Calculate the steering lock angle

Configure axle group details

Configure steering linkages for a vehicle

Configure a vehicle's corners

Configure cargo details

Create and view vehicle information

View a vehicle's details

Edit a vehicle's details

Add a load to a vehicle

Define tracking points

Add sight lines to a vehicle

Configure the vehicle list

View vehicle articulation

Import a vehicle

Export a vehicle

Export all custom vehicles

Share a vehicle in a network configuration


To Select the Current Vehicle

Vehicles

Select Current Vehicle

Sets the current vehicle used by the following AutoTURN tools (see Overview -> Current Vehicle):

  • SmartPath Tools

    • Generate Arc Path

    • Generate Corner Path

    • Oversteer Corner Path

    • Steer A Path

  • Place Adaptive Simulation

  • Run Animation (on a path)

  • Place Vehicle (on a path)

  • Insert Profile

  • Generate Template

To Select the Current Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle.

  4. Click OK to apply the changes and close the Select Current Vehicle dialog box. The selected vehicle is now the current vehicle.

Select Current Vehicle Dialog Box Explained:

Select Current Vehicle Dialog Box

Group Vehicles By Section

Sets which vehicles display in the vehicle list.

To group by Library:

  1. In the top of the Group Vehicles By box, select Library.

  2. In the filter list, select one or more libraries to display in the vehicle list (use SHIFT+select and/or CTRL+select to select more than one library at a time).

  3. Only the vehicles of the selected libraries display in the vehicle list.

To group by Class:

  1. In the top of the Group Vehicles By box, select Class.

  2. In the filter list, select one or more classes to display in the vehicle list (use SHIFT+select and/or CTRL+select to select more than one class at a time).

  3. Only the vehicles of the selected classes display in the vehicle list.

To group by Number of Parts:

  1. In the top of the Group Vehicles By box, select # of Parts.

  2. In the filter list, select one or more number of parts to display in the vehicle list (use SHIFT+select and/or CTRL+select to select more than one number of parts at a time).

  3. Only the vehicles of the selected numbers of parts display in the vehicle list.

To group by Region:

  1. In the top of the Group Vehicles By box, select Region.

  2. In the filter list, select one or more regions to display in the vehicle list (use SHIFT+select and/or CTRL+select to select more than one region at a time).

  3. Only the vehicles of the selected regions display in the vehicle list.

To group by Country:

  1. In the top of the Group Vehicles By box, select Country.

  2. In the filter list, select one or more countries to display in the vehicle list (use SHIFT+select and/or CTRL+select to select more than one country at a time).

  3. Only the vehicles of the selected countries display in the vehicle list.

To group by No Group:

  1. In the top of the Group Vehicles By box, select No Group.

  2. All vehicles display in the vehicle list.

To group by Recent:

  1. In the top of the Group Vehicles By box, select Recent.

  2. Type the desired number in the Recent edit box.

  3. Only the number of recent vehicles display in the vehicle list.

Filter List

This list displays the available choices for the Group Vehicles By choice. For example, all of the available vehicle libraries display in this list when Group Vehicles By is set to Library, all available vehicle classes display here when Group Vehicles By is set to Classes, etc.

Filter list displaying vehicle libraries

Note: You can use the Vehicle Groups category of the Program Settings dialog box to specify which libraries are displayed in the filter list (see Tools -> Program Settings -> Vehicle Library Display Category).

Vehicle List

This list displays the vehicles available in the filtered group. For example, this list will display all of the vehicles in a selected vehicle library when Group Vehicles By is set to Library and a library is selected in the filter list.

Vehicle list displaying vehicles in the AASHTO 2001 (US) vehicle library

Preview Area

The selected vehicle is displayed in the preview area above the vehicle list. All standard vehicles display with a dimensioned profile in the preview area. Custom vehicles display in the following ways:

  • If the custom vehicle has an associated realistic vehicle drawing (see Creating a Realistic Vehicle Drawing) and an associated profile drawing (see Customizing AutoTURN -> Creating a Profile Drawing), the preview displays the profile drawing and dimensions displayed in the Units as set in Program Settings -> General Category: Units as in the following example:

Example of a custom vehicle with a profile drawing

  • If the selected custom vehicle does not have an associated realistic vehicle drawing and an associated profile drawing, the vehicle plan and tires are parametrically drawn based on the dimensions of the custom vehicle as in the following example:

Example of a custom vehicle with no profile or realistic vehicle drawings

  • If the selected custom vehicle has an associated realistic vehicle drawing but it does not have an associated profile drawing, the preview displays the realistic vehicle drawing with parametrically drawn tires as in the following example:

Example of a custom vehicle with a realistic vehicle drawing

Vehicle Profile Data

This icon indicates that the current vehicle can be used with all 2D tools as well as the following:

  • Place Vertical Simulation

  • Generate Grade Template

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Create a New Vehicle

The time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

The maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Vehicles

Create New Vehicle

Creates a new vehicle from a standard or custom vehicle.

Note: If Permissions are enabled, this button displays only if you have the Standard or higher access level (see Program Settings -> Permissions Category: Access Levels).

To Create a New Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the vehicle on which the new vehicle will be based. The dialog box updates to display the selected vehicle.

  4. Click [image] Create New Vehicle. The following dialog box displays:

Create New Vehicle

  5. Ensure that in the Displayed Data section, Plan/Profile View Data is selected.

  6. In the Creation Units list, select the units for the new vehicle.

  7. Under General Data:

    1. In the Name box, type a name for the new vehicle.

    2. In the Library and Region boxes, enter the desired names for the vehicle library and vehicle region respectively.

    3. From the Profile Type list, select the desired vehicle profile type.

      • If you have a profile drawing that encompasses all parts of the vehicle, select Vehicle.

      • If you want to select individual part profiles for each part, select Parts.

      • If you do not want to assign a profile drawing to the vehicle, select None.

    4. If you chose Vehicle in the previous step, from the Vehicle Profile list, select the desired vehicle profile.

    5. In the Class box, enter the desired name for the vehicle class.

    6. In the Lock to Lock Time and Steering Lock Angle (see To Calculate the Steering Lock Angle), boxes, type the new vehicle's desired lock to lock time and steering lock angle respectively.

  8. Under Current Part Data:

    1. If you chose Parts in step 7.c, from the Part Profile list, select the desired part profile.

    2. From the Tractor/Trailer list, select the desired type of tractor/trailer.

    3. From the Steering list, select the desired type of steering (see Steering Types).

Note:

  • To enable steering linkages for a single part vehicle, select the Front and Rear steering configuration (see To Configure Steering Linkages for a Vehicle).

  • To enable steering linkages for a multi-part vehicle, the tractor cannot have rear steering, only the last trailer's rear axles can be configured as rear steerable, and all axles in the rear group must be steerable (see To Configure Steering Linkages for a Vehicle).

    4. Click [image] Articulate to check steering components.

    5. In the Width box, type the desired width of the vehicle/part.

    6. To configure the corners of the vehicle/part, click [image] Corners (see To Configure a Vehicle's Corners).

    7. Under Front/Rear Axle Group, from the Axles and Wheels lists, select the desired number of axles and wheels respectively. In the Track box, specify the desired distance between the outside edges of the outermost tires on the left and right sides. To configure axle group details, click [image] Front/Rear Axle Group Details, and then modify the axle group parameters as desired (see To Configure Axle Group Details).

    8. Change any dimensions of the vehicle/part.

    9. If the vehicle has more than a single part, navigate to each part in turn to change each part's dimensions and articulating angle.

Note: In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out). Each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part).

  9. In the Displayed Data section, click to select Roofline View Data, and, under Current Part Data, specify the roofline, ground clearances, connector heights, and chamfers of the vehicle/part following the procedures outlined in the Help for that feature (see To Configure a Vehicle's Roofline and Ground Clearances, To Configure a Vehicle's Connector Heights, and To Configure a Vehicle's Chamfers respectively).

  10. To add a part to the vehicle, click [image] Add New Part, and then configure the part's details as described in steps 8 and 9.

  11. Edit the vehicle information, loads, cargo details, and sight lines by clicking the respective button and following the procedures outlined in the Help for that feature (see To Create and View Vehicle Information, To Add a Load to a Vehicle, To Configure Cargo Details, and To Add Sight Lines to a Vehicle respectively).

  12. Click OK to close the Create New Vehicle dialog box and return to the Select Current Vehicle dialog box. The new custom vehicle is now the current vehicle (see Overview -> Current Vehicle). Custom vehicles display with a [image] Custom graphic in the leftmost column of the vehicle list as in the following example:

New Custom Vehicle

Note: An equivalent or higher access level than that used to create a custom vehicle is required to edit or delete that custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

Create New Vehicle Dialog Box Explained

Create New Vehicle Dialog Box

Displayed Data Section

This section provides the means to switch back and forth between plan/profile view data and roofline view data.

Plan/Profile View Data

Click Plan/Profile View Data to view the vehicle profile and edit the vehicle's plan data.

Roofline View Data

Click Roofline View Data to edit the vehicle's roofline data.

Creation Units

Displays the current vehicle's creation units. To store the vehicle's dimensions in alternate units, select the desired units from the list.

General Data Section

This section provides the means to specify the current vehicle's name, library, region, profile type, vehicle profile, class, lock to lock time, and steering lock angle.

Note: Profile Type determines whether the vehicle is assigned a Vehicle Profile drawing (Vehicle), individual Part Profile drawings (Parts), or no profile drawing (None).

Profile Preview Area

Displays the vehicle profile selected under General Data, in the Vehicle Profile list.

Plan Preview Area

Displays the plan view of the current vehicle/part when Plan/Profile View Data is selected in the Displayed Data section.

Roofline Preview Area

Displays the roofline view of the current vehicle/part when Roofline View Data is selected in the Displayed Data section.

Current Part Data

  • When Plan/Profile View Data is selected in the Displayed Data section, this section cites the current vehicle's or part's profile, tractor type, width, steering type, front axle group and rear axle group configurations, and dimensions. The articulating angle is displayed in this section if the current part is a trailer of a multi-part vehicle. The [image] Corners button allows you to configure the corners of the vehicle/part (see To Configure a Vehicle's Corners). The [image] Add New Part and [image] Delete Current Part buttons let you add a new part to the vehicle and delete the last part respectively.

  • When Roofline View Data is selected in the Displayed Data section, this section cites the current vehicle's or part's roofline, height, connector heights (for multi-part vehicles), front, wheelbase, and rear ground clearances (as applicable per part), and chamfers.

Note: In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out). Each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part). The current part of a multi-part vehicle is highlighted with a red arrow above the center of that part in the Plan/Roofline Area.

Steering Types

Part Type | Description
Tractor |
Front Only | Steering axles in the front group only.
Rear Only | Steering axles in the rear group only.
Front and Rear | Steering axles in the front and rear groups.
Front Fixed Only | Axles in the front group only and none are steering axles.
Trailer |
Rear Fixed | Axles in the rear group only and none are steering axles.
Rear Steerable | Fixed and steering axles in the rear group.

Note:

  • The trailer's rear axle group can be configured for fixed and steering axles when the Rear Steerable steering type is selected. Configure the rear axle group by selecting the axle in the group where the fixed axles start from the Fixed Start list, and then selecting the number of fixed axles from the Num list. The Fixed Start axle is counted from the rear axle closest to the front of the part (see To Configure Axle Group Details).

  • The trailer cannot have the Rear Steerable steering type if the tractor has the Front and Rear steering type.

  • Roofline view data can only be assigned for vehicles with steering types that are supported by 3D features.

Button | Option | Click to...
 | Vehicle Information | See additional information about the selected vehicle, or, when creating new vehicles, to add/edit information about the vehicle such as the vehicle's source publication and assumptions that were made when the vehicle was created due to unavailable details.
 | Define Loads | Define loads for the current vehicle.
 | Define Tracking Points | Define tracking points for the current vehicle.
 | Define Sight Lines | Create user-defined sight lines for the current vehicle.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Copy a Vehicle

Vehicles

Copy Vehicle

Creates a new vehicle by copying the currently selected vehicle.

Note: If Permissions are enabled, this button displays only if you have the Standard or higher access level (see Program Settings -> Permissions Category: Access Levels).

To Copy a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle. The dialog box updates to display the selected vehicle.

  4. Click [image] Copy Vehicle. The following dialog box displays:

Copy Vehicle

  5. Under General Data:

    1. In the Name box, type a name for the new vehicle.

    2. In the Library and Region boxes, enter the desired names for the vehicle library and vehicle region respectively.

  6. (Optional) Change any of the details or dimensions of the vehicle (see To Create a New Vehicle, steps 5-11).

  7. Click OK to close the Copy Vehicle dialog box and return to the Select Current Vehicle dialog box. The new custom vehicle is now the current vehicle (see Overview -> Current Vehicle). Custom vehicles display with a [image] Custom graphic in the leftmost column of the vehicle list as in the following example:

New Copied Vehicle

Note: An equivalent or higher access level than that used to create a custom vehicle is required to edit or delete that custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Delete a Vehicle

Vehicles

Delete Vehicle

Deletes the currently selected user-created custom vehicle.

Note: If Permissions are enabled, this button displays only if you have an equivalent or higher access level than that of the custom vehicle (see Program Settings -> Permissions Category: Access Levels. The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Delete a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the custom vehicle that you want to delete. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] Delete Vehicle. A warning message displays.

  5. Confirm the deletion of the vehicle.

Note: Standard design vehicles cannot be deleted.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Calculate the Steering Lock Angle

Vehicles

Calculate Steering Lock

Calculates the steering lock angle for the given radius type and specified radius. This function can be used when creating or editing custom vehicles (see To Create a New Vehicle and To Edit a Vehicle's Details).

Note: If Permissions are enabled, this button displays only if you have an equivalent or higher access level than that of the custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Calculate the Steering Lock Angle:

  1. In the Create New Vehicle or Edit Vehicle Details dialog box, click [image] Calculate Steering Lock. The following dialog box displays:

Calculate Steering Lock - single part vehicle

Calculate Steering Lock - multi-part vehicle

Note: The Inner Turn option is not available for the vehicles that employ a rear steering configuration and/or have more than two parts.

  2. Select the desired Minimum Turning Radius type.

  3. In the Radius edit box, type the desired radius.

  4. Press TAB to have the calculator display the Steering Lock Angle value for the specified radius.

  5. Click Apply. The steering lock angle will be applied to the vehicle.

  6. If steering linkages have been defined for the vehicle, the steering linkage ratios may need to be adjusted (see To Configure Steering Linkages for a Vehicle).

  7. Click OK to apply the changes and return to the Select Current Vehicle dialog box.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Configure Axle Group Details

For special transport, the maximum steering angle of the steerable axle following the cargo.

The axle group(s) supporting the cargo.

The distance between the centers of two bogies.

Vehicles

Axle Group Details

Allows the details to be configured for the front and rear axle groups of a custom vehicle displayed in the Edit Vehicle Details dialog box (see To Edit a Vehicle's Details).

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the axle group details (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Configure Axle Group Details:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. Select the part for which you want to configure axle group details by clicking [image] the vehicle part navigation buttons (the part is highlighted with a red arrow above the center of that part).

  6. Under Front Axle Group or Rear Axle Group, click [image] Axle Group Details. A dialog box similar to the following example displays:

Axle Group Details

Axle Group Details - Liftable Axles

  7. Type the diameter and width of the tire in the Tire Diameter and Tire Width edit boxes respectively.

  8. If there is more than one wheel on each end of the axle, type the spacing between the tires in the Tire Spacing edit box.

  9. If there is more than one axle in the axle group, type the spacing between the axles in the Axle Spacing edit box.

  10. For vehicles with uneven space between the axles in a three- or more axle group, click the [image] Customize Axle Spacing button, and then specify custom spacing between the axles in the Custom Axle Spacing dialog box that will display (see To Customize Axle Spacing).

Note: For trailers with uneven axle spacing where the trailing booster axles are steering, or a lead load bearing axle is steering as in tankers, the effective wheelbase should be measured to the center of the fixed axles, and the steering axles should honor the Ackermann's function.

  11. For a rear axle group with liftable axles, in the Liftable Axles list, click the desired number of liftable axles, and then, in the Position list, click the desired position of the lifted axle(s).

Note: Liftable axles can be applied to the rear axle group of only one part of the vehicle.

  12. For vehicles with axle group steering, type the axle group angle in the Axle Group Angle edit box.

  13. For vehicles with more than one bogie, type the bogie spacing in the Bogie Spacing edit box.

  14. Click OK to close the Axle Group Details dialog box.

  15. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

To Customize Axle Spacing:

Note: This procedure assumes that the Axle Group Details dialog box is open (see To Configure Axle Group Details).

  1. Click the [image] Customize Axle Spacing button. A dialog box similar to the following example displays:

Custom Axle Spacing

  2. To add a new axle range, click the [image] Add New Range button. An axle range is added to the axle range list.

  3. By default, an axle range includes all axles in the axle group. To modify the axles that limit the range, select the desired axles in the First Axle and Last Axle lists.

  4. To specify the distance between the axles in the range, type the desired value in the Axle Spacing box.

  5. (Optional) Repeat steps 2 through 4 for as desired.

  6. Click OK to apply the changes and return to the Axle Group Details dialog box.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure Steering Linkages for a Vehicle, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Configure Steering Linkages for a Vehicle

Vehicles

Steering Linkages

Sets the articulating angle to rear steering angle relationship for a rear steered part in custom vehicles. The rear steered part’s steering angle can be linked to a previous part’s articulating angle. A steering linkage can also be defined for single part custom vehicles when front and rear steering is configured. In this case, the angle of the front steering angle affects the rear steering angle. The steering linkage is defined by specifying the angle pairs that define the steering behavior between the two axle groups. For example, the steering linkage can be described thus: when the articulating angle is at 10 degrees, the rear steering angle is at 1 degree, then when the articulating angle reaches 45 degrees, the rear steering angle will be 25 degrees (assuming that the maximum articulating angle is 45 in this particular example). Any number of angle pairs can be defined for a steering linkage.

Steering linkage ratios are available for multi-part vehicles when the tractor has front steering and one or more trailers have rear steering configured. In addition, all axles in the rear steered group must be steering axles to enable steering linkages.

Steering linkage ratios for multi-part vehicles with front and rear steering only apply when generating forward maneuvers. When a multi-part vehicle with front and rear steering is generating a reverse maneuver the trailer's axles are considered to be fixed.

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the vehicle's steering linkages (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Configure Steering Linkages for a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The dialog box will look as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. In the case of a multi-part vehicle, click [image] / [image] (Next Part / Previous Part) to navigate to the vehicle part that has rear steering as in the following example:

Edit Vehicle Details - Vehicle part that has independent rear steering

  6. Click [image] Steering Linkages. A dialog box similar to one of the following examples displays (depending on whether the vehicle is a single or multi-part vehicle):

Steering Linkages - single part vehicle

Steering Linkages - multi-part vehicle

  7. If the multi-part vehicle has more than one articulating angle in the vehicle, under Steering Linkage Relationship, select the part to establish a relationship with.

  8. Under Steering Linkage Data, specify the desired angle pairs by clicking Insert, and then typing the desired values in the columns. As changes are made in the table, the Steering Linkage Graph updates accordingly.

  9. Click OK to close the Steering Linkages dialog box.

  10. Repeat steps 5-9 to define steering linkages for each rear steered part in the custom vehicle.

  11. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

Steering Linkages Dialog Box Explained

Steering Linkages Dialog Box

Steering Linkage Relationship Section

Link to Articulating Pivot in

This is the part in the vehicle for which the articulating angle is linked to the current part’s rear steering angle.

Steering Linkage Data Section

This table defines the angle pairs for the steering linkage relationship.

Insert

Click this button to insert a row above the currently selected row. The software will automatically assign a calculated value for each column which can then be edited.

Delete

Click this button to delete the currently selected row.

Reset

Click this button to delete all inserted rows and reset the steering and articulating angles to their maximum values.

Steering Linkage Graph Section

This graph represents the steering linkage angle pairs defined in the Steering Linkage Data table.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Configure a Vehicle's Corners

Vehicles

Corners

The vehicle body envelopes drawn in turn simulations are drawn to the extents of the vehicle body which are normally rectangular in plan view. This might generate simulation envelopes with too much of an added safety margin (i.e. traced from the corners of the rectangle rather than from a more realistic bumper radius). This feature allows designers to create custom vehicles with filleted or chamfered corners in order to meet this need. Corners can be configured for each part of a multi-part vehicle.

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the vehicle's corners (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Configure a Vehicle's Corners:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - Custom Vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. Select the part for which you want to configure corners by clicking [image] the vehicle part navigation buttons (the part is highlighted with a red arrow above the center of that part):

Edit Vehicle Details - Multi-part Vehicle

  6. Click [image] Corners. The following dialog box displays:

Corners

  7. From the Front Corners list, select the type of corner, and then specify parameters. Corners are specified as a pair for each side at the front or rear of the vehicle.

    1. Filleted corners require a radius.

    2. Chamfered corners require a dimension from the corner along each side.

  8. Repeat step 7 for the rear corners of the vehicle. Below is an example of a vehicle with the corners configured:

Corners - Example

Note: If the vehicle has an associated realistic vehicle drawing (see Customizing AutoTURN -> Creating a Realistic Vehicle Drawing), the preview area will include a check box to turn the realistic vehicle drawing on and off as in the following dialog box:

Corners - Realistic Vehicle Displayed

  9. Click OK to close the Corners dialog box and return to the Edit Vehicle Details dialog box.

  10. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

See also: To Configure a Vehicle's Chamfers.


To Configure a Vehicle's Roofline and Ground Clearances

Vehicles

Roofline and Ground Clearances

The 2D (vertical) body outline and envelopes drawn in 2D vertical simulations are drawn based on the vehicle’s dimensions, roofline, height of the roofline, and ground clearance values. Each part can be assigned a different roofline that is stretched to fit the dimensions of that part, and that part has its own associated height, and ground clearance values. The roofline and ground clearances are accessed via the Roofline View Data tab of the Create New Vehicle, Edit Vehicle Details, and View Vehicle Details dialog boxes (see To Create a New Vehicle, To Edit a Vehicle's Details, and To View a Vehicle's Details respectively).

To Configure a Vehicle's Roofline and Ground Clearances:

Note: The following procedure applies to user-created vehicles only.

  1. Click [image] Vehicles on the toolbar or ribbon, navigate to the desired vehicle, and then click [image] View/Edit Vehicle Details.

  2. In the Displayed Data section, click Roofline View Data. The Roofline Preview Area and Current Part Data section display the roofline view information as in the following example:

Edit Vehicle Details - Roofline View Data (custom vehicle)

  3. (Optional) To select a different roofline, under Roofline/Outline, select a different roofline from the Roofline list, specify a new value in the Height box, and then, under Ground Clearances, specify the desired Front, Wheelbase, and Rear ground clearance values as applicable for the vehicle.

OR

  3. (Optional) To specify a pre-drawn roofline, under Roofline, click [image] Import Outline or Roofline.

    1. In the drawing, pick an open polyline / complex chain which has previously been drawn (pointing to the left) to represent the vehicle's roofline profile.

    2. In the drawing, pick a ground point, snap to an element drawn at the ground height, or right-click if the ground is at 0,0.

    3. Under Ground Clearances, specify the desired Front, Wheelbase, and Rear ground clearance values as applicable for the vehicle.

    4. To configure the vehicle's chamfers, under Ground Clearances, click Chamfers (see To Configure a Vehicle's Chamfers).

Note: The custom roofline will no longer be available if you select a different roofline from the Roofline list. The custom roofline will need to be re-imported.

Example of a roofline drawing

OR

  3. (Optional) To specify a pre-drawn outline, under Roofline, click [image] Import Outline or Roofline.

    1. In the drawing, pick a closed polyline / complex chain which has previously been drawn (pointing to the left) to represent the vehicle's outline profile.

    2. In the drawing, pick a ground point, snap to an element drawn at the ground height, or right-click if the ground is at 0,0.

Note: The outline should be drawn to encompass the entire vehicle body.

Example of an outline drawing

  4. If the vehicle has more than a single part, repeat step 3 for each part as applicable.

  5. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.


To Configure a Vehicle's Connector Heights

Vehicles

Connector Heights

Allows connector heights in multi-part vehicles to be configured. Connector heights may need to be changed when a vehicle's ground clearance values are changed. The connector heights are accessed via the Roofline View Data tab of the Create New Vehicle and Edit Vehicle Details dialog boxes (see To Create a New Vehicle and To Edit a Vehicle's Details respectively).

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the connector heights (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Configure a Vehicle's Connector Heights:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details - custom vehicle

  5. In the Displayed Data section, click Roofline View Data. The Roofline Preview Area and Current Part Data section display the roofline view information as in the following example:

Edit Vehicle Details - Roofline View Data (custom vehicle)

  6. Select the part for which you want to configure the connector heights by clicking [image] the vehicle part navigation buttons (the part is highlighted with a red arrow above the center of that part).

  7. Under Connector Heights, select the Override check box after Front or Rear, and then specify a new connector height value.

Note: The corresponding connector height should be set to the same value if either connector height is changed.

  8. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

See also: To Configure a Vehicle's Roofline and Ground Clearances.


To Configure a Vehicle's Chamfers

Vehicles

Chamfers

The vehicle body envelopes drawn in turn simulations are drawn to the extents of the vehicle body which, along the bottom of the vehicle, are derived from the ground clearance values extending to the vertical front and rear edges of the vehicle. Many vehicles have front and rear bumpers which are situated at a higher ground clearance than the vehicle's undercarriage, allowing them to travel up and down slight inclines without damaging the vehicle. The Chamfers feature allows designers to create custom vehicles with chamfered front and rear profiles in order to meet this need. Chamfers can be configured for each part of a multi-part vehicle. The chamfers are accessed via the Roofline View Data tab of the Create New Vehicle and Edit Vehicle Details dialog boxes (see To Create a New Vehicle and To Edit a Vehicle's Details respectively).

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the vehicle's corners (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Configure a Vehicle's Chamfers:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - Custom Vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. In the Displayed Data section, click Roofline View Data. The Roofline Preview Area and Current Part Data section display the roofline view information as in the following example:

Edit Vehicle Details - Roofline View Data

  6. Under Ground Clearances, click the [image] Chamfers button. The following dialog box displays:

Chamfers

  7. Under Front Chamfer, in the From Bottom and From Front boxes, specify the chamfer distances. To configure a notched chamfer, select the Notch check box.

  8. Repeat step 7 for the rear chamfer of the vehicle. Below is an example of a vehicle with the chamfers configured:

Chamfers - Example

  9. Click OK to close the Chamfers dialog box and return to the Edit Vehicle Details dialog box.

  10. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

See also: To Configure a Vehicle's Corners.


To Configure Cargo Details

An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle envelope and the vehicle maneuverability of a simulation.

The axle group(s) supporting the cargo.

A rotatable frame which secures the logs in a log haul trailer.

The angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle.

An override value which can be used to match the vehicle's turning capabilities when the vehicle is not engaged in rear component path steering.

Vehicles

Cargo Details

Allows the cargo details to be configured for a telescoping trailer or a special transport cargo bogie of the vehicle displayed in the Edit Vehicle Details dialog box (see To Edit a Vehicle's Details).

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle to configure the cargo details (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

Use the Cargo Details tool to configure cargo details for:

  • Telescoping Trailer

  • Bogie

To Configure Cargo Details for a Telescoping Trailer:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle with a telescoping trailer. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. Click [image] Next Part to select the telescoping trailer (the active part is highlighted with a red arrow above the center of that part):

Edit Vehicle Details - Telescoping Trailer

  6. Click [image] Cargo Details. A dialog box similar to the following example displays:

Cargo Details

  7. Type the desired Front Overhang, Width, and Length values in the corresponding edit boxes.

Note: The cargo's front overhang is measured from the bunk on the preceding part.

  8. Click OK to close the Cargo Details dialog box.

  9. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

To Configure Cargo Details for a Bogie:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle with a bogie. The dialog box will look as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details

  5. Click [image] Next Part to select the part that is located directly behind the cargo (the active part is highlighted with a red arrow above the center of that part):

Edit Vehicle Details - Bogie

  6. Click [image] Cargo Details. A dialog box similar to the following example displays:

Cargo Details - Effective wheelbase method

Cargo Details - Steering linkages relationship method

  7. Type the desired Front Overhang, Width, Length, Rear Overhang, Articulating Angle, and Effective Wheelbase values (as applicable) in the corresponding boxes.

  8. Click OK to close the Cargo Details dialog box.

  9. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

The following drawing illustrates the cargo details values for the effective wheelbase method:

Example of the cargo details measurement for the effective wheelbase

Note: The effective wheelbase is measured from the cargo's front pivot.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Create and View Vehicle Information

Vehicles

Vehicle Information

Click this button to see additional information about the selected vehicle. Click this button when creating new vehicles to add/edit information about the vehicle such as the vehicle's source publication and assumptions that were made when the vehicle was created due to unavailable details. The Vehicle Information text will be translated on the fly if the information is written using the tags found in the List of Tags.

To View Vehicle Information:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle. The dialog box updates to display the selected vehicle.

  4. Click [image] Vehicle Information. The following dialog box displays:

View Vehicle Information

  5. Click OK to close the View Vehicle Information dialog box and return to the Select Current Vehicle dialog box.

To Edit Vehicle Information:

Note: If Permissions are enabled, you must have an equivalent or higher access level than that of the custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The dialog box updates similar to the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

Edit Vehicle Details - custom vehicle

  5. Click [image] Vehicle Information. The following dialog box displays:

Edit Vehicle Information

  6. Type the information you want to display when users click [image] Vehicle Information for the selected vehicle (see the List of Tags and the Vehicle Information Example for syntax and formatting).

  7. Click OK to apply the changes, close the Edit Vehicle Information dialog box, and return to the Select Current Vehicle dialog box.

List of Tags:

The vehicle information is formatted using the tags in the following list.

Tag | Equivalent
NI | No information available.
SP | Source Publication:
AS | Assumptions:
VD | Vehicle Dimensions Prorated
BO | Based on
TC | Tractor
TL | Trailer
BF | Body Front
WB | Wheelbase
WGC | Wheelbase Ground Clearance
BL | Body Length
BH | Body Height
FGC | Front Ground Clearance
RGC | Rear Ground Clearance
CR | Rear Axle Group Center to Pivot
PA | Pivot to Axle
WD | Width
TR | Front Track
TB | Towbar
OL | Overall Length
AX | Axle Spacing
FCH | Front Chamfer Height
FCL | Front Chamfer Length
RCH | Rear Chamfer Height
RCL | Rear Chamfer Length
CHF | Connector Height Front
CHR | Connector Height Rear
MPA | Maximum Pitch Angle
MRA | Maximum Roll Angle
LL | Lock to Lock Time
SA | Steering Lock Angle
WR | Steering Wheel Rate
TD | Telescoping Distance
AA | Articulating Angle
FT | Front Track
RT | Rear Track
LIB | Library Name
MT | Minimum Centerline Turning Radius
TS | Tire Sizes
SC | Tire Spacing
TW | Tire Width

Note: There is a limit of 8 lines and a maximum of 400 characters.

Vehicle Information Example

The following example shows how the vehicle information was formatted for the CROW 2004 (NL) VA vehicle:

View Vehicle Information for the CROW 2004 (NL) VA Vehicle

The syntax and formatting of tags used to create the vehicle information for the CROW 2004 (NL) VA vehicle:

=SP= ASVV 2004; CROW 2004

=AS=

=VD=

=SA= =BO= ROA (NL) TO98.

=TC= =BL= =BO= ROA (NL) TO98.

=SC=

=TW=

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To View a Vehicle's Details

An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle envelope and the vehicle maneuverability of a simulation.

Vehicles

View Vehicle Details

This dialog box is used to view the selected vehicle's details as well as access the vehicle's corners, steering linkages, axle group details, cargo details, roofline, height, connector heights, ground clearances, vehicle information, loads, and sight lines (see To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure a Vehicle's Roofline and Ground Clearances, To Configure a Vehicle's Connector Heights, To Create and View Vehicle Information, To Add a Load to a Vehicle, and To Add Sight Lines to a Vehicle). This dialog box is also used to preview how vehicles articulate (see To View Vehicle Articulation). If the selected vehicle is a custom vehicle, the vehicle's details may be viewed or edited depending on your access level (see To Edit a Vehicle's Details and Program Settings -> Permissions Category: Access Level).

To View a Vehicle's Details:

Note: The vehicle's details are displayed in a read-only mode in the units set in the General category of the Program Settings dialog box (see Program Settings -> General Category: Units). It is possible to view the vehicle's details in any available units by selecting the desired units from the Display Units list in the View Vehicle Details dialog box.

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle. The dialog box updates to display the selected vehicle as in the following example:

Select Current Vehicle - vehicle selected

  4. Click [image] View/Edit Vehicle Details. The following dialog box displays if the selected vehicle is a standard vehicle or you have a lower access level than that of the custom vehicle (see To Edit a Vehicle's Details and Program Settings -> Permissions Category: Access Level):

View Vehicle Details - custom vehicle viewed with lower access than that of the custom vehicle

Note: If the vehicle has an associated realistic vehicle drawing (see Customizing AutoTURN -> Creating a Realistic Vehicle Drawing), the preview area will include a check box to turn the vehicle body on and off as in the following dialog box:

View Vehicle Details - standard vehicle with realistic vehicle drawing

  5. (Optional) From the Creation Unit list, select the desired creation units to store the vehicle's dimensions in alternate units.

  6. Ensure that in the Displayed Data section, Plan/Profile View Data is selected. View the vehicle's corners, steering linkages, axle group details, cargo details, vehicle information, loads and sight lines by clicking the respective button (see To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Create and View Vehicle Information, To Add a Load to a Vehicle, and To Add Sight Lines to a Vehicle).

  7. To view the vehicle's roofline, height, connector heights, and ground clearances, in the Displayed Data section, click Roofline View Data.

  8. Click OK to close the View Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

Note:

  • In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out). Each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part).

  • For information on the details or dimensions of the vehicle/part, see To Create a New Vehicle: Create New Vehicle Dialog Box Explained.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View Vehicle Articulation.


To Edit a Vehicle's Details

An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle envelope and the vehicle maneuverability of a simulation.

Vehicles

Edit Vehicle Details

This dialog box is used to edit the selected custom vehicle's details as well as access the vehicle's corners, steering linkages, axle group details, cargo details, roofline, height, connector heights, ground clearances, vehicle information, loads, and sight lines (see To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure a Vehicle's Roofline and Ground Clearances, To Configure a Vehicle's Connector Heights, To Create and View Vehicle Information, To Add a Load to a Vehicle, and To Add Sight Lines to a Vehicle).

To Edit a Vehicle's Details:

Note: If Permissions are enabled, an equivalent or higher access level than that of the custom vehicle is required to edit or delete the custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The dialog box updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] View/Edit Vehicle Details. The following dialog box displays if the selected vehicle is a custom vehicle and you have an equivalent or higher access level than that of the custom vehicle (otherwise, see To View a Vehicle's Details):

Edit Vehicle Details - custom vehicle

Note: If the vehicle has an associated realistic vehicle drawing (see Customizing AutoTURN -> Creating a Realistic Vehicle Drawing), the Plan Preview Area will include a check box to turn the vehicle body on and off as in the following dialog box:

Edit Vehicle Details - custom vehicle with a realistic vehicle drawing

  5. Change any of the details or dimensions of the vehicle/part (see To Create a New Vehicle, steps 5-11).

Note: In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out). Each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part).

  6. Click OK to close the Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Define Loads

Vehicles

Define Loads

Allows you to define loads for the current vehicle (see Overview -> Current Vehicle).

Use the Define Loads Tool to:

  • Add loads to the vehicle

  • Apply a load

  • Disable a load

  • Delete a load

Note:

  • These procedures assume that the View Vehicle Details dialog box or the Edit Vehicle Details dialog box is open (see To View a Vehicle's Details or To Edit a Vehicle's Details respectively).

  • The Add Loads to the Vehicle procedure (see To Add Loads to the Vehicle) requires existing CAD geometry in the drawing to represent the load. The geometry needs to be a polyline in AutoCAD or a complex chain, shape, or complex shape in MicroStation. The load needs to be drawn in relation to the vehicle part (pointing left) that the load is to be associated with. The load datum (reference point) is the same as the part datum by default (the front, center of the vehicle part) when importing the load.

Example of loads and datum points

  • If Permissions are enabled, you must have the Standard or higher access level to add, apply/disable, or delete loads (see Program Settings -> Permissions Category: Access Levels).

To Add Loads to the Vehicle:

  1. Click [image] Define Loads. A dialog box similar to the following example displays:

Define Loads

  2. In the case of a multi-part vehicle, navigate to the desired vehicle part by clicking [image] / [image] (Next Part / Previous Part). The selected part is highlighted with a red arrow above the center of that part.

  3. Click [image] Import Load.

  4. In the drawing, pick an existing polyline / complex chain representing the load shape.

  5. Pick a point to specify the load datum (i.e. the front, center of the vehicle part).

  6. The Define Loads dialog box displays showing the imported load:

Define Loads - Load imported

  7. (Optional) Modify the location of the load by typing the desired values in appropriate boxes under Load Shape Data (for information on the load parameters, see Define Loads Dialog Box Explained).

Note: The Draw check box is automatically selected after creating a load.

  8. (Optional) Repeat steps 2 through 7 to add more loads to the current vehicle.

  9. Click OK to close the Define Loads dialog box and return to the View/Edit Vehicle Details dialog box.

Note: Ensure that the Loads check box is selected in the Vehicles category of the Properties dialog box (see Properties -> Vehicles Category) to have loads drawn the next time a simulation is generated. It is also possible to update existing simulations to have loads drawn in the vehicle instances (see Properties -> Vehicles Category: Update).

To Apply a Load:

Allows a load associated with the current vehicle to be displayed when generating simulations, running animations, placing vehicles in a simulation, or updating simulations.

Note: This procedure assumes that at least one load has been added (see To Add Loads to the Vehicle).

  1. Click [image] Define Loads. A dialog box similar to the following example displays:

Define Loads - Load not applied

  2. Under Draw, select the check box beside the load that you want to be drawn.

  3. Click OK to close the Define Loads dialog box and return to the View/Edit Vehicle Details dialog box.

To Disable a Load:

Note: This procedure assumes that at least one load has been added and applied (see To Add Loads to the Vehicle and To Apply a Load respectively).

  1. Click [image] Define Loads. A dialog box similar to the following example displays:

Define Loads - Load applied

  2. Under Draw, clear the check box beside the load that you do not want to be drawn.

  3. Click OK to close the Define Loads dialog box and return to the View/Edit Vehicle Details dialog box.

To Delete a Load:

Note: This procedure assumes that at least one load has been added (see To Add Loads to the Vehicle).

  1. Click [image] Define Loads. A dialog box similar to the following example displays:

Define Loads

  2. In the list of loads, select the load you want to delete.

  3. Click [image] Delete Load. A warning message displays.

  4. Confirm the deletion of the load.

  5. Click OK to close the Define Loads dialog box and return to the View/Edit Vehicle Details dialog box.

Define Loads Dialog Box Explained

Define Loads Dialog Box

Preview Area

Displays the applied load(s) in the vehicle. The load datum located at the front-center point of the load is represented by the [image] graphic. In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out) respectively. While zoomed in, each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part).

Load Shape Data Section

Displays a list of loads added to the current vehicle part and their parameters.

Import Load

Adds loads to the current part of the vehicle (see To Add Loads to the Vehicle).

Delete Load

Removes the selected load (for more information, see To Delete a Load).

Draw

Allows the load associated with the current vehicle part to be drawn when generating simulations, running animations, placing vehicles in a simulation, or updating simulations.

Name

Displays the name of the load. To modify the name of a load, type a name in the Name cell.

Front Distance

Displays the distance back from the part datum (front, center of the vehicle part) to the load datum. To modify the front distance, type the desired value in the cell.

Side Distance

Displays the distance from the part datum (front, center of the vehicle part) to the load datum in the direction of the Side value. To modify the side distance, type the desired value in the cell.

Side

Displays the side of the vehicle that the Side Distance is applied to. To change the side, select Left or Right in the Side list.

Angle

Displays the rotation angle of the load from the load datum and measured parallel to the centerline of the vehicle part. To modify the rotation angle, type the desired value in the cell.

See also: To Define Tracking Points, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Define Tracking Points

Vehicles

Define Tracking Points

Allows you to define tracking points for the current vehicle (see Overview -> Current Vehicle).

Note: If permissions are enabled, the Add, Delete, and Delete All functions are only available if you have the Standard or higher access level (see Program Settings -> Permissions Category: Access Levels).

Use the Tracking Points Tool to:

  • Add tracking points

  • View tracking points

  • Edit tracking points

  • Delete tracking points

Note: These procedures assume that the View Vehicle Details dialog box or the Edit Vehicle Details dialog box is open (see To View a Vehicle's Details or To Edit a Vehicle's Details respectively).

To Add a Tracking Point:

  1. Click [image] Define Tracking Points. A dialog box similar to the following example displays:

Tracking Points

  2. In the case of a multi-part vehicle, navigate to the desired vehicle part by clicking [image] / [image] (Next Part / Previous Part). The selected part is highlighted with a red arrow above the center of that part.

  3. Click Add Point. A tracking point is added to the tracking points list, and it displays in the preview area with a corresponding number as in the following example:

Tracking Points - Custom Tracking Point Added

  4. (Optional) In the Name cell, type a new name for the tracking point.

  5. Specify the tracking point's location by typing the desired values in the Front Distance, Side Distance, and Height cells.

  6. To modify the side of the vehicle that the Side Distance is applied to, select Left or Right in the Side list.

  7. Click OK to close the Tracking Points dialog box and return to the View/Edit Vehicle Details dialog box.

To View Tracking Points:

Note: This procedure assumes that at least one tracking point has been added (see To Add a Tracking Point).

  1. Click [image] Define Tracking Points. A dialog box similar to the following example displays:

Tracking Points

  2. In the case of a multi-part vehicle, navigate to the desired vehicle part by clicking [image] / [image] (Next Part / Previous Part). The selected part is highlighted with a red arrow above the center of that part.

  3. The tracking points display in the preview area on the right.

To Edit a Tracking Point:

Note: This procedure assumes that at least one tracking point has been added (see To Add a Tracking Point).

  1. Click [image] Define Tracking Points. A dialog box similar to the following example displays:

Tracking Points

  2. In the case of a multi-part vehicle, navigate to the desired vehicle part by clicking [image] / [image] (Next Part / Previous Part). The selected part is highlighted with a red arrow above the center of that part.

  3. In the tracking points list, select the desired tracking point.

  4. In the Name cell, type a new name for the tracking point.

  5. Modify the tracking point's location by typing the desired values in the Front Distance, Side Distance, and Height cells.

  6. To modify the side of the vehicle that the Side Distance is applied to, select Left or Right in the Side list.

  7. Click OK to close the Tracking Points dialog box and return to the View/Edit Vehicle Details dialog box.

To Delete a Tracking Point:

Note: This procedure assumes that at least one tracking point has been added (see To Add a Tracking Point).

  1. Click [image] Define Tracking Points. A dialog box similar to the following example displays:

Tracking Points

  2. In the case of a multi-part vehicle, navigate to the desired vehicle part by clicking [image] / [image] (Next Part / Previous Part). The selected part is highlighted with a red arrow above the center of that part.

  3. In the list of existing tracking points, select the tracking point you want to delete.

  4. Click Delete Point. A warning message displays.

  5. Confirm the deletion of the tracking point.

  6. Click OK to close the Tracking Points dialog box and return to the View/Edit Vehicle Details dialog box.

Note: To delete all tracking points displayed in the tracking points list, click Delete All.

Tracking Points Dialog Box Explained

Tracking Points Dialog Box

Tracking Points List

Displays a list of tracking points added to the current part of the selected vehicle and their parameters.

Apply

Allows the tracking point associated with the current vehicle part to be drawn when generating simulations, running animations, placing vehicles in a simulation, or upgrading simulations.

Name

Displays the name of the tracking point. To modify the name of a tracking point, type a name in the Name cell.

Front Distance

Displays the distance back from the part datum (front, center of the vehicle part) to the tracking point. To modify the front distance, type the desired value in the cell.

Side Distance

Displays the distance from the part datum (front, center of the vehicle part) to the tracking point in the direction of the Side value. To modify the side distance, type the desired value in the cell.

Side

Displays the side of the vehicle that the Side Distance is applied to. To modify the side, select Left or Right in the Side list.

Height

Displays the distance from the top of the rail to the tracking point. To specify the height of a tracking point, type the desired value in the Height box.

Preview Area

In the case of multi-part vehicles, the entire vehicle or each vehicle part can be displayed by clicking [image] / [image] (Zoom In / Zoom Out) respectively. While zoomed in, each vehicle part can be navigated to by clicking [image] / [image] (Next Part / Previous Part).

Add Point

Adds a tracking point to the vehicle part (for more information, see To Add a Tracking Point).

Delete Point

Removes the selected tracking point (for more information, see To Delete a Tracking Point).

Delete All

Removes all the tracking points (for more information, see To Delete a Tracking Point).

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Add Sight Lines to a Vehicle

Vehicles

Define Sight Lines

Creates user-defined sight lines for the current vehicle. This tool can be used to simulate headlights, rear or side mirror viewing areas, etc. Defining sight lines that represent side and rear-view mirrors can aid in design situations that require reverse maneuvering. The sight lines can only be applied to the vehicle it was created for (see Apply Sight Lines ).

Note: If Permissions are enabled, you must have the Standard or higher access level to define, apply/disable, or delete sight lines (see Program Settings -> Permissions Category: Access Levels).

To Define Sight Lines for a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle.

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

View Vehicle Details

  5. Click [image] Define Sight Lines. The following dialog box displays:

Define Sight Lines

  6. Select the part to add the sight lines to by clicking [image] the vehicle part navigation buttons (the part is highlighted with a red arrow above the center of that part).

  7. From the Sight Lines list, select the type of sight lines to define.

  8. Define the characteristics of the sight lines as desired. You will see the sight lines update in the plan preview as in the example dialog box below:

Define Sight Lines Example

  9. When satisfied with the sight lines, click OK to close the Define Sight Lines dialog box and return to the View/Edit Vehicle Details dialog box.

Note: The Apply Sight Lines check box in the View/Edit Vehicle Details dialog box is automatically selected after creating a sight line.

  10. Click OK to close the View/Edit Vehicle Details dialog box and return to the Select Current Vehicle dialog box.

Note: The vehicle and sight lines will be drawn the next time a simulation is generated. Alternatively, it is possible to update the simulation to have the sight lines drawn in the vehicle instances (see Properties -> General Category: Update).

Apply Sight Lines

Allows the sight lines associated with the current vehicle to be displayed when generating simulations, running animations, placing vehicles in a simulation, or updating simulations.

Note: If Permissions are enabled, you must have the Standard or higher access level to apply or disable the sight lines (see Program Settings -> Permissions Category: Access Levels).

To Apply the Sight Lines:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle.

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

View Vehicle Details

  5. Select the Apply Sight Lines check box beside the [image] Define Sight Lines button.

  6. Click OK to close the View/Edit Vehicles Details dialog box and return to the Select Current Vehicle dialog box.

To Disable the Sight Lines:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle.

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

View Vehicle Details

  5. Clear the Apply Sight Lines check box beside the [image] Define Sight Lines button.

  6. Click OK to close the View/Edit Vehicles Details dialog box and return to the Select Current Vehicle dialog box.

Delete Sight Lines

Deletes the sight lines associated with the current vehicle.

Note: If Permissions are enabled, you must have the Standard or higher access level to delete the sight lines (see Program Settings -> Permissions Category: Access Levels).

To Delete Sight Lines from a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired vehicle.

  4. Click [image] View/Edit Vehicle Details. A dialog box similar to the following example displays:

View Vehicle Details

  5. Click [image] Define Sight Lines. A dialog box similar to the following example displays:

Define Sight Lines

  6. Click [image] Delete Sight Lines. A warning message displays.

  7. Confirm the deletion of the sight lines.

  8. Click OK to close the View/Edit Vehicles Details dialog box and return to the Select Current Vehicle dialog box.

Sight Lines Dialog Box Explained:

Define Sight Lines - Example of one sight line defined

Define Sight Lines - Example of two sight lines defined

Sight Lines

Select from None, 1 Sight Line, or 2 Sight Lines. Select 1 Sight Line to define sight lines that represent, for example, headlights or rear-view mirrors. Select 2 Sight Lines to define sight lines that represent, for example, side mirrors.

Base Point

This is the origin of the sight lines, measured from the front-center of the part.

Base Width

This is the width of the sight lines at the base point. The Base Width is centered on the Base Point, so one half of the Base Width is measured to either side of the Base Point.

Beam Angle

This is the angle of the sight line as measured along the center of the sight line counter clockwise from the Base Point.

Beam Length

This is the length of the sight line as measured along the center of the sight line.

Sweep Angle

This is the angle swept out by the sight line.

See also: To Define Loads, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Configure the Vehicle List

Vehicles

Configure Vehicle List

Allows you to choose which columns display and in what order they display in the vehicle list when selecting vehicles in the Select Current Vehicle dialog box. It is also possible to set the number of fixed columns (while scrolling horizontally they are always displayed) and whether or not the rows display in alternating colors.

To Configure the Vehicle List:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. Click [image] Configure Vehicle List. The following dialog box displays:

Configure Vehicle List

  3. To add columns to the Vehicle List: Select columns in the Available Columns list, and then click [image] Add.

  4. To adjust the position of a column in the Vehicle List: select the column in the Displayed Columns list, and then click [image] Move Up and/or [image] Move Down to order the column in the list.

  5. To remove columns from the Vehicle List: Select columns in the Displayed Fields list, and then click [image] Remove.

  6. To change the number of fixed columns starting from the left side in the Vehicle List, type a number in the Fixed Columns edit box.

  7. To enable or disable alternating row colors in the Vehicle List, select or clear the Alternating Row Color check box respectively.

  8. Click OK to close the Configure Vehicle List dialog box and return to the Select Current Vehicle dialog box.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To View Vehicle Articulation

Vehicles

Articulate

Demonstrates the articulation of the vehicle or part. The steering wheels and parts of the vehicle articulate in relation to each other to show how the vehicle geometry relates to each other. This button is available just below the Plan Preview Area of the Plan/Profile View Data tab of the View Vehicle Details, Edit Vehicle Details , and Create New Vehicle dialog boxes (see To View a Vehicle's Details, To Edit a Vehicle's Details, and To Create a New Vehicle respectively).

To View Vehicle Articulation:

  1. Navigate to the preview area of the desired vehicle dialog box. A dialog box similar to the following example displays:

Example of a custom multi-part vehicle with front and rear steering

  2. Click [image] Articulate. The dialog box updates to display the vehicle articulation as in the following example:

Example of viewing the articulation of the custom multi-part vehicle

  3. Click [image] Articulate again to view the articulation using opposite angles.

  4. Select a part to zoom in on by clicking [image] the vehicle part navigation buttons (the part is highlighted with a red arrow above the center of that part).

  5. Repeat steps 2-4 as desired.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details.


To Import a Vehicle

Vehicles

Import Vehicle

Imports a selected custom vehicle (.veh) and its associated load (.ld), sight lines (.sln), tracking points (.tp), as well as the realistic plan and custom profile drawings (.dwg), if applicable. These files must have previously been exported from AutoTURN (see To Export a Vehicle).

Note:

  • As of version 10.0, the loads, sight lines and tracking points are included in the .veh file.

  • If Permissions are enabled, this button displays only if you have the Standard or higher access level (see Program Settings -> Permissions Category: Access Levels).

To Import a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. Click [image] Import Vehicle. The following dialog box displays:

Import Vehicle File

  3. Select one or more vehicle files to import, and then click Open. (All associated files will also be imported.) The following dialog box displays:

Imported Custom Vehicle

The vehicle displays with a [image] Custom graphic in the leftmost column of the vehicle list.

Note:

  • If the library and the name of an existing vehicle are the same as those of the vehicle to be imported, you will have to rename the vehicle to be imported (see To Rename a Vehicle to Be Imported).

  • Since some features might not be supported by an older version of AutoTURN, it is recommended that the custom vehicle be exported and imported using the same version of AutoTURN.

See also: To Rename a Vehicle to Be Imported, To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Export a Vehicle

Vehicles

Export Vehicle

Exports the selected custom vehicle and its associated load, sight lines, and tracking points to a .veh (vehicle) file. If the custom vehicle has a realistic plan drawing and custom profile drawing they will also be exported to the same location. The files can then be given to another AutoTURN user to be imported (see To Import a Vehicle).

Note:

  • As of version 10.0, the loads, sight lines, and tracking points are included in the .veh file.

  • If Permissions are enabled, this button displays only when the user has an equivalent or higher access level than that of the custom vehicle (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle).

To Export a Vehicle:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - custom vehicle

  4. Click [image] Export Vehicle. A dialog box similar to the following example displays:

Browse For Folder

  5. Browse to the folder to create the exported files in.

  6. Click OK to have the custom vehicle exported and return to the Select Current Vehicle dialog box.

  7. Copy the exported files to a transferring medium, and then send it to the desired recipient instructing them to use their AutoTURN's import vehicle function (see To Import a Vehicle).

Note:

  • Custom profile drawings will have a "@pfl" suffix added to the drawing name so as not to conflict with realistic plan drawings. The suffix will be removed when the drawing is imported.

  • Since some features might not be supported by an older version of AutoTURN, it is recommended that the custom vehicle be exported and imported using the same version of AutoTURN.

  • If you want the custom vehicles to be exported as VCL files compatible with AutoTURN version 9.1 or older, click VCL (old format) under Vehicle Export File Format in the Vehicle Defaults category of the Program Settings dialog box (see Program Settings -> Vehicle Defaults: Vehicle Export File Format).

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Import a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Export All Custom Vehicles

Vehicles

Export All Custom Vehicles

Exports all custom vehicles and their associated load and sight lines (see To Add a Load to a Vehicle and To Add Sight Lines to a Vehicle), and realistic drawing to the .veh (vehicle), .ld (load), .sln (sight lines), and .dwg (drawing) files. If a custom vehicle uses a custom profile drawing, the drawing will be exported to the .dwg (drawing) file.

Note: If Permissions are enabled, this button displays only when the user has the Standard or higher access level (see Program Settings -> Permissions Category: Access Levels).

To Export All Custom Vehicles:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. Click [image] Export All Custom Vehicles. A dialog box similar to the following example displays:

Browse For Folder

  3. Browse to the folder to create the exported files in.

  4. Click OK to have the custom vehicles exported and return to the Select Current Vehicle dialog box.

For information on using the AutoTURN's import vehicle function, see To Import a Vehicle.

Note: Since some features might not be supported by an older version of AutoTURN, it is recommended that custom vehicles be exported and imported using the same version of AutoTURN.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Import a Vehicle, To Export a Vehicle, To Select the Current Vehicle, To Share a Vehicle in a Network Configuration, To View a Vehicle's Details, To View Vehicle Articulation.


To Share a Vehicle in a Network Configuration

Vehicles

Share

This function shares the custom vehicle's definition, realistic vehicle drawing, profile drawing, as well as load(s), sight line(s), and tracking points, if applicable, up to the network database so that they are available for all AutoTURN users on the network. If the drawings are not available at the time of sharing, they can be added later by copying them to the network's shared data location (see Customizing AutoTURN -> Creating a Realistic Vehicle Drawing and Customizing AutoTURN -> Creating a Profile Drawing).

Note: If Permissions are enabled, this button displays only if you have an equivalent or higher access level than that of the custom vehicle and the custom vehicle has not already been shared (see Program Settings -> Permissions Category: Access Levels). The access level of a custom vehicle is displayed in the top right corner of the preview area in the Select Current Vehicle dialog box (see To Select the Current Vehicle). The system clocks of the workstations running AutoTURN and the program files server must match for sharing to be successful.

To Share a Vehicle in a Network Configuration:

  1. Click [image] Vehicles on the toolbar or ribbon. The following dialog box displays:

Select Current Vehicle

  2. In the Group Vehicles By box, select the desired vehicle sorting method (Library, Class, # of Parts, Region, Country, No Group, or Recent) and filter list.

  3. From the vehicle list, select the desired custom vehicle. The Preview Area updates to display the selected vehicle as in the following example:

Select Current Vehicle - example of a custom vehicle that can be shared

  4. Click [image] Share. The Share Vehicle dialog box displays:

Share Vehicle

  5. Select the check boxes corresponding to what you want to be available for all AutoTURN users on the network, and then click OK. The drawings and, if selected, the vehicle, load(s), sight line(s), and tracking points are copied to the server.

  6. Click OK to close the Select Current Vehicle dialog box and make the selected vehicle the current vehicle (see Overview -> Current Vehicle), or click Cancel to retain the previously selected vehicle as the current vehicle.

Note:

  • After the vehicle has been shared, the vehicle displays with the [image] Shared graphic in the leftmost column of the vehicle list.

  • Any edits performed on a shared vehicle will automatically be reflected in the network copy of the database.

  • If you have not shared the load(s) and/or sight line(s) along with the vehicle, you can do it later by clicking [image] Share, selecting the Load and/or Sight Line check boxes respectively, and then clicking OK.

Notes on Drawings when Sharing Custom Vehicles:

  1. If a realistic vehicle drawing exists for the custom vehicle when the vehicle is shared, the following occurs:

    • The drawing is backed up to the workstation's ..\Backup\Vehicles\GroupName folder.

    • The drawing is copied to the network's ..\Vehicles\GroupName folder.

    • The original drawing is deleted.

  2. If a profile drawing exists for the custom vehicle when the vehicle is shared, the following occurs:

    • The drawing is backed up to the workstation's ..\Backup\Profiles\Templates folder.

    • The drawing is copied to the network's ..\Profiles\Templates folder.

    • The original drawing is deleted.

  3. After a drawing has been shared, if updates to the drawing are required, they must be performed on the network copy.

  4. After a vehicle has been shared, the drawings must be manually copied to the network's Shared Data folder.

  5. When a shared custom vehicle is deleted, any corresponding realistic vehicle and profile drawings on the server will also be deleted. The drawings can be retrieved from the backup folder on the workstation that initially shared the custom vehicle.

See also: To Define Loads, To Add Sight Lines to a Vehicle, To Calculate the Steering Lock Angle, To Configure a Vehicle's Corners, To Configure Steering Linkages for a Vehicle, To Configure Axle Group Details, To Configure Cargo Details, To Configure the Vehicle List, To Create a New Vehicle, To Create and View Vehicle Information, To Delete a Vehicle, To Edit a Vehicle's Details, To Export a Vehicle, To Import a Vehicle, To Select the Current Vehicle, To View a Vehicle's Details, To View Vehicle Articulation.


Is the time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

The radius of the arc formed by a vehicle with its steering wheels at the steering lock position. This circle passes through the center of the front (steering) axle for forward maneuvers.

The acceleration developed when a vehicle travels on a curve at a uniform speed. Lateral acceleration is calculated based on the speed and centerline radius using the following formula: Lacc= (2.15121(V2) / R (English units) or Lacc = ((V/3.6)2) / R (metric units), where V = speed (mph or km/h), and R = radius (m or feet).

SmartPath Tools

Creates various types of turn simulations by prompting you for a starting position, and then dynamically generating the path geometry as the mouse is moved through the maneuver. Turn simulations are generated using the current vehicle, program settings, and properties (see Vehicles, Program Settings, and Properties).

The SmartPath Tools are:

  • Generate Arc Path

  • Generate Corner Path

  • Oversteer Corner Path

  • Steer A Path

To Generate a Turn Simulation:

Note: These instructions are generic for creating forward simulations with all SmartPath Tools. See the section on each SmartPath Tool for information specific to each SmartPath Tool. For instructions on how to generate reverse maneuvers, see Reverse Maneuvers.

  1. Click one of the SmartPath Tools on the toolbar or ribbon to begin generating a turn simulation. The following dialog box displays:

SmartPath Tools - Align vehicle to geometry

  2. To set the vehicle's start position without aligning it to existing geometry, skip to step 3. Otherwise, to align the vehicle to existing geometry:

    1. In the SmartPath Tools dialog box, click [image] Pick Geometry.

    2. In the drawing, pick a line, an arc, or a polyline.

    3. Move the mouse pointer to either side of the picked point to indicate the desired direction, and then click to set the vehicle's starting angle.

    4. If the picked element is an arc, move the vehicle within the extents of the arc to align the vehicle's starting angle with the corresponding section of the arc, and then click to set the vehicle's starting angle.

  3. If you aligned the vehicle's starting angle to existing geometry in step 2, skip to step 4. Otherwise, move the vehicle to the desired start position, and then click to set the vehicle. This sets the location of the center of the vehicle’s front axle. The following dialog box displays:

SmartPath Tools - Vehicle Start Angle

  4. Move the mouse in an arc around the front of the vehicle, and then click to set the desired Vehicle Start Angle value, or type the desired Vehicle Start Angle value in the SmartPath Tools dialog box, and then click Apply. This sets the starting angle of the vehicle and its parts. The following dialog box displays:

SmartPath Tools - Generate Arc Path

SmartPath Tools - Generate Arc Path
(custom semitrailer with a liftable axle)

  5. (Optional) To set the articulating angles of the trailers in a multi-part vehicle:

    1. Click inside the wheelbase of a trailer.

    2. Move the mouse pointer in an arc behind the trailer to rotate it.

    3. Click to set the desired angle.

Setting Articulating Angles

  6. Optionally, the vehicle can be moved to a new start position (at any time before the first section is generated) by clicking inside the wheelbase of the vehicle’s first part, moving the vehicle to the new start position, and then clicking to set the new start position. The articulating angles will be retained.

  7. Set the Speed, Radius Type, and other various SmartPath Tools options depending on the type of simulation being generated.

  8. Move the mouse to the desired endpoint of the section, and then click to generate the section.

  9. AutoTURN evaluates the user drawn elements for conflicts with the vehicle body and body clearance envelopes of the turn simulation (for information on how to specify a layer/level for evaluation, see Properties -> Conflict Analysis Category):

Conflict Analysis Example (the portions of user drawn elements that conflict with the turn simulation are denoted in red)

  10. Generate another section by moving the mouse to a new endpoint and then left-clicking.

  11. Repeat step 8 until the desired maneuver is completed. There is no limit to the number of sections in a simulation.

  12. Right-click to stop generating the simulation and close the SmartPath Tools dialog box.

Note: Click a different SmartPath Tool button in the SmartPath Tools dialog box to change the type of maneuver generated in the next section of the simulation. This functionality allows the simulation to be comprised of different maneuver types.

SmartPath Tool Dialog Boxes Explained:

SmartPath Tools Dialog Box - Generate Arc Path at 6 mph | SmartPath Tools Dialog Box - Generate Arc Path at 10 mph
SmartPath Tools Dialog Box - Generate Corner Path at 6 mph | SmartPath Tools Dialog Box - Generate Corner Path at 10 mph
SmartPath Tools Dialog Box - Oversteer Corner Path at 6 mph | SmartPath Tools Dialog Box - Oversteer Corner Path at 10 mph
SmartPath Tools Dialog Box - Steer a Path at 6 mph | SmartPath Tools Dialog Box - Steer a Path at 10 mph

The various SmartPath Tools options are explained below. See each SmartPath Tool section for pertinent information about each tool.

Current SmartPath Tool

Highlights with a red outline which SmartPath Tool is currently being used.

Maneuver Type

Indicates which direction and what type of section (forward or reverse) is being generated. A forward maneuver is indicated by the one of the following depending upon which SmartPath Tool is active:

  • Forward Arc Path

  • Forward Line Path

  • Forward Corner Path

  • Forward Oversteered Path

  • Forward Steered Path

Reverse maneuvers are indicated by one of the following depending upon which SmartPath Tool is active:

  • Reverse Arc Path

  • Reverse Line Path

  • Reverse Corner Path

  • Reverse Steered Path

Current Vehicle

Displays the current vehicle's library and name (see Vehicles -> To Select the Current Vehicle).

Steering Lock Angle or Reverse Overrides

Indicates whether the vehicle’s steering specifications or reverse overrides are being used while generating the simulation. When a forward simulation is being generated, the vehicle’s steering lock angle will always be used. When generating a reverse simulation, the Reverse Overrides settings (see Program Settings -> Vehicle Defaults Category: Reverse Overrides) will be used if they are greater than the steering specifications for the vehicle.

Preview Arc Path

If this check box is selected, the left and right projected swept path envelopes for an arc path simulation will display to help you preview the next section of the simulation. AutoTURN calculates the projected swept path envelopes based on the minimum turning radius for the specified Speed value (see Speed below).

Speed

Sets the speed at which the vehicle is traveling.

Note: For forward maneuvers, the maximum allowed speed is 45 mph (70 km/h). Reverse maneuvers are conducted at 6 mph (10 km/h) or less.

Turn Wheels From Stop

When this check box is not selected, the vehicle is assumed to be starting the maneuver at the speed specified. The vehicle’s lock to lock time and speed are used to create a transition zone in the generated path. In this zone, the vehicle’s steering wheels turn at a linear rate until they reach the angle at which the mouse position can be reached.

When this check box is selected, the vehicle is assumed to be starting the section from a complete stop. This allows the steering wheels to be turned while the vehicle is stopped, allowing the vehicle to proceed at a constant steering angle to the mouse position. This option is only available in the Generate Arc Path, Generate Corner Path, and Steer A Path SmartPath Tools (see Generate Arc Path, Generate Corner Path, and Steer A Path respectively) and only at very slow speeds (6 mph (10 km/h) or less), and should only be used when maneuvering space is at a premium.

Note: For reverse maneuvers, the Turn Wheels From Stop check box is selected automatically, and the check box is not available.

Force Straight Line

If this check box is selected, the vehicle will travel along a straight line only. If the Turn Wheels From Stop check box is selected (see Turn Wheels From Stop above), the straight line can be generated in the direction that the steering wheels will turn.

Note:

  • For a reverse arc path simulation (see Reverse Arc Path), the Force Straight Line check box is only available if the current vehicle is a single part vehicle (see Vehicles -> To Select the Current Vehicle).

  • If you select the Force Straight Line check box and initiate a reverse maneuver, the maneuver type will change to Reverse Line Path, and the Radius Type list and the Radius information will be unavailable (see Radius Type and Radius below respectively).

Detach

To detach one or more trailers of a multi-part vehicle, select this check box, and then, in the Trailers list, click the desired number of trailers to be detached.

Note:

  • Rear tire tracks cannot be calculated once a trailer has been detached.

  • A vehicle cannot perform a reverse maneuver immediately after a trailer has been detached.

Lift

To lift one or more axles of a rear axle group with liftable axles (see To Configure Axle Group Details), select this check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

Radius Type

Select one of the following radius types:

  • Centerline

  • Curb to Curb

  • Wall to Wall

  • Inner Turn

The Radius value will be displayed for this type.

Radius

Generate Arc Path:

The radius is dynamically updated for the current speed and radius type as the mouse is moved while generating arc path simulations.

Generate Corner Path:

An edit box is provided to set the desired Radius value for the selected radius type.

Note: AutoTURN will not allow a radius to be set to a smaller value than the minimum radius capabilities for the current vehicle at the current speed.

Oversteer Corner Path:

An edit box is provided to set the desired radius for the selected radius type.

Note: AutoTURN will not allow a radius to be set to a smaller value than the minimum radius capabilities for the current vehicle at the current speed.

Steer A Path:

The minimum centerline turning radius is displayed for the current speed.

Section's Minimum Radius

To specify a minimum radius that will be applied to the new section of a simulation, select this check box, and then type the desired value in the box on the right.

Sweep Angle

The sweep angle is defined as the angle between the direction of travel and the exit tangent (new heading). For corner path turn simulations (see Generate Corner Path), the centerline of the vehicle will eventually become parallel with the exit tangent if the exit tangent is long enough - the longer the exit tangent is, the closer to zero the steering angle becomes. For oversteer corner path turn simulations (see Oversteer Corner Path), the centerline of the vehicle is always parallel with the exit tangent. To set the sweep angle, type the desired value in the corresponding edit box or click the [image] Select Sweep Angle button, and then pick an element in the drawing area.

Example of a sweep angle

Entry and Exit Offsets and Use Minimum Exit Offset

Entry offset and exit offset are used to control the amount of oversteer applied to the maneuver being generated. The entry and exit offsets are measured from the body of the vehicle’s first part perpendicular to the extents of the vehicle body envelope. To have AutoTURN apply the minimum exit offset possible, select the Use Minimum Exit Offset check box.

Superelevation

Displays the superelevation (i.e. slope) of the road surface. This value is considered in determining the minimum turn radius, and is only available at speeds of 10 mph (16 km/h) or greater. Select the Set check box to override the default value.

Note: In the SmartPath Tools, superelevation is limited to the range of -0.1 to 0.1.

Lateral Friction

Displays the friction factor between the vehicle’s tires and the road surface. This value is considered in determining the minimum turn radius, and is only available at speeds of 10 mph (16 km/h) or greater. Select the Set check box to override the default value.

Lateral Acceleration

If the vehicle is traveling at a speed of 19 mph (30 km/h) or greater (see Speed) in a forward arc simulation, and if the centerline radius is selected under Radius Type (see Radius Type), the additional Lateral Acceleration parameter is available as in the following example:

SmartPath Tools Dialog Box - Generate Arc
Path at 19 mph

To select the desired measurement units for lateral acceleration, use the list on the right. Units available are:

  • ft/s2 (English units) or m/s2 (metric units)

  • G's (gravity)

Shrink/Expand

Shrinks the SmartPath Tools dialog box to its minimum size to increase the working space in the drawing area.

SmartPath Tools - Shrunk

Click Expand to return the SmartPath Tools dialog box to its full size.

Undo

Deletes the last generated section.

Hint: Alternatively, an undo operation can be performed by clicking inside the wheelbase of the last vehicle position generated.

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Generate Arc Path

Generates the simplest and most commonly used type of simulation. It generates a path that follows an arc from the start position to the position of the mouse.

For more information on generating simulations, see SmartPath Tools: To Generate a Turn Simulation.

To Generate a Forward Arc Path Simulation:

  1. Click [image] Generate Arc Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. The following dialog box displays:

SmartPath Tools - Forward Arc Path

SmartPath Tools - Forward Arc Path
(custom semitrailer with a liftable axle)

  4. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  5. In the Speed edit box, type the desired speed for the current section.

  6. If the vehicle is assumed to be starting the section from a complete stop, and maneuvering space is at a premium, select the Turn Wheels From Stop check box to make the steering wheels turn while the vehicle is stopped, which allows the vehicle to proceed at a constant steering angle to the mouse position.

Note: The Turn Wheels From Stop check box is only available if you specified a very slow speed (6 mph (10 km/h) or less) at step 5.

  7. If you want the vehicle to travel along a straight line only, select the Force Straight Line check box or simply drag the path in a straight line. If you selected the Turn Wheels From Stop check box at step 6, the straight line can be generated in the direction that the steering wheels will turn.

Note: If the vehicle travels along a straight line, the maneuver type will change to Forward Line Path, and the Radius Type list and the Radius information will not be available:

SmartPath Tools - Forward Line Path

  8. To detach one or more trailers of a multi-part vehicle, select the Detach check box, and then, in the Trailers list, click the desired number of trailers to be detached.

Note:

  • Rear tire tracks cannot be calculated once a trailer has been detached.

  • A vehicle cannot perform a reverse maneuver immediately after a trailer has been detached.

  9. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  10. From the Radius Type list, select the radius type for the current section.

  11. (AutoCAD/BricsCAD/ZWCAD only) If you have interacted with the SmartPath Tools dialog box, click in the drawing area to begin generating the simulation.

  12. The Radius value will dynamically update when you move the mouse.

  13. To specify a minimum radius that will be applied to the new section of a simulation, select the Section's Minimum Radius check box, and then type the desired value in the box on the right.

  14. Click the desired end position to generate the section.

  15. Continue generating sections by clicking end positions, and then right-click when finished.

The additional Manual Steer option is available when generating an arc path turn simulation with a Special Transport library vehicle:

SmartPath Tools Dialog Box - Manual Steer (Generate Arc Path for Special Transport)

Manual Steer

The Manual Steer option is used for the axle steering and rear component path types of independent rear steering in the Special Transport vehicles.

The rear steering angle can be completely independent from the articulating angle. The only exception is the case when the articulating angle changes from left to right or vice versa, which changes the rear steering angle accordingly.

Rear component path steering controls the path of the rear steering part of the vehicle independently from the tractor’s path (i.e. you have to control two independent paths). Instead of controlling the angle of the pivoting parts as it is done in axle steering, the path angle is specified. To calculate the predicted path, the path angle is used with the modified wheelbase of the rear part (the distance from the cargo pivot point to the center of the fixed rear axle group):

The predicted path and the modified wheelbase of the rear part which is measured from the cargo pivot point to the center of the fixed rear axle group.

AutoTURN checks the steering angle of the rear part’s front axles or the path angle against the maximum rear steering angle. If the path angle generates a steering angle which exceeds the maximum value, the simulation will halt until the path angle is changed.

To specify the rear steering angle, select the Manual Steer check box, and then type the desired value in the edit box.

Note: You can also press CTRL and simultaneously scroll the middle mouse button to increase/decrease the Manual Steer value by intervals of 0.2 degree (for MicroStation users: If the mouse wheel settings (Workspace -> Preferences -> Mouse Wheel) were specified prior to the installation of AutoTURN 10.1, you should set the "Ctrl+Wheel" option in Set Mouse Wheel Preference to "none" to be able to use this functionality).

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Generate Corner Path

Generates a turn simulation using an entrance tangent, arc, and exit tangent, with input for the turn radius and the amount of turn sweep. The sweep can also be set by selecting an existing element. The tangents can be lengthened or shortened by moving the mouse in the direction of the tangent.

For more information on generating simulations, see SmartPath Tools: To Generate a Turn Simulation.

To Generate a Forward Corner Path Simulation:

  1. Click [image] Generate Corner Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. The following dialog box displays:

SmartPath Tools - Forward Corner Path

SmartPath Tools - Forward Corner Path
(custom semitrailer with a liftable axle)

  4. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  5. In the Speed edit box, type the desired speed for the current section.

  6. To detach one or more trailers of a multi-part vehicle, select the Detach check box, and then, in the Trailers list, click the desired number of trailers to be detached.

Note:

  • Rear tire tracks cannot be calculated once a trailer has been detached.

  • A vehicle cannot perform a reverse maneuver immediately after a trailer has been detached.

  7. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  8. From the Radius Type list, select the radius type for the current section.

  9. In the Radius edit box, type the desired corner radius for the current section.

  10. In the Sweep edit box, type the desired sweep angle for the radius.

OR

  10. Click [image] Select Sweep Angle, and then pick an element in the drawing area.

Note: The sweep angle is defined as the angle between the direction of travel and the exit tangent (new heading). The centerline of the vehicle will eventually become parallel with the exit tangent if the exit tangent is long enough - the longer the exit tangent is, the closer to zero the steering angle becomes.

  11. (AutoCAD/BricsCAD/ZWCAD only) If you have interacted with the SmartPath Tools dialog box, click in the drawing area to begin generating the simulation.

  12. Lengthen or shorten the entrance and exit tangents by moving the mouse closer to and farther away from the vehicle start position.

  13. Click the desired end position to generate the section.

  14. Continue generating sections by clicking end positions, and then right-click when finished.

The following drawing illustrates a simulation created with the Generate Corner Path tool. This type of simulation is distinguished by the presence of an entrance tangent, arc, and exit tangent.

Forward Corner Path Simulation Example

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Oversteer Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Oversteer Corner Path

Generates an over-steered maneuver similar to the Generate Corner Path tool (see Generate Corner Path) with the goal of having the body of the vehicle’s first part and steering tires parallel at the end of the maneuver. Entry and exit tangent offsets are used to control the amount of oversteer applied to the maneuver.

For more information on generating simulations, see Vehicles -> To Generate a Turn Simulation.

To Generate a Forward Oversteered Path Simulation:

  1. Click [image] Oversteer Corner Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. The following dialog box displays:

SmartPath Tools - Forward Oversteered Path

SmartPath Tools - Forward Oversteered Path
(custom semitrailer with a liftable axle)

  4. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  5. In the Speed edit box, type the desired speed for the current section.

  6. To detach one or more trailers of a multi-part vehicle, select the Detach check box, and then, in the Trailers list, click the desired number of trailers to be detached.

Note:

  • Rear tire tracks cannot be calculated once a trailer has been detached.

  • A vehicle cannot perform a reverse maneuver immediately after a trailer has been detached.

  7. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  8. From the Radius Type list, select the desired radius type for the current section.

  9. In the Radius edit box, type the desired corner radius for the current section.

  10. In the Sweep edit box, type the desired sweep angle for the radius.

OR

  10. Click [image] Select Sweep Angle, and then pick an element in the drawing area.

Note: The sweep angle is defined as the angle between the direction of travel and the exit tangent (new heading).

  11. In the Entry Offset and/or Exit Offset edit boxes, type the entry offset and/or exit offset respectively, or select the Use Minimum Exit Offset check box, and then, in the Entry Offset edit box, type the entry offset.

  12. (AutoCAD/BricsCAD/ZWCAD only) If you have interacted with the SmartPath Tools dialog box, click in the drawing area to begin generating the simulation.

  13. Lengthen or shorten the entrance and exit tangents by moving the mouse closer to and farther away from the vehicle start position.

  14. Click the desired end position to generate the section.

  15. Continue generating sections by clicking end positions, and then right-click when finished.

Note: The entry and exit offsets are measured from the body of the vehicle’s first part perpendicular to the extents of the vehicle's first part envelope.

Oversteer Corner Path - Offset Dimensions

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Steer A Path

Provides a means of driving a vehicle along an arbitrary path by moving the mouse in the desired direction. When the mouse stops moving, the vehicle stops moving as well. Click to start and stop the vehicle and/or to go forward or reverse.

For more information on generating simulations, see To Generate a Turn Simulation.

To Generate a Forward Steered Path Simulation:

  1. Click [image] Steer A Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. The following dialog box displays:

SmartPath Tools - Forward Steered Path

SmartPath Tools - Forward Steered Path
(custom semitrailer with a liftable axle)

  4. In the Speed edit box, type the desired speed for the current section.

  5. The minimum centerline turning radius for the current speed displays.

  6. If the vehicle is assumed to be starting the section from a complete stop, and the maneuvering space is at a premium, select the Turn Wheels From Stop check box to make the steering wheels turn while the vehicle is stopped, which allows the vehicle to proceed at a constant steering angle to the mouse position.

Note: The Turn Wheels From Stop check box is only available if you specified a very slow speed (6 mph (10 km/h) or less) at step 4.

  7. To detach one or more trailers of a multi-part vehicle, select the Detach check box, and then, in the Trailers list, click the desired number of trailers to be detached.

Note:

  • Rear tire tracks cannot be calculated once a trailer has been detached.

  • A vehicle cannot perform a reverse maneuver immediately after a trailer has been detached.

  8. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  9. Click in the drawing area to begin driving the vehicle. The vehicle will move towards the mouse position to the best of its ability given the current speed. While the mouse is in motion, the vehicle will be in motion as well.

  10. Click the desired end position to generate the section.

  11. Repeat steps 9-10 as many times as required to complete the desired simulation, and then right-click when finished.

Forward Steered Path Simulation Path Example

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Reverse Maneuvers

It is possible to generate reverse maneuvers with the Generate Arc Path, Generate Corner Path, and Steer A Path tools (see SmartPath Tools -> Generate Arc Path, SmartPath Tools -> Generate Corner Path, and SmartPath Tools -> Steer A Path respectively). Reverse maneuvers are initiated simply by moving the mouse back through the rear axle group while generating simulations.

Reverse maneuvers are indicated by corresponding reverse SmartPath Tool buttons and the following maneuver types displayed in the SmartPath Tools dialog box:

  • Reverse Arc Path

  • Reverse Line Path

  • Reverse Corner Path

  • Reverse Steered Path

Reverse maneuvers are only possible for vehicles with three or fewer parts (i.e. articulating components).

Reverse maneuvers are always performed at 6 mph (10 km/h) or less with the Turn Wheels From Stop check box selected (see SmartPath Tools: Turn Wheels From Stop). Additionally, the first forward maneuver after a reverse maneuver is also performed at 6 mph (10 km/h) or less with the Turn Wheels From Stop check box selected. The speed can be changed in the second section after a reverse maneuver (see SmartPath Tools: Speed).

Note: The Reverse Arc Path tool is the only reverse SmartPath Tool available for the vehicles with independent rear steering or with multiple trailers that have one or more full trailer parts.

Changing Directions to Generate a Reverse Maneuver

Note: These instructions are generic for creating reverse simulations with all SmartPath Tools (except for the Steer A Path tool - see Reverse Steered Path). See the section on each reverse SmartPath Tool for information specific to each tool.

  1. While generating a simulation with a SmartPath Tool (exception - see SmartPath Tools -> Oversteer Corner Path), move the mouse through the rear axle group of the vehicle.

  2. The vehicle will now be traveling in reverse - performing a reverse maneuver type of the same SmartPath Tool (exception - AutoTURN switches to the Reverse Corner Path tool automatically when a reverse maneuver is initiated while using the Oversteer Corner Path tool).

  3. Click the desired end position to generate the reverse section.

  4. Continue generating reverse sections by clicking end positions, and then right-click when finished.

To Resume Forward Motion:

  1. While generating a simulation with a SmartPath Tool (exception - see Reverse Steered Path), move the mouse through the front axle group of the vehicle.

  2. The vehicle will be traveling forwards.

  3. Click the desired end position to generate the forward section.

  4. Continue generating forward sections by clicking end positions, and then right-click when finished.

See also: Reverse Arc Path, Reverse Corner Path, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path.


Reverse Arc Path

Generates a reverse section using the simplest type of simulation. It generates a reverse arc path that follows an arc from the start position to the position of the mouse.

AutoTURN switches to the Reverse Arc Path tool automatically when a reverse maneuver is initiated while using the Generate Arc Path tool (see SmartPath Tools -> Generate Arc Path).

Note: The only reverse maneuver possible for the vehicles with independent rear steering or with multiple trailers that have one or more full trailer parts is a short reverse, i.e. a maneuver that limits reversing to a short distance, enabling the vehicle to perform a series of three point turns (whereas in AutoTURN versions prior to 7.0 such vehicles could not reverse at all).

For more information on generating simulations, see Smart Path Tools: To Generate a Turn Simulation.

To Generate a Reverse Arc Path Simulation:

  1. Click [image] Generate Arc Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. Before clicking to begin generating a section, move the mouse through the rear axle group of the vehicle.

  4. The following dialog box displays:

SmartPath Tools - Reverse Arc Path

SmartPath Tools - Reverse Arc Path
(custom semitrailer with a liftable axle)

  5. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  6. If you want the vehicle to travel along a straight line only, select the Force Straight Line check box or simply drag the path in a straight line.

Note:

    • The Force Straight Line check box is only available if the current vehicle is a single part vehicle (see Vehicles -> To Select the Current Vehicle).

    • If the vehicle travels along a straight line, the maneuver type will change to Reverse Line Path, and the Radius Type list and the Radius information will not be available:

SmartPath Tools - Reverse Line Path

  7. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  8. From the Radius Type list, select the radius type for the current section.

  9. (AutoCAD/BricsCAD/ZWCAD only) In the drawing area, click to begin generating the simulation.

  10. The Radius value will dynamically update when you move the mouse.

  11. To specify a minimum radius that will be applied to the new section of a simulation, select the Section's Minimum Radius check box, and then type the desired value in the box on the right.

  12. Click the desired end position to generate the section.

  13. Continue generating sections by clicking end positions, and then right-click when finished.

See also: Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Reverse Corner Path

The Reverse Corner Path tool allows a reverse maneuver to be generated with a tangent-arc-tangent combination by specifying the desired sweep angle (via keyboard entry or selecting drawing elements). The entrance and exit tangents can be lengthened or shortened by moving the mouse in the direction of the tangent.

AutoTURN switches to the Reverse Corner Path tool automatically when a reverse maneuver is initiated while using the Oversteer Corner Path tool (see SmartPath Tools -> Oversteer Corner Path).

The Reverse Corner Path tool behaves differently for one and two/three part vehicles:

  • Generating Reverse Corner Simulations with One Part Vehicles

It is possible to set the radius type, radius, and sweep angle when generating reverse simulations with one part vehicles. In addition, the entrance and exit tangents can always be lengthened or shortened.

  • Generating Reverse Corner Simulations with Two/Three Part Vehicles

Only the sweep angle and tolerance settings are available when generating reverse simulations with two part vehicles, and only the sweep angle setting is available when generating reverse simulations with three part vehicles.

The tolerance setting aids maneuvering in close quarters by setting an articulating angle between the tractor and trailer at the end of the arc portion of the maneuver. By default, tolerance is set to the minimum value of 0.1 degrees, which does not affect the generation of the simulation. Increase the tolerance to decrease the amount of space required to complete a reverse corner section. An exit tangent is not generated when tolerance is set to a value greater than 5 degrees. The maximum tolerance angle is 45 degrees.

To Generate a Reverse Corner Path Simulation with a One Part Vehicle:

  1. Click [image] Generate Corner Path on the toolbar or ribbon.

  2. Set the vehicle’s start position and starting angle.

  3. Before clicking to begin generating a section, move the mouse through the rear axle group of the vehicle.

  4. The following dialog box displays:

SmartPath Tools - Reverse Corner Path with a One Part Vehicle

  5. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  6. Set the following options for the current section:

    1. From the Radius Type list, select the desired radius type.

    2. In the Radius edit box, type the desired corner radius.

    3. In the Sweep edit box, type the desired sweep angle for the radius.

OR

    3. Click [image] Select Sweep Angle, and then pick an element in the drawing area.

Note:

    • The sweep angle is defined as the angle between the direction of travel and the exit tangent (new heading).

    • The sweep angle value must be between 1 degree and 160 degrees. If an invalid sweep angle is specified, a warning message will display and AutoTURN will set the sweep angle value to 160 degrees.

  7. (AutoCAD/BricsCAD/ZWCAD only) Click in the drawing area to begin generating the simulation.

  8. Lengthen or shorten the entrance and exit tangents by moving the mouse closer to and farther away from the vehicle start position.

  9. Click the desired end position to generate the section.

  10. Continue generating sections by clicking the end positions, and then right-click when finished.

To Generate a Reverse Corner Path Simulation with a Two/Three Part Vehicle:

  1. Click [image] Generate Corner Path on the toolbar or ribbon.

  2. Set the vehicle's start position, start angle, and articulating angles.

  3. Before clicking to begin generating a section, move the mouse through the rear axle group of the vehicle.

  4. The following dialog box displays:

SmartPath Tools - Reverse Corner Path
with a Two Part Vehicle (custom semitrailer with a liftable axle)

SmartPath Tools - Reverse Corner Path
with a Three Part Vehicle

  5. To display the left and right projected swept path envelopes for an arc path simulation, select the Preview Arc Path check box.

  6. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  7. Set the following options for the current section:

    1. In the Sweep edit box, type the desired sweep angle for the radius.

OR

    1. Click the [image] Select Sweep Angle button, and then pick an element in the drawing area.

Note:

    • The sweep angle is defined as the angle between a line extending through the vehicle’s direction of travel and the element’s closest point (to the midpoint of the vehicles’ rear axle) to the element’s end point.

    • If a sweep angle greater than 160 degrees is typed or picked, a warning message will display and the sweep angle will be set to 160 degrees.

    2. (Two part vehicle only) In the Tolerance edit box, type a Tolerance value if the maneuvering room is limited.

  8. (AutoCAD/BricsCAD/ZWCAD only) Click in the drawing area to begin generating the simulation.

  9. Lengthen or shorten the entrance tangent by moving the mouse closer to and farther away from the vehicle start position.

  10. (Two-part vehicle only) If the Tolerance value is 5 degrees or less, lengthen or shorten the exit tangent. If the Tolerance value is 6 degrees or higher, AutoTURN truncates the simulation at the end of the arc portion as in the following example:

Reverse Corner Path with 45 degree Tolerance Example

  11. Click the desired end position to generate the section.

  12. Continue generating sections by clicking the end positions, and then right-click when finished.

The following drawing illustrates a simulation created with the Reverse Corner Path tool and a minimum Tolerance value of 0.1 degrees. The sweep angle was obtained by clicking the Sweep button, and then selecting one of the parking lines.

Reverse Corner Path Simulation Example

See also: Reverse Arc Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


Reverse Steered Path

Provides a means of reversing a vehicle along an arbitrary path by moving the mouse in the desired direction. When the mouse stops moving, the vehicle stops moving. Click to start and stop the vehicle and/or to go forward or reverse.

For more information on generating simulations, see SmartPath Tools: To Generate a Turn Simulation.

To Generate a Reverse Steered Path Simulation:

  1. Click [image] Steer A Path on the toolbar or ribbon.

  2. Set the vehicle’s start position, angle, and articulating angles if applicable.

  3. Move the mouse through the rear axle group of the vehicle.

  4. The following dialog box displays:

SmartPath Tools - Reverse Steered Path

SmartPath Tools - Reverse Steered Path
(custom semitrailer with a liftable axle)

  5. To lift one or more axles of a rear axle group with liftable axles (see Vehicles -> To Configure Axle Group Details), select the Lift check box, and then, in the Axles list, click the number of axles to be lifted.

Note: AutoTURN does not include lifted axles in the calculation of the vehicle’s turning radius while generating simulations.

  6. The minimum centerline turning radius (minimum turn radius) for the vehicle traveling at 6 mph (10 km/h) is displayed.

  7. In the drawing area, click to begin reversing the vehicle. The vehicle will move towards the mouse position to the best of its ability given the reverse speed. While the mouse is in motion, the vehicle will be in motion as well.

  8. Click the desired end position to generate the section.

  9. Repeat steps 7-8 as many times as required to complete the desired simulation, and then right-click when finished.

Note: The reverse steered path maneuver is not available for the vehicles with full trailer parts or with independent rear steering.

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path; Generate Report, Insert Profile, Place Adaptive Simulation, Place Vehicle, Run Animation.


The last selected pre-drawn path. A pre-drawn path is the vehicle path drawn in the CAD platform (AutoCAD/BricsCAD/ZWCAD or MicroStation) using the CAD platform's drawing tools. For example, it could define a known, or best guess of the path that will be followed by the center of the front axle of the current vehicle.

The radius of the arc formed by a vehicle with its steering wheels at the steering lock position. This circle passes through the center of the front (steering) axle for forward maneuvers.

Place Adaptive Simulation

Places a forward turn simulation using the current vehicle (see Overview -> Current Vehicle) based on following selected path elements with the center of the steering axle group (a traditional centerline path follow turn simulation) or by offsetting the turn simulation a specified distance relative to the selected turn simulation envelopes (an offset turn simulation).

Note: Only forward maneuvers can be created using the Place Adaptive Simulation tool. For reverse maneuvers, see Reverse Maneuvers.

Use the Place Adaptive Simulation Tool to:

  • Place a centerline path follow turn simulation

  • Place an offset turn simulation

  • Re-use a preselected path

To Place a Centerline Path Follow Turn Simulation:

Note: This tool requires existing CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs can not be combined with polylines/complex chains or alignments to make up the path elements.

  1. Click [image] Place Adaptive Simulation on the toolbar or ribbon.

  2. Pick the path element(s). If the pre-drawn path elements consist of:

    • Lines/Arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

    • A polyline/complex chain or an alignment, select the path element nearer to the start than the end.

  3. After the path has been selected, the simulation displays in the drawing with the default Centered option selected.

Note: A circle indicates the start point and an arrow symbol at the end represents the direction of travel.

The following dialog box displays:

Place Adaptive Simulation

  4. Click OK to place a centerline path follow turn simulation.

The following diagram illustrates a centerline turn simulation created by using the Place Adaptive Simulation tool:

Place Adaptive Simulation - Centerline Turn Simulation Example

To Place an Offset Turn Simulation:

Note: This tool requires existing CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs can not be combined with polylines/complex chains or alignments to make up the path elements.

  1. Click [image] Place Adaptive Simulation on the toolbar or ribbon.

  2. If the path elements consist of:

    • Lines/Arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

    • A polyline/complex chain or an alignment, select the path element nearer to the start than the end.

  3. After the path has been selected, the simulation displays in the drawing with the default Centered option selected.

Note: A circle indicates the start point and an arrow symbol at the end represents the direction of travel.

The following dialog box displays:

Place Adaptive Simulation

  4. Under Simulation Type, click either Offset Left or Offset Right to begin configuring an offset turn simulation. The following dialog box displays:

Place Adaptive Simulation - Offset Simulation

  5. In the Offset edit box, type the desired offset value.

Note: When the Use Smooth Transitions check box is not selected, the Offset value is measured from the tire track (front or rear) which is closest to the selected path elements at any point in the turn simulation (regardless of which envelopes are drawing in the simulation).

  6. (Optional) Select the Use Smooth Transitions check box. The following dialog box displays:

Place Adaptive Simulation - Use Smooth Transitions

    1. From the Simulation Envelope list, select from which envelope to base the offset turn simulation.

    2. In the Maximum Deviation edit box, type a maximum deviation value.

    3. In the Minimum Radius edit box, type a minimum radius value.

    4. Move the Oversteer Applied At slider to the left to have the oversteer applied increasingly more towards the beginning of the turn simulation or to the right where the oversteer will be applied increasingly more towards the end of the turn simulation.

Note: When the Use Smooth Transitions check box is selected, the Offset value is measured from the selected simulation envelope to the selected path elements (regardless of which envelopes are drawing in the simulation).

  7. (Optional) Select or clear the Link turn simulation to path geometry check box to have the turn simulation update with changes to the path elements.

  8. Click OK to finish placing the turn simulation.

The following diagram illustrates an offset turn simulation created by using the Place Adaptive Simulation tool. The asterisk (*) denotes the offset distance between the front tires and rear tires and the path element:

Place Adaptive Simulation - Offset Turn Simulation Example

To Re-use a Preselected Path:

Note: This tool requires an existing last path in the drawing.

  1. Click [image] Place Adaptive Simulation on the toolbar or ribbon. The following dialog box displays:

Place Adaptive Simulation - Use Last Path

  2. In the Place Adaptive Simulation dialog box, click Use Last Path. The last selected pre-drawn path is now selected for use with this tool.

  3. Continue placing the turn simulation as desired.

Steering and Articulating Angles

If the vehicle’s steering lock or articulating angle is exceeded at any point along the path, the simulation will terminate at the point where the angle was exceeded. The exceeded angle will also be displayed as in the following illustration.

Example of a simulation where the steering lock angle was exceeded

In the event that an angle is exceeded during the course of a simulation, delete the simulation, increase the radius of the arc where the simulation stopped (or otherwise alter the path), and then pick the path and place the simulation again. It is suggested that turn radii are of at least the minimum centerline turning radius for the vehicle.

Place Adaptive Simulation Dialog Box Explained:

Place Adaptive Simulation Dialog Box - Centered with lines and arcs path selected

Place Adaptive Simulation Dialog Box - Offset with polyline path selected

Simulation Type

Indicates which type and direction of turn simulation is being placed:

  • Offset Left

  • Centered

  • Offset Right

Offset

This is the distance between the selected path elements and a certain envelope in the turn simulation at any given point in the turn simulation. How this value is measured depends on the setting of the Use Smooth Transitions check box:

  • When the Use Smooth Transitions check box is cleared, the offset is maintained from the tire track (front or rear) which is closest to the selected path elements.

  • When the Use Smooth Transitions check box is selected, the offset is maintained from the selected Simulation Envelope to the selected path elements.

Use Smooth Transitions

Select this option to place the offset turn simulation with smooth transitions between changes in direction. This option generally makes for a more natural turn simulation.

Simulation Envelope

Select which type of simulation envelope is measured against to maintain the Offset value:

  • Front and Rear Tires

  • Vehicle Body

  • Body Clearance

Maximum Deviation

This value controls how much variance there is in the Offset dimension.

Minimum Radius

This is the minimum radius used to calculate the arcs in the centerline vehicle path.

Oversteer Applied At

This setting specifies where in the turn simulation the oversteer is applied. Move the slider towards the left to apply the oversteer nearer to the beginning of the turns or to the right to apply the oversteer nearer to the end of the turns in the simulation.

Link turn simulation to path geometry

Note: This option is only available for polyline/complex chain or alignment path elements.

Select this check box to link the turn simulation to the path element. When the path element changes (e.g. when grip editing is performed via AutoCAD/MicroStation commands), the turn simulation will update to reflect the changes in geometry.

See also: Generate Report, Place Vehicle, Recall Simulations, Run Animation, SmartPath Tools Overview.


Place Vertical Simulation

Places a forward vertical simulation using the current vehicle (see Overview -> Current Vehicle) on selected vertical path elements.

Note:

  • This tool only supports vehicles for which profile view data is available.

  • The path elements to be evaluated for conflicts with the vehicle's top body clearance must be drawn on the layer/level specified under Obstacles Layer/Level in the Conflict Analysis category of the Properties dialog box (see Properties -> Conflict Analysis Category).

To Place a Vertical Simulation:

Note: This tool requires existing CAD geometry in the drawing. The geometry may consist of lines and arcs, or it can be a polyline/complex chain.

  1. Click [image] Place Vertical Simulation on the toolbar or ribbon.

  2. Pick the path element(s). If the pre-drawn path elements consist of:

      • Lines/Arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

      • A single line or a polyline/complex chain, select the path element nearer to the start than the end.

  3. After the path has been selected, the vertical simulation displays in the drawing. The following dialog box displays:

Place Vertical Simulation

  4. Select the elements of the vertical simulation that you want to draw and how you want them to look. Changes to these settings are reflected in the drawing.

  5. Click OK to finish placing the vertical simulation.

Place Vertical Simulation Dialog Box Explained

Place Vertical Simulation Dialog Box

Current Vehicle Section

Displays the current vehicle in profile view.

Vertical Simulation Draw Options Section

Set which elements to draw as well as the element’s color, line style, and clearance value as applicable for each element.

Body Envelope

Select this check box to have the vertical simulation drawn with a vehicle body envelope. The swept path determines whether the vehicle will make contact with elements drawn on the Obstacles Layer/Level. The swept path envelope is the tallest path swept out by the top and bottom of the vehicle.

Top Body Clearance

Select this check box and specify a clearance distance to have the simulation drawn with an envelope generated above the vehicle at the distance offset from where the body envelope would normally be drawn.

Bottom Body Clearance

Select this check box and specify a clearance distance to have the simulation drawn with an envelope generated below the vehicle at the distance offset from where the body envelope would normally be drawn.

Detected Conflicts

Select this check box to denote the portions of elements drawn on the Obstacles Layer/Level that conflict with the vehicle body and body clearance envelopes of vertical simulations.

Tracking Points

Select this check box to draw the tracking points in the vertical simulation.

Vehicle

Select this check box to draw the vehicle at the start and end of the vertical simulation.

Vehicle Name

Select this check box to draw the name of the vehicle and the vehicle library in the vertical simulation.

Summary

Select this check box to place a summary of the vehicle’s ground clearance values in the vertical simulation.

Link vertical simulation to path geometry

Note: This option is only available for polyline/complex chain path elements.

Select this check box to link the vertical simulation to the path element. When the path element changes (e.g. when grip editing is performed via AutoCAD/MicroStation commands), the vertical simulation will update to reflect the changes in geometry.


Path Control

Edits 2D turn simulations by adding, moving, or deleting nodes or by making small offset, radius, or sweep angle adjustments to corner path or oversteer corner path simulations. 2D turn simulations generated with rear steered vehicles can also be edited to adjust the rear steered part in the simulation. Nodes can occur at the start and ends of simulations as well as in the midpoints of arc path simulations and in the corner portion of corner path and oversteer corner path simulations.

Note: Simulations that contain at least one section created with the Steer A Path or Place Adaptive Simulation tools (see SmartPath Tools -> Steer A Path or Place Adaptive Simulation respectively) are not supported.

The Path Control tool is intended for making relatively minor adjustments to simulations. For example, if the vehicle runs too close to an object or runs slightly over a curb line, this tool can be used to make the necessary correction without having to recreate the simulation; however, for larger scale changes it is recommended that other editing tools such as Delete Last Section and Continue Simulation be used (see Delete Last Section and Continue Simulation respectively).

To edit a 2D turn simulation with the Path Control tool, click [image] Path Control on the ribbon or toolbar, then pick the simulation you want to edit, and then move the pointer over the simulation to display the nodes that can be manipulated. The following table describes the various actions that can be performed:

Symbol | Tooltip | Description
 | Move Node | Moves the selected node to a new location, adjusting the simulation accordingly.
 | Add Node | Adds a node to the simulation.
 | Delete Node | Deletes a node from the simulation.
 | Adjust Start Angle | Adjusts the start angle of the first vehicle position at the start of the simulation. This node is only available in the first vehicle position of 2D arc, corner, or oversteer corner path turn simulations and only for single part vehicles and the first part of multi-part vehicles. This node is not available for simulations generated with vehicles with rear steering.
 | Adjust Articulating Angle | Adjusts the articulating angle of the second or subsequent part of the first vehicle position at the start of the simulation. Requires a simulation that was generated with a multi-part vehicle. This node is not available for simulations generated with vehicles with rear steering.
 | Adjust Radius | Adjusts the radius of a corner in a corner or oversteer corner path simulation. Entry and exit tangents must be of sufficient length to support modifying the radius. In other words, if the radius needs to be increased, the length of the entry and/or exit tangent must first be increased. This node is not available for reverse corner or reverse oversteer corner path simulations that were generated with multi-part vehicles.
 | Adjust Offsets | Adjusts the entry and exit offsets of a corner in a corner or oversteer corner path simulation. Entry and exit tangents must be of sufficient length to support modifying entry and exit offsets. In other words, if the exit offset needs to be increased, the length of the exit tangent must first be increased. This node is not available for reverse corner or reverse oversteer corner path simulations that were generated with multi-part vehicles.
 | Adjust Position and Angle | Adjusts the exit tangent length and sweep angle of corner or oversteer corner path simulation.
 | Adjust Rear Steering | Adjusts the rear steered part’s path in the simulation. Requires a simulation that was generated with a vehicle with rear steering. Corner and oversteer corner path simulations are not supported.

Notes and Limitations

  • Changes are limited by the vehicle's turn limitations and speed.

  • The vehicle must pass through all original nodes. This may result in large fluctuations if the vehicle is in continuous motion, traveling faster than a very slow speed, or if the existing nodes are relatively close together. This may be alleviated to some extent by making relatively small alternating adjustments to adjacent nodes.

  • Performance may be sluggish for longer simulations if the editing is being done near the beginning of the simulation. This is because all the sections after the edit point must be continuously regenerated as the mouse is moved.

  • The vehicle angle at the start position is fixed; however, the start position may be moved.

  • The vehicle angle at the end position of the simulation is not fixed; however, its range of variation is limited to 60 degrees from its original angle.

  • AutoTURN tools, except Path Control, will not interact with a turn simulation if ERROR is displaying somewhere within the simulation.

See also: Generate Arc Path, Generate Corner Path, Oversteer Corner Path.


The last selected pre-drawn path. A pre-drawn path is the vehicle path drawn in the CAD platform (AutoCAD/BricsCAD/ZWCAD or MicroStation) using the CAD platform's drawing tools. For example, it could define a known, or best guess of the path that will be followed by the center of the front axle of the current vehicle.

Place Vehicle

Places plan view representations of the current vehicle anywhere along a selected path or, in the case of a selected turn simulation, the vehicle used in the turn simulation. If there is a realistic vehicle drawing for the vehicle, it can be placed in the drawing by selecting the Realistic check box in the Vehicle Draw Options section of the Vehicles category of the Properties dialog box (see Properties -> Vehicles Category: Vehicle Draw Options and Customizing AutoTURN -> Creating a Realistic Vehicle Drawing).

Use the Place Vehicle Tool to:

  • Place a vehicle on a pre-drawn path

  • Place a vehicle on a turn simulation

  • Re-use a preselected path

To Place a Vehicle on a Pre-drawn Path:

Note: This tool requires existing CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs cannot be combined with polylines/complex chains or alignments to make up the path elements.

  1. Click [image] Place Vehicle on the toolbar or ribbon.

  2. If the path elements consist of:

  • Lines/arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

  • A polyline/complex chain or an alignment, select the path element nearer to the start than the end.

  3. After the path has been selected, a circle will display at the start point of the path, and an arrow symbol will display at the end of the path representing the direction of travel.

  4. Move the vehicle along the path, and then click to place the vehicle.

  5. Repeat step 4 as desired.

  6. Right-click when you have finished placing vehicles on the path.

To Place a Vehicle on a Turn Simulation:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Place Vehicle on the toolbar or ribbon.

  2. Select a turn simulation in the drawing.

  3. Move the vehicle along the path, and then click to place the vehicle.

  4. Repeat step 3 as desired.

  5. Right-click when you have finished placing vehicles in the turn simulation.

To Re-use a Preselected Path:

Note: This tool requires an existing last path in the drawing.

  1. Click [image] Place Vehicle on the toolbar or ribbon. The following dialog box displays:

Place Vehicle - Use Last Path

  2. In the Place Vehicle dialog box, click Use Last Path. The last selected pre-drawn path is now selected for use with this tool.

  3. Continue placing vehicles as desired.

  4. Right-click when you have finished placing vehicles on the path.

Note: This tool can be used as an alternative to the Run Animation tool (see Run Animation) for visualizing vehicle movement along a pre-drawn path or turn simulation. Simply move the pointer backwards and forwards along the selected pre-drawn path or turn simulation to visualize the movement, and then right-click when you have finished.

See also: Generate Report, Place Adaptive Simulation, Recall Simulations, Run Animation, SmartPath Tools Overview.


Delete Vehicle

Deletes vehicles in simulations that were placed using the Place Vehicle tool (see Place Vehicle).

To Delete a Vehicle:

Note: This tool requires an existing simulation that contains at least one placed vehicle.

  1. Click [image] Delete Vehicle on the toolbar or ribbon.

  2. In the simulation, select the vehicle that you want to delete by picking a point inside the wheelbase of any vehicle part.

Note: The vehicles at either end of a path or at a change of orientation can not be deleted.

  3. Continue deleting vehicles as desired.

  4. Right-click when you have finished deleting placed vehicles.


Continue Simulation

Continues generating an existing turn simulation in the drawing.

To Continue a Turn Simulation:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Continue Simulation on the toolbar or ribbon. The Continue Simulation dialog box displays:

Continue Simulation

  2. Choose the desired continue simulation mode:

    • To continue an existing simulation, skip to step 4.

    • To continue a copy of an existing simulation, leaving the original simulation intact, click Copy and Continue.

    • To start a new simulation from the end of an existing one, click Continue as New.

  3. If you clicked Copy and Continue or Continue as New at step 2, specify a destination layer for the new simulation:

    • To select an existing layer, click Layer, and then click the desired layer in the corresponding list.

    • To create a new layer, click New Layer, and then type a name for it in the corresponding edit box.

  4. Pick the desired simulation. The SmartPath Tools dialog box displays as in the following example:

SmartPath Tools

  5. The simulation can be continued in the same manner as generating the simulation (see SmartPath Tools: To Generate a Turn Simulation).

Hint: Alternatively, you can continue an existing turn simulation by clicking any of the SmartPath Tools on the toolbar or ribbon (see SmartPath Tools -> Generate Arc Path, SmartPath Tools -> Generate Corner Path, SmartPath Tools -> Oversteer Corner Path, SmartPath Tools -> Steer A Path), and then picking a point inside the wheelbase of the vehicle at the end of the simulation to be continued (instead of picking a point to pick a start position). The vehicle and properties of the existing simulation will be used to continue the simulation.

See also: Reverse Arc Path, Reverse Corner Path, Reverse Maneuvers, Reverse Steered Path; Generate Arc Path, Generate Corner Path, Oversteer Corner Path, SmartPath Tools, Steer A Path.


Delete Last Section

Deletes the last section of a picked turn simulation.

To Delete the Last Section of a Turn Simulation:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Delete Last Section on the toolbar or ribbon.

  2. Pick the turn simulation from which you want to delete the last section.

    • If the simulation comprises more than one section, the last section is deleted.

    • If the simulation is only one section, only the starting vehicle position will remain after deleting the section.

  3. Continue deleting last sections as desired, and then right-click when finished.

Example of a two section turn simulation before deleting the last section

Example of a resulting one section simulation after deleting the last section

The process of deleting sections can be continued until the last section has been deleted, leaving only the vehicle in the start position. The Continue Simulation tool can be used to continue when only the vehicle remains (see Continue Simulation).


Regenerate Simulation

Recreates the selected turn simulation taking into account any changes to the elements drawn on the specified Obstacles Layer/Level that interact with the turn simulation envelopes.

CAD elements drawn on the layer/level specified in Properties -> Conflict Analysis: Obstacles Layer/Level are evaluated against turn simulation envelopes. The portions of those elements that conflict with turn simulation envelopes are highlighted to indicate a collision. In addition, a note is added at the first and last vehicle position in the turn simulation to draw attention to a conflict somewhere in the turn simulation.

To Regenerate a Simulation:

Note: This tool requires an existing turn simulation in the drawing.

An existing turn simulation

  1. (Optional) Add/Edit/Remove one or more CAD elements on the specified Obstacles Layer/Level (see Properties -> Conflict Analysis: Obstacles Layer/Level).

An existing turn simulation with elements on the Obstacles Layer/Level added

  2. Click [image] Regenerate Simulation on the toolbar or ribbon.

  3. Pick the turn simulation that you want to regenerate.

  4. The turn simulation is recreated and any portions of CAD elements on the Obstacles Layer/Level that conflict with the turn simulation's envelopes are now highlighted.

A regenerated simulation


Analyze Sight Lines

Draws sight lines based on the location of the driver's eye within the vehicle and stopping sight distances, interval distances, and object heights to determine the areas in which obstacles cannot be placed. 2D simulations as well as horizontal alignments and vertical path geometry can be analyzed in this manner.

Use the Analyze Sight Lines Tool to Analyze:

  • Horizontal alignments

Draws sight lines on 2D turn simulations or horizontal alignments to determine the areas in which obstacles cannot be placed.

  • Vertical profiles

Draws sight lines on 2D vertical simulations or vertical path geometry to determine terrain obstructions.


Analyze Sight Lines - Horizontal Alignments

Analyze Sight Lines

Horizontal Alignments

Draws sight lines on 2D turn simulations or horizontal alignments based on the location of the driver's eye within the vehicle as well as stopping sight and interval distances to determine the areas in which obstacles cannot be placed.

To Analyze the Sight Lines of a Horizontal Alignment:

Note:

  • This tool requires an existing 2D turn simulation or CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs cannot be combined with polylines/complex chains or alignments to make up the path elements.

  • The driver's eye location is assumed to be coincident with the path when path geometry is selected instead of a simulation and therefore some of the driver's eye location settings are not available in the dialog boxes in those cases.

  1. Click [image] Analyze Sight Lines on the toolbar or ribbon. The following dialog box displays:

Analyze Sight Lines

  2. In the Analyze Sight Lines dialog box, click Horizontal Alignment, and then click Next.

  3. Pick a 2D turn simulation or path element(s). If the pre-drawn path elements consist of:

    • Lines/Arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

    • A polyline/complex chain or an alignment, select the path element nearer to the start than the end.

  4. After the simulation/path has been selected, the following dialog box displays:

Analyze Sight Lines - Horizontal Alignment

  5. Under Driver's Eye Settings, specify the location of the driver's eye.

  6. Under Sight Line Settings, choose the length of the sight line and how it is measured, and then specify the Interval Distance value.

  7. Under Sight Line Draw Options, set the color and line style for the sight lines and whether the summary is placed in the drawing. Changes to these settings are reflected in the drawing.

  8. Click OK to finish placing the sight lines in the drawing.

Analyze Sight Lines - Horizontal Alignment Dialog Box Explained

Analyze Sight Lines - Horizontal Alignment Dialog Box

Driver's Eye Settings Section

Driver's Eye Location

Choose whether the driver's eye is located in the center of the vehicle or to the left or right of the center.

Distance from Driver's Side

Note: This edit box is available when the Driver's Eye Location is set to either Left or Right.

Sets the distance from the driver's side of the vehicle measured towards the centerline of the vehicle.

Distance from Vehicle Front

Sets the distance to the driver's eye measured back from the front of the vehicle.

Sight Line Settings Section

Choose how the length of the sight line is measured, and then specify the length in the box on the right.

  • Stopping Sight Distance

Sets the length of the sight line representing the distance required for the vehicle to come to a complete stop (for examples of stopping sight distance values, see Appendix -> Examples of Stopping Sight Distance Values).

  • Line of Sight

Sets the length of the straight line segment joining the vehicle position (driver's eye) to the target point ahead.

Interval Distance

Sets the frequency of placed sight lines in the drawing.

Sight Line Draw Options Section

Sight Lines

Sets the color and line style of the sight lines in the drawing.

Summary

Select this check box to place a summary of the driver's eye and sight line settings in the drawing and set the color used for the summary.


Analyze Sight Lines - Vertical Profiles

Analyze Sight Lines

Vertical Profiles

Draws sight lines on 2D vertical simulations or vertical path geometry based on the location of the driver's eye within the vehicle as well as object heights, stopping sight distances, and interval distances to determine terrain obstructions.

To Analyze the Sight Lines of a Vertical Profile

Note:

  • This tool requires an existing 2D vertical simulation or CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs cannot be combined with polylines/complex chains or alignments to make up the path elements.

  • The driver's eye location is assumed to be coincident with the path when path geometry is selected instead of a simulation and therefore some of the driver's eye location settings are not available in the dialog boxes in those cases.

  1. Click [image] Analyze Sight Lines on the toolbar or ribbon. The following dialog box displays:

Analyze Sight Lines

  2. In the Analyze Sight Lines dialog box, click Vertical Profile, and then click Next.

  3. Pick a 2D vertical simulation or path element(s). If the pre-drawn path elements consist of:

    • Lines/Arcs, select the path elements in the desired direction of travel, and then click a blank spot in the drawing.

    • A polyline/complex chain, select the path element nearer to the start than the end.

  4. After the simulation/path has been selected, the following dialog box displays:

Analyze Sight Lines - Vertical Profile

  5. Under Driver's Eye Settings, specify the location of the driver's eye.

  6. Under Sight Line Settings, specify the Vertical Exaggeration, Object Height, Stopping Sight Distance, and Interval Distance values as applicable.

  7. Under Sight Line Draw Options, set the color and line style for the sight line elements and whether the unobstructed sight lines and summary are placed in the drawing. Changes to these settings are reflected in the drawing.

  8. Click OK to finish placing the sight lines in the drawing.

Analyze Sight Lines - Vertical Profile Dialog Box Explained

Analyze Sight Lines - Vertical Profile Dialog Box

Driver's Eye Settings Section

Eye Height

Sets the height of the driver's eye measured from the ground.

Distance from Vehicle Front

Sets the distance to the driver's eye measured back from the front of the vehicle.

Sight Line Settings Section

Vertical Exaggeration

Specify the vertical exaggeration scale of the drawn vertical path geometry if it was not drawn at 1:1.

Object Height

Sets the height of the target end of the sight line.

Stopping Sight Distance

Sets the length of the sight line representing the distance required for the vehicle to come to a complete stop (for examples of stopping sight distance values, see Appendix -> Examples of Stopping Sight Distance Values).

Interval Distance

Sets the frequency of placed sight lines in the drawing.

Sight Line Draw Options Section

Set which elements to draw as well as the element's color and line style as applicable for each element.

Unobstructed Sight Lines

Select this check box to draw the sight lines that do not have conflicts with the terrain.

Obstructed Sight Lines

Sets the color and line style used to denote the sight lines that have conflicts with the terrain.

Terrain Conflicts

Sets the color and line style used to denote the portions of the sight lines that conflict with the terrain.

Summary

Select this check box to place a summary of the driver's eye and sight line settings in the drawing and set the color used for the summary.


Run Animation

Runs an animation of the current vehicle (see Overview -> Current Vehicle) on the selected path elements or runs an animation of the vehicle used in the selected simulation.

Use the Run Animation tool to:

  • Run an animation on a pre-drawn path

  • Run an animation of a turn simulation

  • Re-use a preselected path

  • Record an animation

To Run an Animation on a Pre-drawn Path:

Note: This tool requires existing CAD geometry in the drawing to act as the path elements. The geometry may consist of lines and arcs, a polyline/complex chain, or an alignment. Lines and arcs can not be combined with polylines/complex chains or alignments to make up the path elements.

  1. Click [image] Run Animation on the toolbar or ribbon.

  2. If the path elements consist of:

    • Lines/arcs, select the path elements in the desired direction of travel, and then a blank spot in the drawing.

    • A polyline/complex chain or an alignment, select the path element nearer to the start than the end.

The following dialog box displays:

Run Animation - Pre-drawn Path

  3. Click [image] Play Animation to animate the current vehicle along the path (for more options, see Run Animation Dialog Box Explained).

  4. Click Close to end the tool.

To Run an Animation of a Turn Simulation:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Run Animation on the toolbar or ribbon.

  2. Select a turn simulation in the drawing. The following dialog box displays:

Run Animation - Turn Simulation

  3. Click [image] Play Animation to animate the vehicle used in the turn simulation through the simulation (for more options, see Run Animation Dialog Box Explained)

  4. Click Close to end the tool.

To Re-use a Preselected Path:

Note: This procedure can only be used after a path or placed turn simulation has previously been used with the Run Animation tool.

  1. Click [image] Run Animation on the toolbar or ribbon. The Place Vehicle dialog box displays:

Place Vehicle - Use Last Path

  2. In the Place Vehicle dialog box, click Use Last Path. The following dialog box displays:

Run Animation - Placed Turn Simulation

  3. Click [image] Play Animation to run the animation (for more options, see Run Animation Dialog Box Explained)

  4. Click Close to end the tool.

To Record an Animation:

Note: This procedure assumes that the Run Animation dialog box is open, and that an existing pre-drawn path or a turn simulation has been selected in the drawing to run a simulation (see To Run an Animation on a Pre-drawn Path or To Run an Animation of a Turn Simulation respectively).

  1. Click [image] Record AVI. The following dialog box displays:

Export Options

  2. Specify the export options as desired (see Export Options Dialog Box Explained), and then click OK. The following dialog box displays:

Specify AVI Output File

  3. Browse to the folder to save the exported AVI file to.

  4. (Optional) In the File name box, type a name for the exported AVI file.

  5. Click Save to have the AVI file exported and return to the Run Animation dialog box.

Run Animation Dialog Box Explained

Run Animation Dialog Box

Record AVI

Click this button to record the animation and exports it to an AVI file (see To Record an Animation). When you click this button, the Export Options dialog box displays (see Export Options Dialog Box Explained).

Play Animation

Click this button to run the animation from beginning to end or from the last vehicle position after manipulating the vehicle position with the slider.

Stop Animation

Click this button to stop the animation while it is playing.

Animation Playback Speed

Set how slow or fast the animation plays back, where 1 is the slowest and 20 is the fastest speed. This setting allows you to view animations at a visually appealing rate on all computers and to adjust for varying presentations. While AutoTURN animations can be displayed at varying speeds, this setting is only used for the purpose of visualizing the maneuver. The speed of animation display is in no way related to the speed of an actual vehicle.

Move Slider Left

Click this button to move the vehicle one step towards the start of the turn simulation.

Move Slider Right

Click this button to move the vehicle one step towards the end of the turn simulation.

Move Vehicle in Drawing

Move the slider to the left to move the vehicle towards the start of the simulation or to the right to move the vehicle towards the end of the simulation.

Camera/Target Preset

Select the desired camera/target preset to define the viewing mode for the simulation.

  • Current View: This preset uses a fixed camera location and fixed target location combination to mimic the current view as closely as possible with the CAD platform's perspective viewing mode turned on.

  • Top View, Fixed: This preset uses a fixed camera location above the vehicle.

  • Tracks vehicle front (above left): This preset uses a camera that follows the front of the vehicle from above left side.

  • Tracks vehicle rear (above left): This preset uses a camera that follows the rear of the vehicle from above left side.

  • Driver's eye location: This preset uses a camera that shows what the driver would see from the vehicle.

  • Tracks vehicle front (fixed point): This preset uses a fixed camera that follows the front of the vehicle. To specify the coordinates of the point in space that locates the camera, click [image] Configure (see Configure Dialog Box Explained).

  • Tracks vehicle rear (fixed point): This preset uses a fixed camera that follows the rear of the vehicle. To specify the coordinates of the point in space that locates the camera, click [image] Configure (see Configure Dialog Box Explained).

Note: Camera/Target presets are only available for 3D simulations.

Configure

Click this button to specify the coordinates of the point in space that locates the camera when you use the Tracks vehicle front (fixed point) or Tracks vehicle rear (fixed point) camera/target preset (see Camera/Target Presets above). When you click this button, the Configure dialog box displays (see Configure Dialog Box Explained).

Note: Configuring the camera location is only available for 3D simulations.

Hide Simulation

Select this check box to hide the simulation in the drawing while the Run Animation tool is running.

Loop Animation

Select this check box to have the animation loop repeatedly. Click [image] Stop Animation at any time to abort the looping of the animation.

Note: The Run Animation tool does not produce drawing elements in the drawing file. Any animation elements left on the screen after an animation is finished can be cleared from the screen by performing a Redraw operation in AutoCAD/BricsCAD/ZWCAD or an Update operation in MicroStation.

Configure Dialog Box Explained

Note: Configuring the camera location is only available for 3D simulations.

Configure Dialog Box

To modify the point in space that locates the camera in a fixed point mode (see Camera/Target Preset), specify the desired X, Y, and Z coordinates.

Note: Configuring the camera location is only available for 3D simulations.

Export Options Dialog Box Explained

Export Options Dialog Box

Frames per Second

Displays the default frame rate for the AVI file to be recorded. To modify the frame rate, type the desired value in the Frames per Second box.

Note: Reducing the frame rate will reduce the resulting AVI file's size but will also reduce the smoothness of the playback.

Playback Time

Displays the initial duration of the AVI file to be recorded.

  • To make the vehicles in the simulation move faster when the AVI file plays back, reduce the Playback Time value.

  • To make the vehicles in the simulation move slower when the AVI file plays back, increase the Playback Time value.

Note: If you modify the Playback Time value, the playback time in the Run Animation tool will be different than in the AVI file.

See also: Generate Report, Place Adaptive Simulation, Place Vehicle, Recall Simulations, SmartPath Tools Overview.


Manage InVision Data

Adds InVision data to the drawing for selected turn simulations to be used with the InVision product. This tool can also be used to remove unwanted InVision data from the drawing. Refer to the InVision Help for more information on this product.

Manage InVision Data Dialog Box

To Add InVision Data to the Drawing:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Manage InVision Data on the toolbar or ribbon.

  2. Click [image] Add InVision Data.

  3. Pick a turn simulation in the drawing.

  4. Continue to pick turn simulations, and then pick a blank area in the drawing when finished.

To Remove InVision Data from the Drawing:

  1. Click [image] Manage InVision Data on the toolbar or ribbon.

  2. Select one or more simulations in the list (use SHIFT+select and/or CTRL+select to make multiple selections).

  3. Click [image] Remove InVision Data.

  4. Click Yes to confirm the removal of the InVision data for the selected turn simulations and return to the Manage InVision Data dialog box.

Making Multiple Selections

Multiple selections can be made in the list of stored simulations by using SHIFT+select and/or CTRL+select to select more than one simulation.

Note: Multiple selection can only be used with the Remove InVision Data option.


Insert Profile

Inserts a dimensioned profile view of a vehicle. The vehicle used is either the current vehicle (see Overview -> Current Vehicle), or the vehicle from a simulation, whichever you select.

Dimensioned Profile

Use the Insert Profile tool to:

  • Insert a profile using the current vehicle

  • Insert a profile using an existing simulation

To Insert a Profile Using the Current Vehicle:

  1. Select a vehicle (see Vehicles -> To Select the Current Vehicle).

  2. Click [image] Insert Profile on the toolbar or ribbon.

  3. Click the Use Current Vehicle button in the dialog box that will display.

  4. In the drawing, click a point to place the profile.

To Insert a Profile Using an Existing Simulation:

  1. Click [image] Insert Profile on the toolbar or ribbon.

  2. In the drawing, pick the simulation for which you want to insert a profile.

  3. Click a point to place the profile.

See Customizing AutoTURN -> Creating a Profile Drawing for creating profile drawings for custom vehicles.


Generate Report

Generates graphical and summary reports. The graphical report can be placed in the drawing to accompany the simulation, and the summary report can be generated and saved to a file.

Use the Generate Report Tool to:

  • Generate a Speed Profile Report

Displays a graphical representation of the vehicle's speed over the length of the picked turn simulation.

  • Generate a Turning Report

Displays a graphical representation of the vehicle's steering angle (and articulating angles for multi-part vehicles) over the length of the picked turn simulation.


The time rate of increase in speed.

The time rate of decrease in speed.

The angle, or bank of a road surface. It is expressed as a slope.

The side friction or Lateral Friction factor is the coefficient of friction between the vehicle's tires and the road surface. The friction value is assumed to decrease as the speed increases.

Generate Speed Profile Report

View a graphical representation of the vehicle's speed over the length of the picked turn simulation.

To Generate a Speed Profile Report:

Note:

  • This tool requires an existing turn simulation in the drawing.

  • Speeds are not reported for reverse sections in simulations.

  1. Click [image] Generate Report on the toolbar or ribbon.

  2. Pick a turn simulation in the drawing. The following dialog box displays:

Generate Report

  3. In the Select Report list, click Speed Profile Report, and then click Create. The speed profile graph is displayed as in the following dialog box:

Example of a speed profile report for a turn simulation

  4. Change the Vmax value to evaluate the effect on the speeds reported by Vstart and Vend as well as throughout the simulation. It is also possible to set custom Acceleration, Deceleration, and Lateral Friction values which will affect the reported speeds of Vstart and Vend as well as throughout the simulation.

  5. To change how the report is formatted, select the Show Formatting Options check box (see Report Formatting Options below).

Note: The Plan Speed Markers check box must be selected under Show Formatting Options to draw speed markers and speed indicators in the simulation.

  6. To place the report into the current drawing file, click Place Report, and then pick a point in the drawing to specify the place for the speed profile graph.

Example of plan speed markers and speed indicators in the simulation after placing the report in the drawing

  7. To export the speed profile report to a text file, click Summary. The text file is saved to the disk and then displayed on the screen using Microsoft® Notepad (or your default text editor).

Speed Profile Report Dialog Box Explained

Speed Profile Report Dialog Box

Vmax

Displays the vehicle's maximum speed. To modify the vehicle's maximum speed, type the desired value in the Vmax box, and then press TAB. The Vmax Start, Vmax End, Vstart, and/or Vend values will change accordingly (see Vmax Start, Vmax End, and/or Vstart and Vend respectively).

Vmax Start

Displays the speed at the start of the simulation. The speed calculations are evaluated from the start to the end. To modify the speed at the start of the simulation, select the Custom check box, then type the desired value in the Vmax Start box, and then press TAB. The Vstart value (see Vstart and Vend) will change accordingly.

Vmax End

Displays the speed at the end of the simulation. The speed calculations are evaluated from the end to the start. To modify the speed at the end of the simulation, select the Custom check box, then type the desired value in the Vmax End box, and then press TAB. The Vend value (see Vstart and Vend) will change accordingly.

Vstart, Vend

Displays the vehicle's starting speed and ending speed respectively.

Note: If you modify the vehicle's maximum speed and/or the speed at the start or the end of the simulation (see Vmax, Vmax Start, and/or Vmax End respectively), the Vstart value and/or Vend value will change accordingly.

Acceleration

Displays the acceleration value used to calculate the speed of the vehicle. To modify the acceleration, select the Custom check box, then type the desired value in the Acceleration box, and then press TAB.

Deceleration

Displays the deceleration value used to calculate the speed of the vehicle. To modify the deceleration, select the Custom check box, then type the desired value in the Deceleration box, and then press TAB.

Superelevation

Displays the superelevation value used to calculate the speed of the vehicle.

Lateral Friction

Displays the lateral friction factor value used to calculate the speed of the vehicle. By default, AutoTURN applies the lateral friction based on the AASHTO (2004) values. To modify the lateral friction, select the Custom check box, then type the desired value in the Lateral Friction box, and then press TAB.

Show Formatting Options

Select this check box to change how the report is formatted.

Place Report

Click this button to place the speed profile graph into the drawing and draw the speed markers and speed indicators in the turn simulation (see Plan Speed Markers).

Summary

Click this button to export the report to a text file. To view and/or edit the file, use your default text editor (e.g. Microsoft® Notepad).

To Set Report Formatting Options:

  1. Select the Show Formatting Options check box.

  2. Set the desired formatting options.

  3. Click Close.

Report Formatting Options

Example of formatting dialog box

Horizontal Scale and Vertical Scale

These options allow the report to be stretched out or shortened horizontally and/or vertically when the report is placed in the drawing (e.g. in order to accommodate report labels).

Speed Profile

Select this option to draw and set the color and line style of the line representing the speed profile.

Outer Box

Sets the color for the outermost line of the report.

Text Labels

Sets the color for the text labels that appear below the report when placed in the drawing.

Transitions

Select this option to draw and set the color and line style of the lines representing the transition between tangents/arcs and spirals.

Grid Lines

Select this option to draw and set the color, line style, and spacing interval of the horizontal grid lines.

Plan Speed Markers

Select this option to draw and set the color, line style, and spacing interval of the plan speed markers. In addition, speed indicators are drawn in the simulation as perpendicular lines the width of the vehicle at 1.64 ft or 0.5 m spacing intervals where red is used to indicate decreasing speeds and green to indicate increasing speeds. No speed indicators are drawn when the speed is constant or in reverse sections.


Generate Turning Report

View a graphical representation of the vehicle's steering angle (and articulating angles for multi-part vehicles) over the length of the picked turn simulation. The graphical report can be placed in the drawing to accompany the simulation, and the summary report can be generated and saved to a file. This tool can also be used to view the vehicle’s steering angle graph as you generate a simulation (see To View a Report "On the Fly").

To Generate a Turning Report:

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Generate Report on the toolbar or ribbon.

  2. Pick a turn simulation in the drawing. The following dialog box displays:

Generate Report

  3. In the Select Report list, click Turning Report, and then click Create. The steering angle graph is displayed as in the following dialog box:

Example of a report for a turn simulation with a single part vehicle

Example of a report for a turn simulation with a multi-part vehicle

  4. To change how the report is formatted, select the Show Formatting Options check box (see Report Formatting Options below).

  5. To place the report into the current drawing file, click Place Report, and then pick a point in the drawing to specify the place for the steering angle graph.

  6. To export the steering angle summary report to a text file, click Summary. The text file is saved to the disk and then displayed on the screen using Microsoft® Notepad (or your default text editor).

Note:

  • Simulations created with the Place Adaptive Simulation tool (see Place Adaptive Simulation) are displayed as one section.

  • For turn simulations using Special Transport vehicles, text file reports contain an additional section on independent rear steering.

To View a Report "On the Fly":

Note: This tool requires an existing turn simulation in the drawing.

  1. Click [image] Generate Report on the toolbar or ribbon.

  2. Pick a simulation in the drawing.

  3. Select the desired formatting options (see Report Formatting Options below).

  4. Select any one of the SmartPath Tools.

  5. Generate a simulation.

  6. Watch as the steering angle graph dynamically updates as you move/drive the vehicle through simulations.

  7. Click Close when finished using this tool.

Note: Alternatively, enable vehicle angles to see the vehicle's steering and articulating angles update while generating simulations (see Program Settings -> Display Options: Vehicle Angles).

To Set Report Formatting Options:

  1. Select the Show Formatting Options check box.

  2. Set the desired formatting options.

  3. Click Close.

Report Formatting Options

Example of formatting dialog box for a single part vehicle

Example of formatting dialog box for a multi-part vehicle

Show Speed

Select this option to display the vehicle speed for each section of the simulation when the report is placed in the drawing.

Show Length

Select this option to display the length of each section when the report is placed in the drawing.

Show Start Condition

Select this option to display the start condition for each section when the report is placed. The start condition is either "in motion" if the Turn Wheels From Stop check box was not selected or "stopped" if the Turn Wheels From Stop check box was selected in the SmartPath Tools dialog box when the section was generated.

Show Type

Select this option to display the maneuver type for each section when the report is placed.

Show Time

Select this option to display the elapsed time for each section when the report is placed.

Show Legend

Select this option to place a legend with the report that shows which colors are used for each trailer in the multi-part vehicle.

Horizontal Scale and Vertical Scale

These options allow the report to be stretched out or shortened horizontally and/or vertically when the report is placed in the drawing (e.g. in order to accommodate report labels).

Steering Angle

Sets the color and line style for the line representing the steering angle.

Articulating Angle

Sets the color and line style for the lines representing the articulating angles of each trailer of the multi-part vehicle.

Outer Box

Sets the color for the outermost line of the report.

Text Labels

Sets the color for the text labels that appear below the report when placed in the drawing.

Origin Circle

Select this option to draw and set the color for the circle designating zero (0) degrees.

Grid Lines

Select this option to draw and set the color, line style, and spacing interval of the horizontal grid lines.

Section Lines

Select this option to draw and set the color and line style for the vertical lines designating change of sections in the simulation.

Place Report

Click this button to place the steering angle graph into the current drawing file.

Summary

Click this button to export the report to a text file. To view and/or edit the file, use your default text editor (e.g. Microsoft® Notepad).


Recall Simulations

Recalls previously stored turn simulations by either placing the simulations or running their animations. You can also rename simulations to archive them and delete unwanted simulations.

AutoTURN saves a copy of each simulation to the disk whenever a simulation is placed or generated in a drawing. The simulation is saved in a subfolder of the Output folder or Drawing folder (see Program Settings -> General Category: Save Simulation). The subfolder has the same name as the drawing. The number of simulations saved for each drawing is set by changing the X value in the Store the last X simulations created in this drawing edit box. This allows you the flexibility of storing different numbers of simulations for different drawing files.

Recall Simulations Dialog Box

To Place Simulations:

  1. Click [image] Recall Simulations on the toolbar or ribbon.

  2. From the list, select up to five turn simulations (use SHIFT+select and/or CTRL+select to make multiple selections).

  3. Click [image] Place Adaptive Simulation within this dialog box to place the highlighted simulation(s) in the drawing.

  4. Repeat steps 2-3 as desired.

To Run Animations:

  1. Click [image] Recall Simulations on the toolbar or ribbon.

  2. From the list, select the desired simulation.

  3. Click [image] Run Animation within this dialog box to run an animation of the highlighted simulation. A dialog box similar to the following example displays:

Run Animation

  4. Click the [image] Play Animation button to run the animation.

  5. Repeat steps 2-4 as desired.

Note: The Run Animation button is disabled if more than one animation is selected in the list.

To Rename a Simulation:

  1. Click [image] Recall Simulations on the toolbar or ribbon.

  2. From the list, select the turn simulation you want to rename.

  3. Click Rename. A dialog box similar to the following example displays:

Rename Simulation

  4. In the Name edit box, type a new name for the simulation (max. 32 characters).

  5. Click OK to apply the new name and return to the Recall Simulations dialog box.

Note: Once a simulation is renamed, it will not count towards the total number of saved simulations for that drawing, i.e., it is now archived.

To Delete a Simulation:

  1. Click [image] Recall Simulations on the toolbar or ribbon.

  2. Select one or more simulations in the list (use SHIFT+select and/or CTRL+select to make multiple selections).

  3. Click Delete.

  4. Click OK to confirm the deletion of the simulation and return to the Recall Simulations dialog box.

Making Multiple Selections

Multiple selections can be made in the list of stored simulations by using SHIFT+select and/or CTRL+select to select more than one simulation.

Note: Multiple selection can only be used with the Place Adaptive Simulation and Delete options.


Generate Template

Generates a turning template of the current vehicle complete with all relevant vehicle dimensions and turning characteristics (see Overview -> Current Vehicle). The template is generated based on the vehicle set in the Select Current Vehicle dialog box and settings specified in the Properties dialog box such as colors and line styles, fills, envelopes, etc (see Vehicles -> To Select the Current Vehicle and Properties). Templates can be generated for any vehicle.

Generated Template

To Generate a Template:

  1. Select a vehicle (see Vehicles -> To Select the Current Vehicle).

  2. Choose the desired settings in the Properties dialog box (see Properties).

  3. Click [image] Generate Template on the toolbar or ribbon. The following dialog box displays:

Generate Template

  4. Under Degrees or Gons, select the desired angle units.

  5. Select the check boxes for each sweep angle that you want to generate.

Hint: Edit the sweep angles to desired values.

  6. In the Radius Type list, select the desired radius type for the template.

  7. In the Radius edit box, specify the desired value for the selected radius type.

Hint: To find the minimum value for the selected radius type, type a very low value, and then press TAB - the minimum value for that radius type will display.

  8. In the Wheels list, click the desired type of the starting condition.

Hint: Choose Straight for the most common type of template or Turned for the Turn Wheels From Stop condition.

  9. In the Turn list, select the desired turn direction.

  10. In the Exit Tangent edit box, type the desired value for the exit tangent as measured in vehicle lengths.

  11. In the Draw Template On section, set the layer/level that the template will be drawn on in the following ways:

    • Click Current Layer/Level to have the template drawn on the CAD platform’s current layer/level.

    • Click New Layer/Level, and then specify the desired layer/level to have the template drawn on the new layer/level specified.

    • Click Layer/Level, and then select the layer/level in the Layer/Level box to have the template drawn on an existing layer/level.

  12. In the Draw Options area, select the check boxes for each element to draw and radii dimensions to display.

  13. Click Place.

  14. Click a point in the drawing to place the template.

Note:

  • If the current vehicle is unable to negotiate a specific sweep turn, a message is displayed stating the sweep turn that could not be generated in the template drawing.

  • The following envelopes must be enabled in the Envelopes category of the Properties dialog box to display the corresponding radii dimensions (see Properties -> Envelopes Category):

    • Curb to Curb requires the Front Tires envelope.

    • Wall to Wall requires the Vehicle Body envelope.

    • Inner Turn requires the Rear Tires envelope.

Draw Options

Set which elements to draw as well as the element’s color and line style as applicable for each element:

 | Select this check box to have the following elements drawn when the template is placed.
Center Line | The vertical and horizontal center lines.
Notes | The vehicle's name and library, the units the template was created with, the steering lock angle of the vehicle, and the sweep line descriptions.
Arrows | The sweep labels.
Dimensions | The vehicle's dimensions.
Scale Bar | A scale bar (expressed in the units the template was created with).
Achieved Angle Table | The achieved angle table.

Generate Template vs SmartPath Tools

Standard templates published by most jurisdictions consist of simple tangent and arc paths. Rate of wheel turn is not usually considered. The SmartPath Tools such as Generate Arc Path and Generate Corner Path take into account the rate at which the wheel can be turned and incorporate spiral transition sections into the path. For this reason, the SmartPath Tools cannot be used to create standard turning templates.


Generate Grade Template

Generates a grade template for the current vehicle showing the vehicle's maximum upward and downward grade capabilities. The template is generated based on the vehicle set in the Select Current Vehicle dialog box (see Vehicles -> To Select the Current Vehicle).

Note: Templates can be generated for any vehicle for which profile view data is available.

To Generate a Grade Template:

  1. Select a vehicle (see Vehicles -> To Select the Current Vehicle).

  2. Click [image] Generate Grade Template on the toolbar or ribbon. The following dialog box displays:

Generate Grade Template

  3. Under Calculate Grade, in the Starting Grade box, type the desired value, and then press TAB to calculate the maximum upward (+) and downward (-) grades achievable by the vehicle.

  4. (Optional) Repeat step 3 as desired.

  5. Click Place, and then click a point in the drawing to place the template.

Generate Grade Template Dialog Box Explained

Generate Grade Template Dialog Box

Current Vehicle Section

Library

Displays the library name of the current vehicle.

Name

Displays the name of the current vehicle.

Calculate Grade Section

Starting Grade

Specify the grade at which the vehicle starts. To calculate the maximum upward (+) and downward (-) grades achievable by the vehicle (see Maximum (+) and Maximum (-) respectively), press TAB.

Maximum (+)

Displays the maximum upward slope that the vehicle can navigate without its ground clearances conflicting with the terrain.

Maximum (-)

Displays the maximum downward slope that the vehicle can navigate without its ground clearances conflicting with the terrain.

Place

Click this button to place the grade template into the drawing.


Tutorials

Allows you to play, record, and delete tutorials. Users with the Advanced or higher access level (see Program Settings -> Permissions Category: Access Levels) can also record and delete tutorials. For a review of tutorials, see Overview -> Tutorials Overview.

To open the Tutorials dialog box, click [image] Tutorials on the toolbar or ribbon.

Use the Tutorials tool to:

  • Play a tutorial

  • Record a tutorial

  • Delete a tutorial

  • Edit a tutorial

Tutorials Dialog Box Explained:

Tutorials Dialog Box

Tutorials List

Displays a list of available tutorials. To select a tutorial, browse through the list and click the desired tutorial.

Play

Plays the currently selected tutorial (see To Play a Tutorial).


To Play a Tutorial

Tutorials

Play Tutorial

Allows you to play a tutorial.

To Play a Tutorial:

  1. Click [image] Tutorials on the toolbar or ribbon. A dialog box similar to the following example displays:

Tutorials

  2. In the tutorials list, click the desired tutorial, and then click Play.

  3. Follow the prompts by completing the actions required.

  4. (Optional) Click Stop to stop the playback of the tutorial.

  5. The current tutorial closes once the last step is performed.

  6. Click Close to close the Tutorials dialog box.

Tutorials Dialog Box Explained:

Tutorials Dialog Box

Tutorials List

Displays a list of available tutorials. To select a tutorial, browse through the list and click the desired tutorial.

Play

Plays the currently selected tutorial.


To Record a Tutorial

Tutorials

Record Tutorial

Allows you to record a new tutorial.

Note: The Record button displays only if Permissions are enabled, and if you have the Advanced or higher access level (see Program Settings -> Permissions Category: Access Levels).

To Record a Tutorial:

  1. Open the desired drawing file.

  2. Zoom into the appropriate area where the tutorial will take place.

  3. Click [image] Tutorials on the toolbar or ribbon. A dialog box similar to the following example displays:

Tutorials

  4. Click Record. The following dialog box displays:

New Tutorial

  5. In the edit box, type a name for the tutorial, and then click OK. The following dialog box displays:

Record Tutorial Step

  6. Type the instructions for the user to follow for the current step. AutoTURN will display the instructions as a prompt when the tutorial is played.

  7. Click the tool or perform the action described in step 6. The user will be required to use this tool or pick the highlighted point when the tutorial is played.

  8. Once a tool or point is clicked, a new prompt screen displays. Repeat steps 6 and 7 until you have reached the end of the tutorial.

  9. Click Finish to end recording and return to the Tutorials dialog box.

  10. Click Close to close the Tutorials dialog box.

Note:

  • Describe as accurately and succinctly as possible the sequence of steps for the user to follow the tutorial. (Try the supplied tutorials to get a better idea of how to phrase the prompts as briefly as possible.)

  • Tutorials must contain only one instruction per step.

  • Every button click the user will have to execute when playing the tutorial must be recorded as a separate step. This includes the OK button clicks needed to close dialog boxes.

Saving Tutorials

Since a drawing file used for a tutorial is associated with the tutorial, both the tutorial and the drawing must be copied to the Tutorials subfolder.

The tutorials you create are stored in the Tutorials User folder located in the Workstation folder. If you have manually moved the Tutorials User folder to a different location, use AutoTURN Configuration Utility to modify the program settings accordingly (see Installation -> AutoTURN Configuration Utility).

To make user-created tutorials available to all users, move the Tutorials User folder to the server location, and then adjust each workstation to look for user tutorials at the server location.

Tutorials Dialog Box Explained:

Tutorials Dialog Box

Tutorials List

Displays a list of available tutorials. To select a tutorial, browse through the list and click the desired tutorial.

Play

Plays the currently selected tutorial (see To Play a Tutorial).

Record

Records a new tutorial.

Delete

Deletes the currently selected tutorial (see To Delete a Tutorial).

Note: The Record and Delete buttons display only if Permissions are enabled, and if you have the Advanced or higher access level (see Program Settings -> Permissions Category).


To Delete a Tutorial

Tutorials

Delete Tutorial

Allows you to delete the selected tutorial.

Note: The Delete button displays only if Permissions are enabled, and if you have the Advanced or higher access level (see Program Settings -> Permissions Category).

To Delete a Tutorial:

  1. Click [image] Tutorials on the toolbar or ribbon. A dialog box similar to the following example displays:

Tutorials

  2. In the tutorials list, click the tutorial that you want to delete, and then click Delete. A warning message displays.

  3. Click OK to confirm the deletion of the tutorial and return to the Tutorials dialog box.

  4. Click Close to close the Tutorials dialog box.

Tutorials Dialog Box Explained:

Tutorials Dialog Box

Tutorials List

Displays a list of available tutorials. To select a tutorial, browse through the list and click the desired tutorial.

Play

Plays the currently selected tutorial (see To Play a Tutorial).

Record

Records a new tutorial (see To Record a Tutorial).

Delete

Deletes the currently selected tutorial.

Note: The Record and Delete buttons display only if Permissions are enabled, and if you have the Advanced or higher access level (see Program Settings -> Permissions Category).


To Edit a Tutorial

Tutorials

Edit Tutorial

A tutorial is an ASCII text file and can be easily edited with Microsoft® Notepad or any other text editor. The first line in the tutorial is the name of the file to be opened when the tutorial is played. Each successive section of the file is the next step the user will follow. The section begins with the step number, contains the command name (COMMAND) or button (BUTTON) required to click, or a point (PICK) in the drawing to pick, and a brief instruction (PROMPT) to follow. The end of a section is designated with the terminator ’r;END’.

Below is an excerpt of the Example 1 - Place Adaptive Simulation tutorial:

<TUTORIAL>

TutorialName=Example 1 - Place Adaptive Simulation

Drawing=_sample

[1]

<COMMAND>

name=SETTINGS

<PROMPT>

This tutorial will lead you through the steps to place an adaptive simulation in a drawing. Simply complete the actions outlined in each step.

Click Program Settings.

<END PROMPT>

<END COMMAND>

[2]

<BUTTON>

dialogID=21433 [Program Settings]

buttonID=1 [OK]

<PROMPT>

Select the General category.

Change Units to feet.

Click OK.

<END PROMPT>

<END BUTTON>

.

.

.

[10]

<PICK>

point=156.5573,64.9791

<PROMPT>

We are now done selecting elements to add to the path.

Pick the indicated data point (the crosshair) to tell AutoTURN that we are done.

<END PROMPT>

<END PICK>

[11]

<COMMAND>

name=PLACESIMULATION

<PROMPT>

Notice the circle designating the start point and an arrow indicating the direction of travel at the end of the path.

Click Place Adaptive Simulation to place the simulation.

This is the last step of this tutorial.

<END PROMPT>

<END COMMAND>

<END TUTORIAL>


Help

AutoTURN Help provides in-depth information on features as well as step-by-step instructions for specific tasks.

To access Help, click [image] Help on the toolbar or ribbon.

Context-Sensitive Help

Click the Help button in the lower right corner of a dialog box to open context-sensitive Help for the current dialog box.

Dialog Box Help

Most dialog boxes in this Help file contain clickable areas to obtain specific help about buttons or sections of the dialog box. After viewing the specific Help section, right-click anywhere in the Help window other than a graphic, and then click Back on the shortcut menu to return to the Help section you were last viewing. Alternatively, click the Back button in the Help dialog box menu.


Customizing AutoTURN


Creating a Realistic Vehicle Drawing

AutoTURN generates parametric plan views for custom vehicles based on the part configuration and vehicle dimensions. However, since a generic plan view may not provide an accurate enough representation of the vehicle it is recommended that users create their own drawings for custom vehicles.

General Guidelines

  • Orient drawings so that the vehicle points to the right and the front center of the vehicle part is at exactly coordinate 0,0.

  • Do not draw wheels - they are drawn automatically by AutoTURN.

  • Any amount of detail can be included to represent the vehicle's plan view as long as the vehicle's outline is continuous and goes on its own layer and a wheelbase line is drawn the same length as the wheelbase value of the custom vehicle. The drawing must be drawn full scale.

  • Each part of a multi-part custom vehicle must be drawn individually. The first drawing's name is the same as the Name field of the custom vehicle (e.g. the name of the first drawing of a two part vehicle would be: Semi Trailer.dwg). Each subsequent drawing must be named the same as the first drawing with the suffix @ followed by the trailer number (e.g. the second drawing of the two part vehicle would be: Semi Trailer@1.dwg).

Drawing Layers/Levels

Drawings should be created with the following layer/level setup:

Layer/Level | Description
TSOUTLINE | All lines pertaining to the extents of the vehicle
TSDETAILS | All detail lines inside the vehicle (windows, doors, contours, etc.)
TSWHEELBASE | This single line must exactly match the length of the custom vehicle's wheelbase. This line is used to scale the drawing when it is used by AutoTURN.

Creating the Drawing - AutoCAD/BricsCAD/ZWCAD

  1. Start a new drawing.

  2. Create a new layer named "TSOUTLINE" and draw the extents of the vehicle on this layer.

  3. Create a layer named "TSDETAILS". Draw all the details inside the basic outline of the vehicle on this layer. This will improve display performance by allowing AutoTURN to separate the drawing elements and only display the vehicle outline while dragging and running animations.

  4. Create a layer named "TSWHEELBASE". Draw a line that exactly matches the wheelbase value of the custom vehicle on this layer. It can be located anywhere in the drawing and will not display in the vehicle preview dialog boxes.

  5. Create a folder in the Vehicles User folder to save the drawing to. The folder name must be the same as the Library field of the custom vehicle.

  6. Save the drawing to the folder created in step 5.

Creating the Drawing - MicroStation

Note: AutoTURN can use AutoCAD version 2007 (and older) dwg format drawing files in MicroStation V8i. AutoTURN will use cell files if MicroStation users prefer to create them as outlined below.

  1. Start a new design file.

  2. Create a new level named "TSOUTLINE" and draw the extents of the vehicle on this level.

  3. Create a new level named "TSDETAILS". Draw all the details inside the basic outline of the vehicle on this level. This will improve performance by allowing AutoTURN to separate the drawing elements and only display the vehicle outline while dragging and running animations.

  4. Create a level named "TSWHEELBASE". Draw a line that exactly matches the wheelbase value of the custom vehicle on this level. It can be located anywhere in the drawing and will not display in the vehicle preview dialog boxes.

  5. Create a new cell library named the same as the Name field of the custom vehicle.

  6. Create a cell and add it to the new library. The cell can be given any name. There must be only the one cell in this library.

  7. Create a folder in the Vehicles User folder to save the drawing to. The folder name must be the same as the Library field of the custom vehicle.

  8. Save the cell library to the folder created in step 7.


The width of a vehicle is defined as the distance between adjacent sides.

An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle envelope and the vehicle maneuverability of a simulation.

The track of a vehicle is defined as the distance between the outside edges of the outermost tires on the left and right sides.

The angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle. See Program Settings -> Vehicle Defaults Category: Reverse Overrides and SmartPath Tools -> To Generate a Turn Simulation.

A rotatable frame which secures the logs in a log haul trailer.

The time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

Creating a Profile Drawing

To make it possible to display a side view or profile picture of each vehicle in the vehicles dialog boxes, profile drawings must be available to AutoTURN. Profile drawings are included with the software for all the supplied vehicles.

However, if you create a custom vehicle and wish to be able to do any of the following, then a profile drawing must be created:

  • Specify dimensions for new vehicles created from the custom vehicle into the profile area, as with the supplied vehicles.

  • See a profile view of vehicles created from the custom vehicle when selecting a current vehicle (see Overview -> Current Vehicle).

  • Use the Insert Profile tool for vehicles created from the new custom vehicle (see Tools -> Insert Profile).

Creating a profile drawing is optional because AutoTURN will automatically display a plan view if no profile drawing exists. However, the Insert Profile tool requires a profile drawing.

General Guidelines

  • Orient drawings so that the vehicle points to the left and the middle of the vehicle on the wheelbase dimension line is at coordinate 0,0.

  • A vehicle profile is a drawing of the vehicle in side view.

  • A part profile is a drawing of an individual vehicle part in side view (e.g. a tractor or trailer in a semi-trailer configuration).

  • AutoCAD/BricsCAD/ZWCAD: each profile drawing must exist as separate elements (i.e. not as a block) in a .dwg file.

  • AutoTURN can use AutoCAD version 2007 (and older) dwg format drawing files in MicroStation V8i. AutoTURN will use cell files if MicroStation users prefer to create them; each profile must exist as a single cell in a separate cell library file.

  • Any amount of detail can be included to represent the vehicle's profile as long as all lines representing the vehicle are drawn on the ATVEHICLE layer.

  • For part profiles, the front and rear connector points for linking the part profiles together need to be specified by drawing a circle on the ATCONNECTION layer. The center of the circle is the linking point. This circle is for reference only - it will not be displayed or drawn by AutoTURN.

  • Save profile drawings of whole generic vehicles to Profiles User\Templates.

  • Save profile drawings of individual vehicle parts to Profiles User\Parts.

  • Save profile drawings of specific custom vehicles using the custom vehicle’s name to a folder with the same name as the custom library under Profiles User\Vehicles.

  • User folders are generally found in C:\Users\Public\Transoft Solutions\AutoTURN 10\ if the operating system installed on the computer is Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8, or Microsoft Windows 10).

Profile Layers/Levels

Drawings should be created with the following layer/level setup:

Layer/Level | Description
ATVEHICLE | All lines pertaining to the vehicle
ATDIMS | All dimension lines
ATTEXT | All dimension labels and text
ATCONNECTION | Front and rear connector circles to link part profiles

Profile Tags

Profile drawings must contain text elements called tags that tell AutoTURN where particular vehicle dimensions or other parameters are to be placed. The tags are text strings of 2 or 3 characters that represent the various possible dimensions that can be applied to each vehicle part, and some that apply to the vehicle as a whole.

For each vehicle part, use the following tags followed by a number indicating the part number:

Tag | Description
BF | Body Front Overhang
WB | Wheelbase
BL | Body Length
BP | Body Front to Pivot
CR | Rear Axle Group Center to Connector
WD | Width
TD | Maximum Telescoping Distance
CO | Cargo Front Overhang
RO | Cargo Rear Overhang
CL | Cargo Length
CW | Cargo Width
EW | Cargo Effective Wheelbase
CA | Cargo Articulating Angle
TR | Front Track
RT | Rear Track
LIB | Library Name
AA | Maximum Articulating Angle
MT | Minimum Centerline Turning Radius

Note: The cargo’s front overhang is measured from the bunk on the preceding part.

For the whole vehicle:

Tag | Description
LL | Lock to Lock Time
SA | Steering Lock Angle

An example of a typical profile drawing for a vehicle with two parts is shown below:

Profile tags example

For trailer part profiles, you may use the "#" symbol after the tag for sequencing in case you want to use the part multiple times in the same vehicle - AutoTURN will replace the "#" symbol with an appropriate part number.

Part profile tags with the "#" symbol example


Appendix


AutoTURN File Types

AutoTURN employs the following file types:

Extension

Explanation and Location

veh

Custom (user-created) vehicles are exported as .veh files.

vcl

Custom (user-created) vehicles were exported as .vcl files in versions prior to AutoTURN 10.0.

dwg

dgn

cel

  • Schematic vehicle part drawing profiles are stored as the tractor and trailer .dwg (AutoCAD/BricsCAD/ZWCAD) and .cel (MSTN) files in the program folder.

  • Standard profile drawings (.dwg) are stored in the Profiles folder.

  • Custom (user-created) realistic vehicle drawings are required to be .dwg (AutoCAD/BricsCAD/ZWCAD) or .cel (MSTN) files and stored in the library folder under Vehicles User.

  • Custom (user-created) profile drawings are required to be .dwg (AutoCAD/BricsCAD/ZWCAD) or .cel (MSTN) files stored in the Profiles User folder (for details, see Customizing AutoTURN -> Creating a Profile Drawing).

  • Tutorial drawings used in the tutorials are .dwg (AutoCAD/BricsCAD/ZWCAD) and .dgn (MSTN) files stored in the Tutorials folder.

sim

Simulations are stored as .sim files in drawing folder names under Output or alternatively saved in the Drawing folder (see Tools -> Program Settings -> General Category).

tut

Tutorials are stored in the Tutorials folder as .tut files.

Custom (user-created) tutorials are recorded to the Tutorials User folder.

ld

Vehicle load files are exported as .ld files.

sln

Vehicle sight lines are exported as .sln files.

tp

Vehicle tracking points are exported as .tp files.


Vehicle Library Source Documents

This section lists the documents used to derive the dimensions and turn limitations for the standard design vehicles included in the program.

AASHTO 2001 (US)

English Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2001

AASHTOM 2001 (US)

Metric Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2001

AASHTO 2004 (US)

English Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2004

AASHTOM 2004 (US)

Metric Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2004

AASHTO 2011 (US)

English Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2011

AASHTOM 2011 (US)

Metric Units

A Policy on Geometric Design of Highways and Streets

American Association of State Highway and Transportation Officials

2011

ALBERTA DB68 (CA)

Metric Units

Alberta Transportation

Design Bulletin 68 Attachment

October 2011

ALBERTA - INFTRA-HGDG (CA)

Metric Units

Highway Geometric Design Guide; Section D.5

Alberta Infrastructure

1995 Rev 1999

ARCHITECTURAL

Metric Units

Architectural Graphic Standards for Residential Construction: The Architect's and Builder's Guide to Design, Planning, and Construction Details

2002

AUSTROADS (AU)

Metric Units

AUSTROADS: Design Vehicles and Turning Path Templates Guide

Austroads Ltd.

1995

Note: AUSTROADS vehicle turn limits are based on the absolute minimum turning radius for each vehicle, intended for speeds less than 5 km/hr. For speeds greater then 5 km/hr, refer to the above document for the appropriate turning radius.

AUSTROADS 2006 (AU)

Metric Units

AUSTROADS: Design Vehicles and Turning Path Templates Guide

Austroads Ltd.

2006

AUSTROADS 2013 (AU)

Metric Units

AUSTROADS: Design Vehicles and Turning Path Templates Guide

Austroads Ltd.

2013

BCMOT 2007 (CA)

Metric Units

BC Supplement to TAC Geometric Design Guide

BC Ministry of Transportation & Infrastructure

Canada

2007

BCMOT OVER-LENGTH 2015 (CA)

Metric Units

DS15001: Design Vehicles - Over-Length Configurations

BC Ministry of Transportation & Infrastructure

Canada

September 30, 2015

CALTRANS 2005 (US)

English Units

Highway Design Manual

California Department of Transportation (Caltrans)

July 1st, 2004

A summary of the California Vehicle Code Length

California Department of Transportation (Caltrans)

CALTRANS 2008 (US)

English Units

Preliminary Highway Design Manual

California Department of Transportation (Caltrans); 5th Edition

February 2008

CALTRANS 2012 (US)

English Units

Highway Design Manual

California Department of Transportation (Caltrans); 6th Edition

May 2012

CALTRANSM 2005 (US)

Metric Units

Highway Design Manual

California Department of Transportation (Caltrans)

July 1st, 2004

A summary of the California Vehicle Code Length

California Department of Transportation (Caltrans)

CALTRANSM 2008 (US)

Metric Units

Preliminary Highway Design Manual

California Department of Transportation (Caltrans); 5th Edition

February 2008

CEREMA 2014 (FR)

Metric Units

Directive Européenne 96/53/CE

Centre d'etudes et d'expertise sur les risque, l'environnement, la mobilité et l'amenagement (CEREMA)

France

2014

CERTU-AFNOR 2013 (FR)

Metric Units

Règles techniques du code de la route article R312-11

Centre d’études sur les réseaux, les transports, l’urbanisme et les constructions publiques (CERTU), Association Française de Normalisation (AFNOR)

2013

CET-SP BT33 1983 (BR)

Metric Units

Boletim técnico da CET No. 33

Companhia de engenharia de tráfego (CET)

São Paulo, Brazil

1983

CROW (NL)

Metric Units

Recommendations for traffic provisions in build-up areas (ASVV)

C.R.O.W.

First Edition - March 1998

CROW 2004 (NL)

Metric Units

Aanbevelingen voor verkeersvoorzieningen binnen de bebouwde kom

C.R.O.W.

2004

CROW 2012 (NL)

Metric Units

Aanbevelingen voor verkeersvoorzieningen binnen de bebouwde kom

C.R.O.W.

13 Dec 2012

CROW ADVIESLIJST LZV (NL)

Metric Units

CROW-rapport D07-08 ’r;Advieslijst LZV’s op het OWN’ (versie 2.0, 01-11-2007) - Advieslijst voor de toelating van Langere en Zware

C.R.O.W.

versie 2.0, 01-11-2007

CROW Publication 257 (NL)

Metric Units

CROW Publicatie 257; Turborotondes

01 Jun 2008

CSN (CZ)

Metric Units

ODSTAVNE A PARKOVACI PLOCHY SILNICNICH VOZIDEL

CSN

1988

CSN 2005 (CZ)

Metric Units

Vlečné křivky pro ověřování průjezdnosti směrových prvků pozemních komunikací

Ministerstvo dopravy, odbor pozemních komunikací

2005

DANSK (DK)

Metric Units

Byernes trafikarealer Haefte 1 Forudsaetninger for den geometriske udfomning

Danish Road Directorate

1991

DER-SP 2006 (BR)

Metric Units

NT-DE-F00/001, Rev. A

Departamento de estradas de rodagem do estado de São Paulo (DER-SP)

São Paulo, Brazil

Agosto de 2006

DELDOT 2006 (DEL)

Imperial Units

Road Design Manual, Delaware Department of Transportation

2006

DETR DB32 (UK)

Metric Units

Residential Roads and Footpaths

Design Bulletin 32

Dept. of Environment, Dept. of Transportation

2nd Edition, April 1992

DNV 2010 (AR)

Metric Units

Controles de diseño

DNV - Normas y recomendaciones de diseño geométrico y seguridad vial

Argentina

2010

DPWH 2012 (PH)

Metric Units

Road Safety Design Manual (Part 1)

Republic of Philippines, Department of Public Works and Highways

2012

FDOT 2013 (FL)

Imperial Units

Manual of Uniform Minimum Standards for Design, Construction and Maintenance for Streets and Highways

State of Florida Department of Transportation

May 2013

FGSV 2001 (DE)

Metric Units

Bemessungsfahrzeuge und Schleppkurven zur Überprufüng der Befahrbarkeit von Verkehrsflächen

FORSCHUNGSGESELLSCHAFT FÜR STRASSEN- UND VERKEHRSWESEN

ARBEITSGRUPPE STRASSENENTWURF

Ausgabe 2001

FL IDG 2007 (US)

English Units

Florida Intersection Design Guide

Florida Department of Transportation

2007

FL PPM 2013 (US)

English Units

Plans Preparation Manual

Florida Department of Transportation

January 2013

FRANCE (FR)

Metric Units

CaractÉristiques GÉomÉtriques des vÉhicules types

Service d’Études Techniques des Routes et Autoroutes (SETRA)

FTA 98 (UK)

Metric Units

Designing for Deliveries

Freight Transport Association

1998

FTA 2006 (UK)

Metric Units

Designing for Deliveries including a planner's guide to truck turning and manoeuvering

Freight Transport Association

2006

FTA CUSTOM (UK)

Metric Units

Designing for Deliveries

Freight Transport Association

1998

GDDP WPSD 2001 (PL)

Metric Units

Wytyczne projektowania skrzyżowań drogowych, część I

Generalna dyrekcja dróg publicznych w Warszawie (GDDP)

Warsaw, Poland

2001

HKTD 1994 (HK)

Metric Units

Transport Planning & Design Manual, Highway Design Characteristics

Hong Kong Transport Department

March 1994

ILDOT 2002 (US)

English Units

Bureau of Design & Environment Manual

IL DOT

2002

ILDOT 2014 (US)

English Units

Bureau of Design & Environment Manual

IL DOT

2014

ILDOTM 2002 (US)

Metric Units

Bureau of Design & Environment Manual

IL DOT

2002

INDOT 2013 (US)

English Units

Design Manual

Indiana Department of Transportation

2013

IRC 1994 (IN)

Metric Units

Guidelines for the Design of At-Grade Intersections in Rural and Urban Areas

The Indian Roads Congress

1994

ISRAEL MOT 2005 (IL)

Metric Units

Guidelines for Roundabouts Design, Chapter 2: Geometric Standards

State of Israel - Ministry of Transportation

March 2005

ISRAEL MOT 2011 (IL)

Metric Units

Guidelines for Urban Streets Design, Chapter 2: Input for Standards

State of Israel - Ministry of Transportation and Ministry of Construction & Housing

May 2011

ITALY 2008 (IT)

Metric Units

"New Road Law" Legislative Decree

April 30th, 1992

KAC 2003 (RU)

Metric Units

A Brief Reference Book on Vehicles

Scientific Research Institute of Road Transport

Moscow, Russian Federation

2003

LGPVDIR-AAV 2003 (IT)

Metric Units

Linee guida per la progettazione e la verifica delle intersezioni a rotatorie

Assessorato alla Viabilita

Italia

2003

LIIKENNEVIRASTO 2012 (FI)

Metric Units

Tiensuunnittelun liikennetekniset mitoitusperusteet

Liikennevirasto

Helsinki, Finland

2012

MANUAL A9 (ROAD GEOMETRIC DESIGN MANUAL) (AE)

Metric Units

3rd Edition

Abu Dhabi Department of Transport, United Arab Emirates

March 2013

MDF 2013 (ES)

Metric Units

Orden circular 32-2012

Guía de nudos viarios

Ministerio de fomento

Madrid, España

14 de Diciembre de 2012

MDF 2016 (ES)

Metric Units

Instrucción de carreteras

Gobierno de España, ministerio de fomento

Madrid, España

2016

MDGC-MT 2008 (CO)

Metric Units

Manual de diseño geométrico de carreteras

Republica de Columbia

Ministerio de transporte

2008

MLIT 2014 (JP)

Metric Units

Roads in Japan

Road Bureau, Ministry of Land, Infrastructure, Transport and Tourism 2001

Japan

2014

MNDOT 2007 (MN)

Imperial Units

Road Design Manual

Minnesota Department of Transportation

July 2007

MOC 2007 (VN)

Metric Units

ISSUING TCXDVN 104: 2007 Urban Street - Design Requirements

Ministry of Construction, Hanoi

Socialist Republic of Vietnam

May 2007

MOLIT 2009 (KR)

Metric Units

A Guide Book to Highway Design

Ministry of Land, Infrastructure and Transport

Korean Society of Civil Engineers

2009

MPW 1992 (ID)

Metric Units

Standard Specifications for Geometric Design of Urban Roads

Directorate General of Highways, Ministry of Public Works

Jakarta, Republic of Indonesia

March 1992

MPWT 1999 (KH)

Metric Units

Road Design Part 1 - Geometry, CAM PW 03-101-99

Cambodian Ministry of Public Works and Transport (MPWT)

Cambodia

1999

MT-DNIT-IPR (BR)

Metric Units

Manual de projetos geométricos travessia urbanas

DNIT

2010

MTC DG 2001 (PE)

Metric Units

Manual de diseño geométrico de carreteras (DG-2001)

El ministerio de transportes, comunicaciones, vivienda y construcción (MTC)

Lima, Peru

2001

MTC DG 2013 (PE)

Metric Units

Manual de carreteras diseno geometrico (DG-2013)

El ministerio de transportes y comunicaciones

Lima, Peru

2013

MVU 2009 (CL)

Metric Units

Manual de vialidad urbana, recomendaciones para el diseño de elementos de infraestructura vial urbana

Ministerio de vivienda y urbanismo

Chile

Edición 2009

NACTO 2013 (US)

English Units

Urban Street Design Guide

NACTO (National Association of City Transportation Officials)

October 2013

NCHRP REPORT 659 (US)

English Units

NCHRP Report 659

Transportation Research Board of the National Academics

Washington, D.C.

2010

NEW ZEALAND (NZ)

Metric Units

New Zealand On-Road Tracking Curves

Land Transport Safety Authority

October 1995

PDG 2010 (NZ)

Metric Units

Parking and driveway guidelines, code of practice for city infrastructure and land development

New Zealand

August 2010

POPC 2014 (SL)

Metric Units

Pravilnik o projektiranju cest

IUS INFO

Republika Slovenija

Vsebina preverjena: 21.1.2014

PRHTA 1979 (PR)

Imperial Units

Highway Design Manual

Commonwealth of Puerto Rico

Department of Transportation and Public Works, Highway Authority

1979

RAS-K-EAE (DE)

Metric Units

Richtlinien für die Anlage von Straßen - Teil Knotenpunkte (RAS - K)

FORSCHUNGSGESELLSCHAFT FÜR STRASSEN- UND VERKEHRSWESEN

ARBEITSGRUPPE STRASSENENTWURF

Ausgabe 1988

Empfehlungen für die Anlage von Erschließungsstraßen EAE 85/95

FORSCHUNGSGESELLSCHAFT FÜR STRASSEN- UND VERKEHRSWESEN

ARBEITSGRUPPE STRASSENENTWURF

Ausgabe 1985, Ergänzte Fassung 1995

ROA (NL)

Metric Units

The Dutch Standard Vehicles for Road Design, The Netherlands

Rijkwaterstaat

1980

RTS 18 (NZ)

Metric Units

RTS 18; New Zealand on-road tracking curves for heavy motor vehicles

Land Transport New Zealand

August 2007

RVS 2005 (AUT)

Metric Units

Richtlinien und Vorschriften für den Straßenbau (RVS)

Österreichische Forschungsgemeinschaft Straße und Verkehr FSV

2005

RVS 2010 (AUT)

Metric Units

Quellveröffentlichung: Richtlinien und Vorschriften für den Straßenbau (RVS)

Österreichische Forschungsgemeinschaft Straße und Verkehr FSV

September 2010 03.07.32, Entwurfsgrundlagen für Garagen.

SANRAL (SA)

Metric Units

Geometric Design Guidelines

South Africa National Roads Agency Limited

Collected 22 June 2010

SCT 2004 (MX)

Metric Units

Recomendaciones de actualizacion de algunos elementos del proyecto geométrico de carreteras

Secretaría de comunicaciones y transportes Instituto Mexicano del transporte

Querétaro, Mexico

2004

SN640198a (CH)

Metric Units

640198a

VSS Association of Swiss Road and Traffic Engineers

SN640271a (CH)

Metric Units

640271a

VSS Association of Swiss Road and Traffic Engineers

STAA 1982 (US)

English Units

The Surface Transportation Assistance Act (STAA) of 1982

United States Federal Government

1982

STANDARDS (AU)

Metric Units

AS 2890.2-2002, Revision of AS 2890.1-1993

Standards Australia

2002

STANDARDS 2004 (AU/NZ)

Metric Units

AS/NZS 2890.1:2004 Parking Facilities

Standards Australia, Standards New Zealand

2004

STAS 1985 (RO)

Metric Units

ELEMENTE GEOMETRICE ALE TRASEELOR, STAS, 863-85.

Consiliul Național pentru Știință și Tehnologie

Institutul Român de Standarizare

România

2007

STATENS VEGVESEN 2015 (NO)

Metric Units

Nye krav i N100 til utforming av rundkjøring, T- og X-kryss og breddeutvidelse som følge av modulvogntog som dimensjonerende kjøretøy

Statens Vegvesen, Vegdirektoratet

Norway

2015

TAC-1999 (CA)

Metric Units

Geometric Design Guide for Canadian Roads

Transportation Association of Canada

1999 Edition

TIC 2015 (ES)

Metric Units

Norma 3.1-ic trazado de la instrucción de carreteras

España

2015

TIEHALLINTO (FI)

Metric Units

Tasoliittymät

TIEHALLINTO

Helsinki

2001

TRAFITKVERKET 2012 (SE)

Metric Units

Vägars och gators utformning. Begrepp och grundvärden.

Trafikverket

Borlänge, Sweden

2012

TRH17 1988 (SA)

Metric Units

TRH17 Geometric Design of Rural Roads

Department of Transport, Republic of South Africa

1988

TRL SR662 1981 (UK)

Metric Units

A.W. Christie, J. Chisholm

Goods Vehicle Manoeuvres: A Computer Simulation and Its Application to Roundabout Design

Transport and Road Research Laboratory

United Kingdom

1981

TXDOT 2014 (TX)

Imperial Units

Roadway Design Manual

Texas Department of Transportation

October 2014

URAW 1998 (TW)

Metric Units

Design Directions of Urban Roads and Accessory Works

Taiwan

April 1998

UT-2-1-206 2010 (HU)

Metric Units

UTUGYI MUSZAKI ELOIRAS, UT 2-1.206

Közlekedésip hìrközlési és energiaügyi minisztérium kózlekedési infrastruktúra föosztálya

Republic of Hungary

June 2010

VAGVERKET (SE)

Metric Units

VU 94 Supplement 2, Publikation 1999:86 & 2002:113

Swedish National Road Administration

VAGVERKET 2004 (SE)

Metric Units

GRUNDVÄRDEN 2 Motorfordon, VV Publikation 2004:80 ~ 2004-05

Swedish National Road Administration

2004

VEGAGERÐIN 2010 (IS)

Metric Units

Veghönnunarreglur

VEGAGERÐIN

Útgáfa 01.08.2010

VEGVESEN (NO)

Metric Units

VEG- OG GATEUTFORMING

Statens Vegvesen

1993

VEGVESEN 2007 (NO)

Metric Units

Veg- og gateutforming

Statens vegvesen

August 2007

VEJDIREKTORATET 2013 (DK)

Metric Units

Dimensionsgivende køretøjer

Danish Road Directorate (Vejdirektoratet)

Danmark

2011-12-20, revideret 2012-11-16

VEJREGLER 2012 (DK)

Metric Units

Basis for designing traffic areas

Vejregler

Danmark

October 2012

VIF LUZERN 2005 (CH)

Metric Units

Schleppkurven; Verkehr und Infrastruktur (VIF) Luzern

Switzerland

2005

WisDOT OSOW (US)*

English Units

WisDOT Vehicle Inventory of Oversized Overweight (OSOW) Vehicles

Wisconsin Department of Transportation (WisDOT)

August 23, 2010

WISDOT OSOW FEB2014 (US)*

English Units

WisDOT OSOW vehicle library for use in AutoTURN or AutoTURN Pro 3D

Wisconsin Department of Transportation (WisDOT)

February 18, 2014

* Wisconsin Department of Transportation (WisDOT) would like us to kindly remind you that they may choose to update their libraries as and when required. The vehicles provided with the software are current as of February, 2014. Please visit the WisDOT website to confirm that you have the latest library and download vehicles as required. Note that the vehicles downloaded from the WisDOT website have not been verified by Transoft Solutions Inc. Should you encounter any issues with the downloaded vehicles, please bring them to the attention of the technical staff at WisDOT and Transoft Solutions Inc.


Is the maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Minimum Turn Radius

The diagram below shows a vehicle with wheels turned to the steering lock position. This results in the minimum centerline turning radius.

The formula shows how to calculate the steering lock angle for a vehicle, given the minimum centerline turning radius.

Minimum Turn Radius

Legend

WB | Wheelbase
RF | Minimum Centerline Turning Radius (forward)
RR | Minimum Centerline Turning Radius (reverse)
SA | Steering Lock Angle

Formulas for calculating the steering lock angle from the given radii:

SA = arcsin (WB / RF)

OR

SA = arctan (WB / RR)


Radius Types

The diagram below shows a vehicle with wheels turned to the steering lock position and the various radius types available in AutoTURN's steering lock calculator (see Tools -> Vehicles -> To Calculate the Steering Lock Angle) and SmartPath Tools (see Tools -> Smart Path Tools).

Radius Types Examples

Legend

C | Centerline radius
CC | Curb to curb radius
WW | Wall to wall radius
IR | Inner turn radius

Note: The wall to wall radius is calculated based on the tractor's parameters for a multi-part vehicle.


Examples of Stopping Sight Distance Values

Country | Design or Operating Speed (km/h) |  |  |  |  |  |  |  |  |  |  |  |  | Driver Eye Height (m)
 |  |  |  |  |  |  |  |  |  |  |  |  |  | Passenger Car | Truck | Object Height
 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90 | 100 | 110 | 120 | 130 | 140
Australia | Stopping Sight Distance (m) |  |  |  |  |  |  |  |  |  |  |  |  | 1.15 | 1.80 | 0.20
(Normal design) |  |  |  |  |  |  | 115 | 140 | 170 | 210 | 250 | 300 |
(Normal design) |  |  |  | 45 | 65 | 85 | 105 |  |  |  |  |  |
(Restricted situations) |  |  |  | 40 | 55 | 70 |  |  |  |  |  |  |
Austria |  |  | 35 | 50 | 70 | 90 | 120 |  | 185 |  | 275 |  | 380 | 1.00 |  | 0.00 - 0.19
Britain |  |  |  | 70 | 90 | 120 |  |  | 215 |  | 295 |  |  | 1.05 |  | 0.26
Canada |  |  | 45 | 65 | 85 | 110 | 140 | 170 | 200 | 220 | 240 |  |  | 1.05 |  | 0.38
France |  | 25 | 35 | 50 | 65 | 85 | 105 | 130 | 160 |  |  |  |  | 1.00 |  | 0.35
Germany |  |  |  |  | 65 | 85 | 110 | 140 | 170 | 210 | 255 |  |  | 1.00 | 2.50 | 0.00 - 0.45
Greece |  |  |  |  | 65 | 85 | 110 | 140 | 170 | 205 | 245 |  |  | 1.00 |  | 0.15 - 0.60
South Africa |  |  | 50 | 65 | 80 | 95 | 115 | 135 | 155 | 180 | 210 |  |  | 1.05 | 1.80 |
Sweden |  | 35 |  | 70 |  | 165 |  |  |  | 195 |  |  |  | 1.10 |  | 0.20
Switzerland |  |  | 35 | 50 |  | 95 | 120 | 150 | 195 | 230 | 280 |  |  | 1.00 | 2.50 | 0.15

Source: Transportation Research Board of the International Academies - Transportation Research Circular, Issue E-C003, 1998, p. 32:1-23.

United States Metric | Design or Operating Speed (km/h) |  |  |  |  |  |  |  |  |  |  |  |  |  | Driver Eye Height (m)
 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90 | 100 | 110 | 120 | 130 |  |  | Passenger Car | Object Height
 | Stopping Sight Distance Design (m)
 | 20 | 35 | 50 | 65 | 85 | 105 | 130 | 160 | 185 | 220 | 250 | 285 |  |  | 1.08 | 0.6
United States Imperial | Design or Operating Speed (mph) |  |  |  |  |  |  |  |  |  |  |  |  |  | Driver Eye Height (ft)
 | 15 | 20 | 25 | 30 | 35 | 40 | 45 | 50 | 55 | 60 | 65 | 70 | 75 | 80 | Passenger Car | Object Height
 | Stopping Sight Distance Design (ft)
 | 80 | 115 | 155 | 200 | 250 | 305 | 360 | 425 | 495 | 570 | 645 | 730 | 820 | 910 | 3.5 | 2

Source: American Association of State Highway and Transportation Officials - A Policy on Geometric Design of Highways and Streets 2004. Exhibit 3-1. Stopping Sight Distance, pp. 112, 113.


Glossary

2D Simulation

Used to indicate a 2D Turn Simulation or 2D Vertical Simulation.

2D Turn Simulation

Turn simulations generated with the 2D versions of the SmartPath Tools (Generate Arc Path, Generate Corner Path, Oversteer Corner Path, and Steer A Path) as well as the Place Adaptive Simulation tool (placed on alignments or path geometry meant to represent horizontal alignments).

2D Vertical Simulation

Vertical simulations placed with the Place Vertical Simulation tool (see Tools -> Place Vertical Simulation) on path geometry meant to represent vertical profiles.

3D Turn Simulation

Turn simulations generated with the 3D version of the SmartPath Tool: Generate 3D Arc Path or placed with the Place 3D Simulation tool. 3D simulations are created on terrains.

Acceleration

The time rate of increase in speed.

Access Level

When Permissions are enabled, this is the level of access the user has to the software's functions. Lower level access restricts the user to basic functionality. Higher level access makes more functionality available to the user (for more information, see Tools -> Program Settings -> Permissions Category).

Animation

The vehicle is displayed at the first vehicle position on the path then redrawn in successive vehicle positions until the end of the path is reached to simulate the vehicle in motion.

Articulating Angle

The angle between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer vehicle (see Tools -> Program Settings -> Vehicle Defaults Category: Reverse Overrides and Tools -> SmartPath Tools: To Generate a Turn Simulation).

Auto Steer Mode

Default simulation generation method for vehicles with rear steered parts. The rear steered part automatically follows the other parts in the vehicle.

Axle Group Angle

For special transport, the maximum steering angle of the steerable axle following the Cargo.

Bogie

The axle group(s) supporting the Cargo.

Bogie Spacing

The distance between the centers of two Bogies.

Bunk

A rotatable frame which secures the logs in a log haul trailer.

Cargo

An integral part of a vehicle that carries goods/equipment. Cargo dimensions affect the vehicle Envelope and the vehicle maneuverability of a simulation.

Constant Pursuit

An approximate numerical method used to calculate the positions and orientations of the body of a vehicle and any trailing articulating components as it moves forward, given a starting position and the path to be followed by the vehicle's front axle.

Corners

Front and rear pairs of filleted or chamfered vehicle body corners.

Current Vehicle

The vehicle last selected in Vehicles (see Tools -> Vehicles).

Custom Vehicle

A set of dimensions for a User-defined Vehicle.

Deceleration

The time rate of decrease in speed.

Design Vehicle

A set of dimensions for a common vehicle which defines a standard used by a particular jurisdiction for typical road design conditions.

Effective Wheelbase

For cargo, Effective Wheelbase is an override value which can be used to match the vehicle's turning capabilities when the vehicle is not engaged in rear component path steering. For trailers with uneven axle spacing where the trailing booster axles are steering, or a lead load bearing axle is steering as in tankers, Effective Wheelbase should be measured to the center of the fixed axles, and the steering axles should honor the Ackermann's function.

Envelopes

Envelopes refer to the lines traced out by the selected vehicle elements, the vehicle Load, or clearances from these elements (see Swept Path and Tire Tracks).

Filter List

Displays the available choices for the Group By choice in the Vehicles dialog box (see Tools -> Vehicles).

Last Path

The last selected Pre-drawn Path.

Lateral Acceleration

The acceleration developed when a vehicle travels on a curve at a uniform speed. Lateral acceleration is calculated based on the speed and centerline radius using the following formula: Lacc= (2.15121(V2) / R (English units) or Lacc = ((V/3.6)2) / R (metric units), where V = speed (mph or km/h), and R = radius (m or feet). AutoTURN applies lateral acceleration at speeds of 19 mph (30 km/h) or greater, and when the centerline radius is used.

Lateral Friction

The side friction or Lateral Friction factor is the coefficient of friction between the vehicle's tires and the road surface. The friction value is assumed to decrease as the speed increases.

Line of Sight

A straight line segment joining the vehicle position (driver's eye) to the target point ahead.

Loads

Representations of objects carried by or attached to the vehicle outside the scope of the vehicle's dimensions.

Lock to Lock Time

The time in seconds that an average driver would take under normal driving conditions to turn the steering wheel of a vehicle from the lock position on one side, to the lock position on the other side.

Maneuver

A single section in a Turn Simulation. Section and Maneuver are synonymous.

Manual Steer Mode

Manual simulation generation method for vehicles that contain independently rear steered parts. The user specifies the steering angle adjustments to the path of the independently rear steered part.

Maximum Articulating Angle

The maximum angle that can occur between adjacent vehicle parts, such as between the tractor and trailer of a semitrailer. This angle is zero degrees when the parts are aligned (see Tools -> Program Settings -> Vehicle Defaults Category: Reverse Overrides).

Minimum Centerline Turning Radius

The radius of the arc formed by a vehicle with its steering wheels at the steering lock position. This circle passes through the center of the front (steering) axle for forward maneuvers.

Minimum Curb to Curb Turning Radius

For a vehicle with a single front steering axle, this is the radius of the arc formed by the wheel farthest from the center of the vehicle turn at its maximum Steering Lock Angle. For a vehicle with two or more front steering axles, this is the radius of the arc formed by the point midway between the wheels of the front axle group farthest from the center of the vehicle turn at its maximum Steering Lock Angle.

Minimum Inner Turn Radius

The radius of the arc formed by the wheel closest to the center of the vehicle turn at its maximum Steering Lock Angle. If there is more than one axle in the last axle group, the Minimum Inner Turn Radius is based on the center of the axle group. Note that the AutoTURN steering lock calculator will calculate the Minimum Inner Turn Radius value only for vehicles with a maximum of two parts (for information on calculating the steering lock angle, see Tools -> Vehicles -> To Calculate the Steering Lock Angle).

Minimum Wall to Wall Turning Radius

The radius of the arc formed by the side of the vehicle farthest from the center of the vehicle turn at its maximum Steering Lock Angle.

Nodes

Nodes are the start or end points of the sections in a Simulation.

Permissions

When Permissions are enabled, this allows CAD System Managers to restrict the user's access to the software's functions.

Plan/Profile View Data

Vehicle parameters that are used to generate a simulation.

Pre-drawn Path

The vehicle path drawn in the CAD platform (AutoCAD/BricsCAD/ZWCAD or MicroStation) using the CAD platform's drawing tools. For example, it could define a known, or best guess of the path that will be followed by the center of the front axle of the current vehicle.

Profile

The side view representation of a vehicle used in dialog box previews and the Insert Profile tool (see Tools -> Insert Profile).

Prorated

This term is used in the Vehicle Information dialog box (see Tools -> Vehicles -> To Create and View Vehicle Information). It means that the source publication's vehicle dimensions have been adjusted by applying a prorating factor. The prorating factor is the approximate percentage of the total vehicle length over the total length of the vehicle components. In addition, the prorated vehicle (components) dimensions have been adjusted to favor the vehicle wheelbase length.

Realistic Vehicle

The plan view representation of the vehicle used in dialog box previews and when generating or placing Turn Simulations.

Roofline View Data

Additional vehicle parameters that are necessary for creating a vertical simulation (includes Roofline, Ground Clearance, and Ground Clearance Chamfers).

Section

A section is a single maneuver in a Turn Simulation. Section and Maneuver are synonymous.

Share

The act of copying a local Custom Vehicle up to the network database so it is available for other users of the program on the network.

Sight Lines (Vehicle)

Representations of the vehicle's headlights or viewing areas, etc.

Standard Vehicle

A non-editable vehicle definition supplied with the program (see also Design Vehicle).

Steering Linkages

The angle pairs that define the steering behavior between two axle groups - either the front and rear axle group in a single part vehicle or the articulating angle and rear steering angle of a rear steered part in a multi-part vehicle.

Steering Lock Angle

The maximum angle the steering wheels can be turned. It is defined as the average of the angles made by the left and right steering wheels with the longitudinal axis of the vehicle when the wheels are turned to their maximum angle.

Superelevation

The angle, or bank of a road surface. It is expressed as a slope. For example, a superelevation of 0.01 is a one-percent slope, which rises 1 unit for every 100 units of horizontal distance. In the SmartPath Tools, (see SmartPath Tools Overview), superelevation is limited to the range of -0.1 to 0.1.

Sweep Angle

The angle between the direction of travel and the exit tangent (new heading).

Swept Path

The swept path of a vehicle is the envelope swept out by the sides of the vehicle body, or any other part of the structure of the vehicle. A swept path determines whether the vehicle will make contact with vertical obstructions. Create a swept path simulation by selecting the Vehicle Body Envelope check box in Properties -> Envelopes Category.

Tire Tracks

A vehicle's tire tracks are the paths taken by the front and rear most tires. Create a tire track simulation by selecting the Front Tires and Rear Tires check boxes in the Envelopes category of the Properties dialog box (see Tools -> Properties -> Envelopes Category).

Track

The track of a vehicle is defined as the distance between the outside edges of the outermost tires on the left and right sides.

Turn Simulation (general)

A turn simulation consists of a connected series of one or more vehicle maneuvers. The turn simulation comprises the path, the vehicle and the tire track or vehicle body envelopes.

User-defined Vehicle

A set of dimensions for a Custom Vehicle.

Vehicle Library

A set of standard vehicles or a set of Custom Vehicles.

Vehicle List

The list of vehicles displayed after grouping and filtering. Select a vehicle from this list to view, edit, or become the Current Vehicle, etc.

Width

The width of a vehicle is defined as the distance between adjacent sides.


Acknowledgements

Transoft Solutions Inc. would like to thank Geoff Leach and the Royal Melbourne Institute of Technology for developing the Delaunay Triangulation algorithm employed in AutoTURN.


Vehicles 3D Category

Properties

Vehicles (3D Simulations) Category

Properties - Vehicles (3D Simulations) Category

Draw Vehicles On Section

Set the layer/level that vehicles will be drawn on in the following ways:

  • Click Current Layer/Level to have vehicles drawn on the CAD platform’s current layer/level.

  • Click New Layer/Level, and then specify the desired layer/level to have vehicles drawn on the new layer/level specified.

  • Click Layer/Level, and then select the layer/level in the Layer/Level box to have vehicles drawn on an existing layer/level.

Vehicle Draw Options Section

Set which elements to draw as well as the element’s color, as applicable for each element. Select the Realistic check box to draw the realistic 3D vehicle drawing whenever the vehicle is drawn (see Customizing AutoTURN -> Creating a Realistic 3D Vehicle Drawing).

Note: The Vehicle elements are always drawn in 3D turn simulations.

Draw Vehicles At

Vehicles are always drawn at both ends of the simulation and at the changes of direction.

  • Click Path Ends to have vehicles drawn at the ends of the path.

  • Click Intervals to have vehicles placed at spaced intervals. Type the spacing between vehicle placements in the edit box. This value is expressed in vehicle lengths. For example, a value of 1 would result in vehicles being drawn with the end of one coinciding with the beginning of the next.

  • Click Section Ends to have vehicles drawn at the ends of the sections. When a simulation is made up of more than one section, each section ends where the next one starts. Since it would be confusing to draw the vehicle at both the end of the section and the start of the new section this setting provides the option to draw the vehicle at either one.

Import

Click this button to load a previously saved property set file. When you click this button, the Import Properties dialog box displays. Select the desired property set file in the list, and then click OK.

Export

Click this button to save the current properties to a file. When you click this button, the Export Properties dialog box displays. In the Name box, type the desired name for the property set file, and then click OK.

Extract

Click this button, and then select an existing turn simulation to replace the current properties by the properties from the selected simulation.

Note: Selecting a 2D simulation will replace the 2D properties only. Selecting a 3D simulation will replace the 3D properties only.

Update

Click this button, and then select an existing turn simulation to update the turn simulation to the properties currently displayed. This is useful for making changes to existing turn simulations without having to regenerate or place them again.


To Rename a Vehicle to Be Imported

Vehicles

Rename Vehicle to Be Imported

This dialog box displays in the process of importing a custom vehicle into AutoTURN (see To Import a Vehicle) if the library and name of an existing vehicle are the same as those of the vehicle to be imported.

To Rename a Vehicle to Be Imported:

Rename Vehicle to Be Imported

  1. In the Name edit box, type a different name for the vehicle to be imported.

  2. Click OK to have the vehicle imported under a new name and return to the Select Current Vehicle dialog box.

See also: To Import a Vehicle.